2015-03-29  Glenn Morris  <rgm@gnu.org>

	* objects.texi (Equality Predicates): Fix typo in example.

2015-03-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* positions.texi (Excursions, Narrowing): `save-excursion' does not
	save&restore the mark any more.

2015-03-24  Paul Eggert  <eggert@cs.ucla.edu>

	* numbers.texi (Float Basics): Improve ldexp documentation.

2015-03-23  Eli Zaretskii  <eliz@gnu.org>

	* commands.texi (Event Input Misc): Fix incorrect usage of @code.
	(Bug#20174)
	(Accessing Mouse): Expand documentation of 'posn-actual-col-row'.
	(Bug#20169)
	More accurate description of 'posn-object-x-y'.  (Bug#20168)

2015-03-23  Daiki Ueno  <ueno@gnu.org>

	* processes.texi (Asynchronous Processes): Mention `make-process'.

2015-03-18  Eli Zaretskii  <eliz@gnu.org>

	* minibuf.texi (Basic Completion): Fix a typo.  (Bug#20108)

2015-03-09  Nicolas Petton <nicolas@petton.fr>

	* sequences.texi (seq-into): Add documentation for the new
	seq-into function.

2015-03-03  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (Synchronous Processes): Update documentation of
	call-process-shell-command and process-file-shell-command.

2015-03-03  Daniel Colascione  <dancol@dancol.org>

	* control.texi (Generators): Correct missing word.  Clarify which
	forms are legal in which parts of `unwind-protect'.  Fix orphaned
	close parenthesis.

	* objects.texi (Finalizer Type): New section for finalizer objects.
	(Type Predicates): Mention finalizers in `type-of' documentation.
	* elisp.texi (Top): Link to finalizer type.

2015-03-02  Daniel Colascione  <dancol@dancol.org>

	* control.texi (Generators): New section
	* elisp.texi: Reference new section.

2015-02-28  Eli Zaretskii  <eliz@gnu.org>

	* searching.texi (Char Classes): Update the documentation of
	[:alpha:] and [:alnum:].  (Bug#19878)

2015-02-27  Eli Zaretskii  <eliz@gnu.org>

	* os.texi (Startup Summary):
	* display.texi (Window Systems): Mention peculiarities of daemon
	mode on MS-Windows.

2015-02-11  Martin Rudalics  <rudalics@gmx.at>

	* frames.texi (Size Parameters): Update description of
	fullscreen frame parameter.  Describe `fullscreen-restore'
	parameter.

2015-02-09 Nicolas Petton <nicolas@petton.fr>

	* sequences.texi (Sequence Functions): Update documentation
	examples for seq-group-by.

2015-02-09  Eli Zaretskii  <eliz@gnu.org>

	* positions.texi (Screen Lines): Update the documentation of
	vertical-motion to document the new additional argument.

2015-02-06  Nicolas Petton <nicolas@petton.fr>

	* sequences.texi (Sequence Functions): Add documentation for
	seq-mapcat, seq-partition and seq-group-by.

2015-02-05  Martin Rudalics  <rudalics@gmx.at>

	* display.texi (Size of Displayed Text): Remove description of
	optional argument BUFFER of `window-text-pixel-size'.

2015-02-01  Martin Rudalics  <rudalics@gmx.at>

	* display.texi (Size of Displayed Text): Describe optional
	argument BUFFER of `window-text-pixel-size'.

2015-01-28  Eli Zaretskii  <eliz@gnu.org>

	* searching.texi (Regexp Search): Add a cross-reference to "Syntax
	of Regexps".  (Bug#19668)

2015-01-28  Daniel Koning  <dk@danielkoning.com>  (tiny change)

	* commands.texi (Drag Events, Motion Events, Event Examples)
	(Accessing Mouse): Describe actual range of values that mouse
	position objects can have.

2015-01-28  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Manipulating Buttons): Explain more about the
	'action' property.  (Bug#19628)

	* text.texi (Clickable Text): Improve indexing.  (Bug#19629)

	* variables.texi (Creating Buffer-Local): Improve indexing.  (Bug#19608)

	* frames.texi (Display Feature Testing): Make the description of
	x-server-version and x-server-vendor less X-specific.  (Bug#19502)

2015-01-15  Eli Zaretskii  <eliz@gnu.org>

	* streams.texi (Input Functions): Document 'set-binary-mode'.
	(Output Functions): Cross-reference to documentation of
	'set-binary-mode'.

2015-01-04  Paul Eggert  <eggert@cs.ucla.edu>

	batch write-region no longer says "Wrote FOO"
	* files.texi (Writing to Files): Document this.

2014-12-31  Paul Eggert  <eggert@cs.ucla.edu>

	Less 'make' chatter for Emacs doc
	* Makefile.in (AM_DEFAULT_VERBOSITY, AM_V_GEN, am__v_GEN_)
	(am__v_GEN_0, am__v_GEN_1): New macros, from ../../src/Makefile.in.
	(ENVADD, $(buildinfodir)/elisp.info, elisp.html):
	Use them.

2014-12-30  Martin Rudalics  <rudalics@gmx.at>

	* display.texi (Temporary Displays): Amend description of
	`with-temp-buffer-window'.  Add descriptions for
	`with-current-buffer-window', `with-displayed-buffer-window' and
	`temp-buffer-resize-mode', `temp-buffer-max-height' and
	`temp-buffer-max-width'.

2014-12-29  Paul Eggert  <eggert@cs.ucla.edu>

	* os.texi (System Environment): Update for system-name changes.

2014-12-27  Glenn Morris  <rgm@gnu.org>

	* control.texi (Pattern matching case statement):
	* os.texi (Desktop Notifications):
	* modes.texi (Defining Minor Modes, SMIE Lexer): Markup fixes.

2014-12-27  Eli Zaretskii  <eliz@gnu.org>

	* windows.texi (Recombining Windows): Index subject of sections.

	* variables.texi (Variables with Restricted Values)
	(Generalized Variables): Index subject of sections.

	* text.texi (Buffer Contents, Examining Properties)
	(Changing Properties, Property Search, Substitution): Index
	subject of sections.

	* syntax.texi (Motion and Syntax, Parsing Expressions)
	(Motion via Parsing, Position Parse, Control Parsing): Index
	subject of sections.

	* strings.texi (Predicates for Strings, Creating Strings)
	(Modifying Strings, Text Comparison): Index subject of sections.

	* searching.texi (Syntax of Regexps, Regexp Special)
	(Regexp Functions, Regexp Functions): Index subject of sections.

	* processes.texi (Subprocess Creation, Process Information): Index
	subject of sections.

	* positions.texi (Screen Lines): Index subject of sections.

	* nonascii.texi (Scanning Charsets, Specifying Coding Systems):
	Index subject of sections.

	* minibuf.texi (Text from Minibuffer, Object from Minibuffer)
	(Multiple Queries, Minibuffer Contents): Index subject of
	sections.

	* markers.texi (Predicates on Markers, Creating Markers)
	(Information from Markers, Moving Markers): Index subject of
	sections.

	* macros.texi (Defining Macros, Problems with Macros): Index
	subject of sections.

	* loading.texi (Loading Non-ASCII, Where Defined): Index subject
	of sections.

	* lists.texi (List-related Predicates, List Variables, Setcar)
	(Setcdr, Plist Access): Index subject of sections.

	* keymaps.texi (Controlling Active Maps, Scanning Keymaps)
	(Modifying Menus): Index subject of sections.

	* help.texi (Accessing Documentation, Help Functions): Index
	subject of sections.

	* hash.texi (Hash Access): Index subject of sections.

	* functions.texi (Core Advising Primitives)
	(Advising Named Functions, Porting old advices): Index subject of
	sections.

	* frames.texi (Creating Frames, Initial Parameters)
	(Position Parameters, Buffer Parameters, Minibuffers and Frames)
	(Pop-Up Menus, Drag and Drop): Index subject of sections.

	* files.texi (Visiting Functions, Kinds of Files)
	(Unique File Names): Index subject of sections.

	* display.texi (Refresh Screen, Echo Area Customization)
	(Warning Variables, Warning Options, Delayed Warnings)
	(Temporary Displays, Managing Overlays, Overlay Properties)
	(Finding Overlays, Size of Displayed Text, Defining Faces)
	(Attribute Functions, Displaying Faces, Face Remapping)
	(Basic Faces, Font Lookup, Fontsets, Replacing Specs)
	(Defining Images, Showing Images): Index subject of sections.

	* debugging.texi (Debugging, Explicit Debug)
	(Invoking the Debugger, Excess Open, Excess Close): Index subject
	of sections.

	* customize.texi (Defining New Types, Applying Customizations)
	(Custom Themes): Index subject of sections.

	* control.texi (Sequencing, Combining Conditions)
	(Processing of Errors, Cleanups): Index subject of sections.

	* compile.texi (Eval During Compile): Index subject of sections.

	* commands.texi (Using Interactive, Distinguish Interactive)
	(Command Loop Info, Classifying Events, Event Mod)
	(Invoking the Input Method): Index subject of sections.

	* buffers.texi (Buffer List, Buffer Gap): Index subject of sections.

	* backups.texi (Making Backups, Numbered Backups, Backup Names)
	(Reverting): Index subject of sections.

	* abbrevs.texi (Abbrev Tables, Defining Abbrevs, Abbrev Files)
	(Abbrev Expansion, Standard Abbrev Tables, Abbrev Properties)
	(Abbrev Table Properties): Index subject of sections.

	* os.texi (Time of Day, Time Conversion, Time Parsing)
	(Time Calculations, Idle Timers): Index subject of sections.

2014-12-25  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Windows): Resync @menu order with @node order.

	* minibuf.texi (Minibuffer Windows): Add descriptions of
	`resize-mini-windows' and `max-mini-window-height'.

2014-12-25  Glenn Morris  <rgm@gnu.org>

	* windows.texi (Windows): Sync @menu order with @node order.

	* sequences.texi (Sequence Functions): Copyedits.

	* control.texi (Pattern matching case statement):
	* positions.texi (List Motion):
	* streams.texi (Output Functions):
	* strings.texi (Text Comparison):
	* text.texi (Document Object Model): Markup fixes.

2014-12-22  Paul Eggert  <eggert@cs.ucla.edu>

	Remove obsolete references to pre-C99 builds
	* internals.texi (C Integer Types): Don't mention pre-C99 compilers.

2014-12-19  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Resizing Windows): Describe new argument of
	`fit-window-to-buffer'.  Move description of `window-size-fixed'
	to new section below.
	(Preserving Window Sizes): New section describing
	`window-size-fixed' and `window-preserve-size'.
	(Display Action Functions): Describe `preserve-size' alist
	entry.
	(Window Parameters): Describe `preserved-size' parameter.

2014-12-18  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Low-Level Font): Document font-info and query-font.

2014-12-18  Stefan Monnier  <monnier@iro.umontreal.ca>

        * display.texi (Forcing Redisplay): Remove references to
        redisplay-dont-pause and redisplay-preemption-period (which doesn't
        even exist).

2014-12-16  Nicolas Petton  <petton.nicolas@gmail.com>

	* sequences.texi (Seq Library): Add documentation for seq.el.

2014-12-15  Alan Mackenzie  <acm@muc.de>

	"Advice" is a mass noun.  Amend text accordingly.
	* functions.texi: (Advising Functions, Core Advising Primitives)
	(Advising Named Functions, Advice combinators)
	(Porting old advice): Replace, e.g., "an advice" with "advice".

2014-12-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* files.texi (Relative File Names): Mention `directory-name-p'.

2014-12-13  Eli Zaretskii  <eliz@gnu.org>

	* text.texi (Comparing Text): Prevent a text string from being
	broken between 2 lines.  (Bug#19257)

2014-12-09  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* files.texi (Contents of Directories):
	Document directory-files-recursively.

2014-12-04  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Bidirectional Display):
	Document 'buffer-substring-with-bidi-context'.

	* text.texi (Buffer Contents):
	Mention 'buffer-substring-with-bidi-context' with a cross-reference.

2014-12-02  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Bidirectional Display):
	Document 'bidi-find-overridden-directionality'.

2014-11-29  Paul Eggert  <eggert@cs.ucla.edu>

	Lessen focus on ChangeLog files, as opposed to change log entries.
	* intro.texi (Acknowledgments): ChangeLog file -> change log entries.
	* tips.texi (Library Headers): Emacs uses a version control system.

2014-11-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* text.texi (Document Object Model): Mention `dom-pp'.

2014-11-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* text.texi (Document Object Model): New node to document dom.el.

2014-11-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* processes.texi (Network Security): Made into its own section and
	fleshed out.
	(Network Security): Mention more NSM variables.
	(Processes): Move the Network Security Manager stuff to the Emacs
	manual.

2014-11-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* processes.texi (Network): Mention the new :warn-unless-encrypted
	parameter to `open-network-stream'.
	(Network): Mention the Network Security Manager.

2014-11-21  Ulf Jasper  <ulf.jasper@web.de>

	* text.texi (Parsing HTML/XML): Document new optional parameter
	'discard-comments' of 'libxml-parse(html|xml)-region'.

2014-11-18  Leo Liu  <sdl.web@gmail.com>

	* functions.texi (Advising Named Functions):
	Document define-advice.

2014-11-17  Paul Eggert  <eggert@cs.ucla.edu>

	Improve time stamp handling, and be more consistent about it.
	* os.texi (Time of Day, Time Conversion, Time Parsing)
	(Processor Run Time, Time Calculations):
	Document the new behavior, plus be clearer about the old behavior.
	(Idle Timers): Take advantage of new functionality.

2014-11-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* text.texi (Special Properties): Mention `inhibit-read-only'.

2014-11-14  Paul Eggert  <eggert@cs.ucla.edu>

	* os.texi (Time of Day):
	Use leading zero with 24-hour times less than 10:00.

2014-11-09  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (version): Remove variable.
	(clean): No longer delete dist tarfile.
	(dist): Remove rule; replace with code in admin.el.

2014-11-07  Martin Rudalics  <rudalics@gmx.at>

	* frames.texi (Size and Position): Rewrite description of
	`frame-inhibit-implied-resize'.

2014-10-22  Martin Rudalics  <rudalics@gmx.at>

	* frames.texi (Size Parameters): Replace "frame contents" by
	"frame's text area".  Add reference to Size and Position
	section.
	(Size and Position): Major rewrite.  Add explanations for
	frame's default font, text and display areas.  Add descriptions
	for `set-frame-font', `frame-text-height', `frame-text-width'
	and `frame-inhibit-implied-resize'.

2014-10-20  Glenn Morris  <rgm@gnu.org>

	* Merge in all changes up to 24.4 release.

2014-10-20  Tom Tromey  <tom@tromey.com>

	* objects.texi (Type Predicates): Don't mention display-table-p.

2014-10-15  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Character Properties): Document the new
	properties 'bracket-type' and 'paired-bracket'.

	* display.texi (Bidirectional Display): Update the version of the
	UBA to which we are conforming.

2014-10-13  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (dist): Update for new output variables.

2014-10-12  Glenn Morris  <rgm@gnu.org>

	* elisp.texi (DATE): Bump to October 2014.

2014-10-09  Glenn Morris  <rgm@gnu.org>

	* frames.texi (Multiple Terminals): Copyedits.

2014-10-09  Eli Zaretskii  <eliz@gnu.org>

	* frames.texi (Multiple Terminals): Improve the description of X
	display names.  Add index entries.
	(Basic Parameters): Add a cross-reference to where X display names
	are described.
	(Position Parameters): Mention that positional parameters of the
	form (+ POS) can be negative if they are on a non-primary monitor
	of a multi-monitor display.  (Bug#18636)
	(Creating Frames): Mention that on multi-monitor displays the
	frame might be positioned differently than specified by the frame
	parameters alist.

2014-10-08  Leo Liu  <sdl.web@gmail.com>

	* streams.texi (Output Functions): Document new argument ENSURE to
	terpri.  (Bug#18652)

2014-10-04  Martin Rudalics  <rudalics@gmx.at>

	* display.texi (Scroll Bars): Add description of horizontal scroll
	bars and associated functions.
	* frames.texi (Layout Parameters): Add horizontal scroll bar
	entries.  Remove paragraph on "combined fringe widths".
	* windows.texi (Window Sizes): Describe affects of horizontal
	scroll bars on window layout and sizes.  Fix description of
	window-full-height-p.
	(Resizing Windows): Mention horizontal scroll bar.

2014-10-04  Glenn Morris  <rgm@gnu.org>

	* commands.texi (Generic Commands): Copyedits.

	* display.texi (Scroll Bars):
	* modes.texi (Header Lines): Copyedits.

	* buffers.texi (Buffer List):
	* display.texi (Image Descriptors, Defining Images):
	* functions.texi (Core Advising Primitives): Small fixes re @var usage.

	* windows.texi (Window Sizes, Resizing Windows): Copyedits.

	* frames.texi (Multiple Terminals): Copyedits re multiple monitors.

2014-10-03  Martin Rudalics  <rudalics@gmx.at>

	* frames.texi (Size Parameters, Size and Position): Mention that
	with some window managers you have to set `frame-resize-pixelwise'
	in order make a frame truly fullscreen or maximized.

2014-10-01  Paul Eggert  <eggert@cs.ucla.edu>

	Improve doc for use of 'int', and discuss 'ssize_t'.
	* internals.texi (C Integer Types): Mention 'int' for other
	randomish values that lie in 'int' range.  Mention 'ssize_t'.  See:
	https://lists.gnu.org/r/emacs-devel/2014-10/msg00019.html

	Use AUTO_CONS instead of SCOPED_CONS, etc.
	* internals.texi (Stack-allocated Objects):
	Adjust to match the revised, less error-prone macros.

2014-09-30  Paul Eggert  <eggert@cs.ucla.edu>

	* internals.texi (Stack-allocated Objects): Further improvements.
	Give an example of misuse.

2014-09-30  Eli Zaretskii  <eliz@gnu.org>

	* internals.texi (Stack-allocated Objects): Minor improvements of
	the wording and the indexing.

2014-09-30  Dmitry Antipov  <dmantipov@yandex.ru>

	* internals.texi (Stack-allocated Objects): Describe this feature.

2014-09-15  Daniel Colascione  <dancol@dancol.org>

	* text.texi (Registers): Make `insert-register' documentation
	reflect interface change.

2014-09-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* functions.texi (Core Advising Primitives): Add a note about the
	confusing treatment of `interactive' for :filter-args (bug#18399).

2014-09-07  Michael Albinus  <michael.albinus@gmx.de>

	* strings.texi (Text Comparison): Describe `string-collate-equalp'
	and `string-collate-lessp'.

2014-09-06  Leo Liu  <sdl.web@gmail.com>

	* control.texi (Pattern matching case statement): Document vector
	qpattern.  (Bug#18327)

2014-08-29  Dmitry Antipov  <dmantipov@yandex.ru>

	* lists.texi (Functions that Rearrange Lists):
	Remove description of sort ...
	* sequences.texi (Sequence Functions): ... and generalize
	it for sequences.  Add an example.

2014-08-28  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Bidirectional Display): Update the Emacs's class
	of bidirectional conformance.

2014-08-27  Dmitry Antipov  <dmantipov@yandex.ru>

	* eval.texi (Eval): Mention possible recovery from stack overflow.

2014-07-11  Eli Zaretskii  <eliz@gnu.org>

	* internals.texi (Garbage Collection): Fix last change.

2014-07-11  Dmitry Antipov  <dmantipov@yandex.ru>

	* internals.texi (Garbage Collection): Mention memory-info.

2014-07-11  Michael Albinus  <michael.albinus@gmx.de>

	* minibuf.texi (Intro to Minibuffers, Reading a Password):
	Password hiding is available in batch mode, do not mention it in
	the exclusion list.  Mention `read-hide-char'.  (Bug#17839)

2014-07-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* debugging.texi (Function Debugging, Debugger Commands):
	Update debug-on-entry w.r.t behavior after redefinitions (bug#17902).

2014-07-03  Glenn Morris  <rgm@gnu.org>

	* help.texi (Help Functions): "Online" help doesn't mean what it
	used to any more.

2014-07-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* keymaps.texi (Key Lookup): Remove mention of indirect entries.
	(Scanning Keymaps): Reword the `noindirect' argument.

2014-06-28  Glenn Morris  <rgm@gnu.org>

	* minibuf.texi (Intro to Minibuffers): Batch mode is basic.
	(Reading a Password): Mention batch mode.  (Bug#17839)

2014-06-23  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (%.texi): Disable implicit rules.
	(mkinfodir): Remove.
	(.dvi.ps): Replace with explicit rule.
	(html): Declare as PHONY.
	(${buildinfodir}): New rule.
	($(buildinfodir)/elisp.info): Use order-only prereq for output dir.
	Use $<.
	(elisp.dvi, elisp.html, elisp.pdf): Use $<.
	(elisp.ps): New rule.

2014-06-21  Eli Zaretskii  <eliz@gnu.org>

	* positions.texi (Screen Lines): Clarify how columns are counted
	by vertical-motion.

2014-06-15  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (bootstrap-clean): New.

2014-06-15  Eli Zaretskii  <eliz@gnu.org>

	* commands.texi (Accessing Mouse): Improve the wording of the
	posn-col-row documentation.  (Bug#17768)

2014-06-10  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (INFO_EXT): Remove and replace by ".info" throughout.
	(INFO_OPTS): Set directly rather than with configure.

2014-06-09  Paul Eggert  <eggert@cs.ucla.edu>

	Say (accept-process-output P)'s result pertains to P if P is non-nil.
	* processes.texi (Accepting Output): Mention that if PROCESS is non-nil,
	the return value is about PROCESS, not about other processes.

2014-06-08  Glenn Morris  <rgm@gnu.org>

	* os.texi (Startup Summary): Small fix for initial-buffer-choice.

	* files.texi (Subroutines of Visiting): Mention uniquify.

	* numbers.texi (Comparison of Numbers): Copyedits.

2014-06-08  Glenn Morris  <rgm@gnu.org>

	* display.texi (Window Systems): Remove window-setup-hook.
	* os.texi (Startup Summary, Init File):
	Improve description of window-setup-hook.
	(Terminal-Specific): Update window-setup-hook cross-reference.
	* hooks.texi (Standard Hooks): Update window-setup-hook cross-reference.

	* display.texi (Overlay Properties): Update re priority.  (Bug#17234)

	* package.texi (Package Archives): Mention signing packages.

2014-06-07  Eli Zaretskii  <eliz@gnu.org>

	* commands.texi (Click Events): Update contents of click event's
	position list due to last changes in make_lispy_position.

2014-06-02  Glenn Morris  <rgm@gnu.org>

	* text.texi (Buffer Contents):
	Update for filter-buffer-substring changes.

	* abbrevs.texi (Abbrev Expansion): Update for expand-abbrev changes.
	* functions.texi (Advising Functions): Standardize menu case.

2014-05-26  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Invisible Text): Clarify the description of
	line-move-ignore-invisible.  (Bug#17511)

2014-05-22  Leo Liu  <sdl.web@gmail.com>

	* sequences.texi (Sequence Functions): Don't mention when and how
	SEQ to nreverse is mutated.

2014-05-21  Leo Liu  <sdl.web@gmail.com>

	* sequences.texi (Sequence Functions): Update nreverse.

2014-05-19  Paul Eggert  <eggert@cs.ucla.edu>

	Allow any non-nil value to count as true in bool-vector.
	* sequences.texi (Bool-Vectors): Coalesce discussion of how to
	print them.  bool-vector's args need not be t or nil.

2014-05-19  Dmitry Antipov  <dmantipov@yandex.ru>

	* sequences.texi (Bool-vectors): Mention bool-vector.

2014-05-17  Paul Eggert  <eggert@cs.ucla.edu>

	Assume C99 or later (Bug#17487).
	* internals.texi (C Dialect): Document this.

2014-05-15  Dmitry Antipov  <dmantipov@yandex.ru>

	* lists.texi (Building Cons Cells and Lists):
	Remove description of `reverse' and `'nreverse' to generalize them...
	* sequences.texi (Sequences): ...for sequences here.

2014-05-14  Glenn Morris  <rgm@gnu.org>

	* files.texi (Changing Files): Mention with-file-modes.

2014-05-08  Paul Eggert  <eggert@cs.ucla.edu>

	* internals.texi (C Dialect): New section.
	(C Integer Types): Mention bool_bf.

2014-04-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* processes.texi (Filter Functions, Sentinels): Advertise add-function.

2014-04-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* windows.texi (Window Configurations, Window Configurations):
	Window configs don't store marks any more.

2014-04-25  Eli Zaretskii  <eliz@gnu.org>

	* strings.texi (Text Comparison): Mention equal-including-properties
	for when text properties of the strings matter for comparison.

2014-04-22  Eli Zaretskii  <eliz@gnu.org>

	* text.texi (Registers): Document register-read-with-preview.

	* internals.texi (Building Emacs): Improve indexing.

2014-04-17  Daniel Colascione  <dancol@dancol.org>

	* frames.texi (Terminal Parameters): Document new
	tty-mode-set-strings and tty-mode-reset-strings terminal
	parameters.

2014-04-17  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in (infoclean): Be consistent about reporting failures.

2014-04-09  Daniel Colascione  <dancol@dancol.org>

	* errors.texi (Standard Errors): Document required error
	parameters for `scan-error'.

	* positions.texi (List Motion): Explain new `up-list' arguments.
	Mention `backward-up-list'.

2014-04-08  Daniel Colascione  <dancol@dancol.org>

	* minibuf.texi (Programmed Completion): Improve phrasing, remove
	incorrect bullet count.

2014-04-07  Glenn Morris  <rgm@gnu.org>

	* os.texi (Recording Input): Dribble files may contain passwords.

	* backups.texi (Making Backups, Reverting):
	Update for default values of some -function vars no longer being nil.
	(Reverting): Update for buffer-stale-function
	also applying to file-buffers.

2014-03-31  Daniel Colascione  <dancol@dancol.org>

	* minibuf.texi (Completion in Buffers): Discuss using lazy
	completion tables for inline completion.

2014-03-28  Glenn Morris  <rgm@gnu.org>

	* os.texi (Terminal-Specific): Mention term-file-aliases.

2014-03-26  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Kinds of Files): Improve documentation of
	file-symlink-p.  (Bug#17073)  Add cross-references.

2014-03-26  Barry O'Reilly  <gundaetiapo@gmail.com>

	* markers.texi (Moving Marker Positions): The 2014-03-02 doc
	change mentioning undo's inability to handle relocated markers no
	longer applies.  See bug#16818.
	* text.texi (Undo): Expand documentation of (TEXT . POS) and
	(MARKER . ADJUSTMENT) undo elements.

2014-03-26  Glenn Morris  <rgm@gnu.org>

	* files.texi (File Locks): All systems support locking.

2014-03-22  Glenn Morris  <rgm@gnu.org>

	* commands.texi (Defining Commands):
	Mention that interactive-only also affects describe-function.

	* functions.texi (Declare Form): Add interactive-only.
	* commands.texi (Defining Commands) Mention declare.

	* commands.texi (Defining Commands): List interactive-only values.

2014-03-22  Eli Zaretskii  <eliz@gnu.org>

	* functions.texi (Core Advising Primitives): Fix cross-reference
	in last change.

2014-03-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* functions.texi (Advising Functions): Explain a bit more how
	arguments work.
	(Advice combinators): New node.
	(Core Advising Primitives): Use it.  Expand description of "depth".
	(Advising Named Functions): Document limitation of advices on macros.

2014-03-21  Martin Rudalics  <rudalics@gmx.at>

	* frames.texi (Size and Position): In `frame-resize-pixelwise'
	description drop remark about frame maximization.
	* windows.texi (Display Action Functions): Add description for
	`display-buffer-no-window' and explain use of `allow-no-window'
	alist entries.

2014-03-21  Glenn Morris  <rgm@gnu.org>

	* commands.texi (Defining Commands): Copyedit re `interactive-only'.

2014-03-20  Paul Eggert  <eggert@cs.ucla.edu>

	* internals.texi (C Integer Types): Prefer 'false' and 'true'
	to '0' and '1' for booleans.

2014-03-19  Paul Eggert  <eggert@cs.ucla.edu>

	* numbers.texi: Improve and clarify a bit, and fix some minor bugs.
	Remove now-obsolete hypothetical note about negative division,
	as the C standard has changed.

	Fix porting inconsistency about rounding to even.
	* numbers.texi (Numeric Conversions, Rounding Operations):
	Document that 'round' and 'fround' round to even.

2014-03-18  Juanma Barranquero  <lekktu@gmail.com>

	* customize.texi (Variable Definitions): Recommend avoiding
	destructive modification of the value argument of :set (bug#16755).

2014-03-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* modes.texi (Auto-Indentation): Mention electric-indent variables.

2014-03-18  Juanma Barranquero  <lekktu@gmail.com>

	* functions.texi (Advising Named Functions): Fix reference.

2014-03-18  Paul Eggert  <eggert@cs.ucla.edu>

	Improve documentation for integer and floating-point basics.
	* numbers.texi (Numbers, Integer Basics, Float Basics):
	Document the basics a bit more precisely.  Say more clearly
	that Emacs floating-point numbers are IEEE doubles on all
	current platforms.  Give more details about frexp.
	Say more clearly that '1.' is an integer.
	(Predicates on Numbers): Fix wholenump typo.
	* objects.texi (Integer Type): Adjust to match numbers.texi.

2014-03-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* functions.texi (Advising Functions): Try and improve the text.
	Add example use of advice-add (bug#16959).
	(Core Advising Primitives): Rename.  Explain handling of interactive
	specs, including advice-eval-interactive-spec.
	(Advising Named Functions): Try and better explain the difference with
	add-function.
	(Porting old advices): New node.

2014-03-18  Paul Eggert  <eggert@cs.ucla.edu>

	Style fixes for floating-point doc.
	* commands.texi, customize.texi, display.texi, elisp.texi, files.texi:
	* frames.texi, hash.texi, internals.texi, keymaps.texi, lists.texi:
	* minibuf.texi, nonascii.texi, numbers.texi, objects.texi, os.texi:
	* processes.texi, streams.texi, strings.texi, text.texi:
	* variables.texi, windows.texi:
	Hyphenate "floating-point" iff it precedes a noun.
	Reword to avoid nouns and hyphenation when that's easy.
	Prefer "integer" to "integer number" and "is floating point"
	to "is a floating point number".
	Prefer "@minus{}" to "-" when it's a minus.

2014-03-16  Martin Rudalics  <rudalics@gmx.at>

	* display.texi (Temporary Displays): Rewrite descriptions of
	`with-output-to-temp-buffer' and `with-temp-buffer-window'.
	* help.texi (Help Functions): Rewrite description of `with-help-window'.

2014-03-15  Dmitry Gutov  <dgutov@yandex.ru>

	* display.texi (Blinking): Update WRT to the new
	`blink-matchin-paren' behavior.

2014-03-14  Martin Rudalics  <rudalics@gmx.at>

	* display.texi (Temporary Displays): Say that
	`with-temp-buffer-window' makes its buffer current.
	* frames.texi (Size and Position): Describe new option
	`frame-resize-pixelwise'.  Rewrite descriptions of
	`set-frame-size', `set-frame-height' and `set-frame-width'.

2014-03-09  Martin Rudalics  <rudalics@gmx.at>

	* elisp.texi (Top): Rename section "Width" to "Size of Displayed Text".
	* text.texi (Primitive Indent):
	* strings.texi (String Basics):
	* sequences.texi (Sequence Functions): Update references accordingly.
	* display.texi (Size of Displayed Text): Rename section from
	"Width".  Add description for `window-text-pixel-size'.
	(Window Dividers): Reword description of window dividers.
	* frames.texi (Layout Parameters): Improve description of window
	divider parameters.
	* windows.texi (Window Sizes): Add descriptions of
	`window-mode-line-height' and `window-header-line-height'.
	(Coordinates and Windows): Mention window dividers.

2014-03-07  Martin Rudalics  <rudalics@gmx.at>

	* buffers.texi (The Buffer List): Rename node to Buffer List.
	Describe `buffer-list-update-hook'.
	* elisp.texi (Top): "The Buffer List" renamed to "Buffer List".
	Add node for Window Dividers.
	* hooks.texi (Standard Hooks): Add reference to
	`buffer-list-update-hook'.
	* windows.texi (Window Sizes): Describe `window-min-size'.
	(Splitting Windows): Update description of `split-window'.
	(Selecting Windows): Update description of `select-window'.

2014-03-06  Martin Rudalics  <rudalics@gmx.at>

	* frames.texi (Size and Position): Rewrite entries for
	`fit-frame-to-buffer' and `fit-frame-to-buffer-margins'.
	Add description for `fit-frame-to-buffer-sizes'.
	* windows.texi (Resizing Windows): Add descriptions for
	pixelwise resizing.  Add entries for `window-resize-pixelwise'
	and `fit-window-to-buffer-horizontally'.
	Rewrite `fit-window-to-buffer' entry.

2014-03-06  Xue Fuqiao  <xfq@gnu.org>

	* internals.texi (Window Internals): Remove field `region_showing'.

2014-03-06  Glenn Morris  <rgm@gnu.org>

	* searching.texi (Replacing Match):
	Remove incorrect, uninteresting return value.  (Bug#16942)

2014-03-05  Martin Rudalics  <rudalics@gmx.at>

	* display.texi (Window Dividers): New section.
	* frames.texi (Layout Parameters): Add right-divider-width and
	bottom-divider-width.
	* windows.texi (Window Sizes): Redraw schematic and rewrite its
	description.  Rewrite descriptions of `window-total-height',
	`window-total-width', `window-total-size', `window-body-height',
	`window-body-width' and `window-size-fixed'.  Add descriptions
	for `window-pixel-height', `window-pixel-width',
	`window-min-height' and `window-min-width'.  Remove description
	of `window-size-fixed-p' moving part of it to that of
	`window-size-fixed'.
	(Resizing Windows): Mention dividers when talking about minimum sizes.

2014-03-05  Glenn Morris  <rgm@gnu.org>

	* modes.texi (SMIE Customization): New section.
	* elisp.texi (Top): Update detailed menu.

2014-03-04  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Windows and Frames): Add some missing &optional
	designators.  Adjust description of window-in-direction.

2014-03-02  Barry O'Reilly  <gundaetiapo@gmail.com>

	* markers.texi (Moving Marker Positions): Clarify guidance about
	when to move markers and when to create a new one, as discussed at
	https://debbugs.gnu.org/cgi/bugreport.cgi?bug=16818#17

2014-03-02  Glenn Morris  <rgm@gnu.org>

	* text.texi (Decompression): New node.
	* elisp.texi (Top): Update detailed menu.

2014-03-01  Glenn Morris  <rgm@gnu.org>

	* display.texi (Forcing Redisplay): Mention pre-redisplay-function.

2014-02-28  Xue Fuqiao  <xfq@gnu.org>

	* functions.texi (Advising Functions, Advising Named Functions):
	Tweak markup.

	* display.texi (Defining Faces): Doc fix for `face-spec-set'.

	* elisp.texi (Top):
	* commands.texi (Generic Commands, Defining Commands):
	Document `define-alternatives'.

2014-02-27  Xue Fuqiao  <xfq@gnu.org>

	* windows.texi (Window Sizes): Document `window-size'.
	(Display Action Functions): Document `display-buffer-at-bottom'.
	(Window Configurations): Minor fixes.

	* modes.texi (Header Lines): Document `window-header-line-height'.

	* display.texi (Scroll Bars): Document `window-scroll-bar-width'.

	* windows.texi (Window Sizes, Resizing Windows): Document some
	pixelwise window operations.

	* text.texi (Margins): Fix the description of RET and `C-j'.

	* frames.texi (Multiple Terminals): Document
	`display-monitor-attributes-list' and `display-monitor-attributes'.
	(Display Feature Testing): Add some notes about multi-monitor.

2014-02-27  Glenn Morris  <rgm@gnu.org>

	* minibuf.texi (Programmed Completion):
	Mention completion-table-with-cache.

2014-02-25  Glenn Morris  <rgm@gnu.org>

	* display.texi (Window Systems):
	Replace term-setup-hook with emacs-startup-hook.
	* hooks.texi (Standard Hooks):
	Replace term-setup-hook with tty-setup-hook.
	* os.texi (Startup Summary, Init File, Terminal-Specific):
	Replace term-setup-hook with tty-setup-hook, and update.

2014-02-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* functions.texi (Declare Form): Document gv-expander, gv-setter,
	and compiler-macro (bug#16829, bug#15093).

2014-02-21  Juanma Barranquero  <lekktu@gmail.com>

	* windows.texi (Window Configurations): Doc fix.
	(Windows and Frames): Fix typo.

2014-02-21  Glenn Morris  <rgm@gnu.org>

	* internals.texi (Process Internals):
	* processes.texi (Subprocess Creation, Deleting Processes)
	(Output from Processes, Process Buffers, Filter Functions)
	(Accepting Output, Sentinels, Network, Network Servers):
	Filters and sentinels can no longer be nil.
	* elisp.texi (Top): Menu update.

2014-02-20  Glenn Morris  <rgm@gnu.org>

	* functions.texi (Defining Functions): Mention defalias-fset-function.

2014-02-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuf.texi (Completion Commands): Don't document obsolete
	`common-substring' arg of display-completion-list.

2014-02-17  Glenn Morris  <rgm@gnu.org>

	* minibuf.texi (Text from Minibuffer): Update read-regexp details.
	Mention read-regexp-defaults-function.

2014-02-13  Glenn Morris  <rgm@gnu.org>

	* debugging.texi (Debugger Commands): Tiny edits.

2014-02-12  Glenn Morris  <rgm@gnu.org>

	* package.texi (Simple Packages): Describe URL and Keywords headers.

2014-02-10  Lars Ingebrigtsen  <larsi@gnus.org>

	* text.texi (User-Level Deletion):
	Document `delete-trailing-whitespace' (bug#15309).

2014-02-09  Lars Ingebrigtsen  <larsi@gnus.org>

	* text.texi (Changing Properties): Clarify `propertize' (bug#9825).

	* display.texi (Blinking): Clarify doc string in example (bug#10658).

	* commands.texi (Accessing Mouse): Mention that these function
	also work on keyboard events (bug#14228).
	(Quitting): Refer to the right node for `set-input-mode' (bug#11458).

2014-02-08  Lars Ingebrigtsen  <larsi@gnus.org>

	* display.texi (Face Attributes): Add an index (bug#14924).

	* keymaps.texi (Menu Bar): Minor clarification (bug#15657).

2014-02-06  Glenn Morris  <rgm@gnu.org>

	* display.texi (Truncation):
	* positions.texi (Screen Lines): Do not mention cache-long-scans.

2014-01-31  Juri Linkov  <juri@jurta.org>

	* searching.texi (String Search): Incremental word search fixes.

2014-01-28  Glenn Morris  <rgm@gnu.org>

	* text.texi (Indent Tabs): Update related to tab-stops.

2014-01-24  Glenn Morris  <rgm@gnu.org>

	* control.texi (Handling Errors): Update with-demoted-errors.

	* files.texi (File Locks): Every platform supports locking now.

2014-01-22  Glenn Morris  <rgm@gnu.org>

	* display.texi (ImageMagick Images): Expand on image-format-suffixes.

2014-01-20  Glenn Morris  <rgm@gnu.org>

	* hash.texi (Other Hash): Do not mention subr-x.el functions;
	reverts 2013-12-22 change.

2014-01-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* functions.texi (Advising Functions): New section.
	* modes.texi (Running Hooks): Don't document with-wrapper-hook and
	run-hook-wrapped any more.
	(Hooks): Link to the new Advising Functions node.
	* elisp.texi (Top): Don't include advice.texi.
	* advice.texi: Remove.
	* makefile.w32-in (srcs):
	* Makefile.in (srcs): Adjust accordingly.

2014-01-09  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* text.texi (Parsing HTML/XML): Document `shr-insert-document'.

	* strings.texi (Text Comparison): Document `string-suffix-p'.

2014-01-07  Glenn Morris  <rgm@gnu.org>

	* files.texi (File Attributes): Fix superscipt typo.

2014-01-07  Chong Yidong  <cyd@gnu.org>

	* files.texi (Changing Files): Document copy-file changes.

2014-01-07  Glenn Morris  <rgm@gnu.org>

	* display.texi (Logging Messages): Copyedits re messages-buffer.

2014-01-06  Paul Eggert  <eggert@cs.ucla.edu>

	Specify .texi encoding (Bug#16292).
	* back.texi, book-spine.texi, lay-flat.texi:
	Add @documentencoding.

2014-01-05  Chong Yidong  <cyd@gnu.org>

	* backups.texi (Making Backups): Document backup-buffer change.

	* files.texi (Visiting Files): Copyedits.
	(Testing Accessibility): Mention ACLs.  Move file-modes here from
	File Attributes.
	(Truenames): Move file-equal-p here from Kinds of Files.
	(File Attributes): Move file-newer-than-file-p here from Testing
	Accessibility.
	(Extended Attributes): New node.  Add file-extended-attributes.
	(Changing Files): Document set-file-extended-attributes.

	* commands.texi (Defining Commands): Document the interactive-form
	property more carefully.  Document interactive-only.

	* compile.texi (Compiler Errors): Copyedits.  Note that the
	details for byte-compile-warnings are in its docstring.

	* minibuf.texi (Minibuffer Contents): Remove obsolete function
	minibuffer-completion-contents.

	* variables.texi (Defining Variables): Note that defvar acts
	always on the dynamic value.

	* customize.texi (Variable Definitions): Likewise.

2014-01-05  Paul Eggert  <eggert@cs.ucla.edu>

	Document vconcat and the empty vector (Bug#16246).
	* sequences.texi (Vector Functions):
	Document behavior better when the result is empty.

	Document behavior of (string-to-number "+@") (Bug#16293).
	* strings.texi (String Conversion): Document behavior of
	string-to-number on invalid strings that begin with "+", too.

2014-01-03  Chong Yidong  <cyd@gnu.org>

	* help.texi (Documentation, Accessing Documentation): Copyedits.
	(Documentation Basics): Rewrite, avoiding a repeat discussion of
	docstring conventions.

	* tips.texi (Documentation Tips): Move discussion of
	emacs-lisp-docstring-fill-column here from Documentation Basics.

	* compile.texi (Docs and Compilation): Copyedits.

2014-01-02  Glenn Morris  <rgm@gnu.org>

	* numbers.texi (Numeric Conversions): Fix a typo.

2013-12-29  Paul Eggert  <eggert@cs.ucla.edu>

	Plain copy-file no longer chmods an existing destination (Bug#16133).
	* files.texi (Changing Files): Document this.

2013-12-28  Chong Yidong  <cyd@gnu.org>

	* modes.texi (Auto Major Mode): Document interpreter-mode-alist change.

	* buffers.texi (Modification Time): Document visited-file-modtime
	change.

2013-12-28  Glenn Morris  <rgm@gnu.org>

	* control.texi (Pattern matching case statement): Brevity.

2013-12-27  Chong Yidong  <cyd@gnu.org>

	* functions.texi (Function Cells):
	* eval.texi (Function Indirection): Update for the fact that
	symbol-function no longer signals an error.

	* commands.texi (Reading One Event): Mention keyboard coding.

	* keymaps.texi (Translation Keymaps, Translation Keymaps):
	* nonascii.texi (Terminal I/O Encoding): Copyedits.

2013-12-26  Chong Yidong  <cyd@gnu.org>

	* advice.texi (Advising Functions, Defining Advice): Special forms
	can no longer be advised.

2013-12-25  Chong Yidong  <cyd@gnu.org>

	* keymaps.texi (Active Keymaps): Re-organize the text.
	(Searching Keymaps): Rewrite the pseudo-code for 24.4 changes.
	(Controlling Active Maps): Note that set-transient-map uses
	overriding-terminal-local-map.

	* tips.texi (Coding Conventions): Tweak the coding system tip;
	Emacs now uses utf-8 by default for Emacs Lisp source files.

	* display.texi (Font Selection): Tweak example.

	* commands.texi (Event Input Misc): Document new arg to input-pending-p.

	* nonascii.texi (Specifying Coding Systems): Don't refer to
	emacs-mule-dos.
	(Lisp and Coding Systems): Describe emacs-mule return value in
	modern terms.

2013-12-25  Tassilo Horn  <tsdh@gnu.org>

	* control.texi (Pattern matching case statement): Rephrase lexical
	binding requirement: the example needs it, not `pcase' itself.

2013-12-25  Chong Yidong  <cyd@gnu.org>

	* eval.texi (Eval): Document the LEXICAL arg to eval.

	* variables.texi (Variables, Void Variables): Use "scoping rule"
	terminology consistently.
	(Variable Scoping): Add index entries, and use "dynamic scope"
	terminology in place of "indefinite scope" to reduce confusion.
	(Lexical Binding): Document lexical environment format.
	(Using Lexical Binding): Add index entries for error messages.

2013-12-24  Tassilo Horn  <tsdh@gnu.org>

	* control.texi (Pattern matching case statement): Fix missing
	argument in simple expression language sample (Bug#16238).
	Add some sample programs written in that language.  Mention that
	`pcase' requires lexical binding.

2013-12-23  Xue Fuqiao  <xfq.free@gmail.com>

	* eval.texi (Special Forms): Document `special-form-p'.

	* macros.texi (Simple Macro): Document `macrop'.

	* files.texi (Changing Files): Fix an argument of `copy-file'.

	* strings.texi (Creating Strings): Document TRIM in `split-string'.

2013-12-23  Chong Yidong  <cyd@gnu.org>

	* keymaps.texi (Controlling Active Maps):
	Rename set-temporary-overlay-map to set-transient map.  Doc fixes.
	(Searching Keymaps): The transient keymap takes precedence.

2013-12-23  Glenn Morris  <rgm@gnu.org>

	* loading.texi (How Programs Do Loading, Load Suffixes):
	Mention `load-prefer-newer'.

2013-12-22  Xue Fuqiao  <xfq.free@gmail.com>

	* hash.texi (Other Hash): Document `hash-table-keys'
	and `hash-table-values'.

2013-12-22  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Character Properties): NAME or OLD-NAME
	properties can be nil (there's no empty string).
	(Character Properties): Update the reference to the UCD.

2013-12-22  Xue Fuqiao  <xfq.free@gmail.com>

	* sequences.texi (Bool-Vectors): Document new bool-vector set
	operation functions.

	* text.texi (Examining Properties): Document `get-pos-property'.

	* variables.texi (Directory Local Variables):
	Document `enable-dir-local-variables'.

	* debugging.texi (Debugger Commands):
	Document `debugger-toggle-locals'.

2013-12-21  Chong Yidong  <cyd@gnu.org>

	* text.texi (Region Indent): Note the new interactive behavior of
	indent-rigidly.

2013-12-20  Tassilo Horn  <tsdh@gnu.org>

	* numbers.texi (numbers): Document that =, <, <=, >, >= now accept
	one or many arguments.

	* display.texi: Document `messages-buffer'.

	* os.texi: Document `initial-buffer-choice' changes.

2013-12-20  Chong Yidong  <cyd@gnu.org>

	* text.texi (Changing Properties): Improve documentation for
	add-face-text-property.
	(Special Properties): Mention add-face-text-property.

2013-12-18  Chong Yidong  <cyd@gnu.org>

	* customize.texi (Custom Themes): Document custom-known-themes
	(Bug#15717).

	* modes.texi (Defining Minor Modes): Fix typo (Bug#14874).
	(Keymaps and Minor Modes): Fix binding convention (Bug#11522).

2013-12-13  Glenn Morris  <rgm@gnu.org>

	* internals.texi (Building Emacs):
	* loading.texi (Library Search): Mention that site-load,
	site-init cannot change load-path.

2013-12-12  Glenn Morris  <rgm@gnu.org>

	* elisp.texi: Tweak dircategory.

2013-12-12  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Encoding and I/O): Document file-name encoding
	peculiarities on MS-Windows.

2013-12-12  Glenn Morris  <rgm@gnu.org>

	* elisp.texi: Sync direntry with info/dir version.

2013-12-08  Juanma Barranquero  <lekktu@gmail.com>

	* display.texi (Progress, Face Remapping):
	* processes.texi (Serial Ports):
	* windows.texi (Recombining Windows): Fix typos.  (Bug#16089)

2013-12-04  Juri Linkov  <juri@jurta.org>

	* searching.texi (Search and Replace): Fix `unread-command-events'
	and add ref.

2013-12-03  Juri Linkov  <juri@jurta.org>

	* windows.texi (Choosing Window): Rename `no-display-ok' to
	`allow-no-window'.  (Bug#13594)

2013-11-30  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (distclean): Remove Makefile.

2013-11-29  Andreas Politz  <politza@fh-trier.de>

	* modes.texi (Imenu): Make it clear that sub-alist is the cdr
	(Bug#14029).

2013-11-27  Glenn Morris  <rgm@gnu.org>

	* loading.texi (Library Search):
	* os.texi (Startup Summary): No more leim directory.

2013-11-26  Glenn Morris  <rgm@gnu.org>

	* os.texi (Startup Summary): Update for leim-list being preloaded.

2013-11-23  Brian Jenkins  <brian@brianjenkins.org>  (tiny change)

	* frames.texi (Input Focus):
	* hooks.texi (Standard Hooks): Mention focus-in-hook, focus-out-hook.

2013-11-23  Glenn Morris  <rgm@gnu.org>

	* loading.texi (Library Search):
	Empty elements in EMACSLOADPATH now mean the default load-path.

2013-11-22  Glenn Morris  <rgm@gnu.org>

	* loading.texi (Library Search): Minor clarification.

2013-11-20  Leo Liu  <sdl.web@gmail.com>

	* windows.texi (Choosing Window): Mention `no-display-ok'.  (Bug#13594)

2013-11-19  Xue Fuqiao  <xfq.free@gmail.com>

	* os.texi (File Notifications): Add an index.

	* loading.texi (Loading): Add an cross-reference.

2013-11-18  Xue Fuqiao  <xfq.free@gmail.com>

	* os.texi (Session Management, Desktop Notifications): Add some
	indexes and a cross-reference.

2013-11-17  Xue Fuqiao  <xfq.free@gmail.com>

	* os.texi (Time Parsing, Processor Run Time, Input Modes)
	(Terminal Output): Minor fixes.

2013-11-14  Glenn Morris  <rgm@gnu.org>

	* loading.texi (Library Search): Update section.

2013-11-11  Xue Fuqiao  <xfq.free@gmail.com>

	* os.texi (User Identification, Time of Day, Time Conversion):
	Minor fixes.

2013-11-10  Jan Djärv  <jan.h.d@swipnet.se>

	* keymaps.texi (Tool Bar): Mention that Gtk+/NS ignores item 1 to 3.

2013-11-09  Xue Fuqiao  <xfq.free@gmail.com>

	* os.texi (Startup Summary): Add an index about startup screen.
	Typo fix.
	(Command-Line Arguments): Add cross-reference for `dump-emacs'.

2013-11-08  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Truncation): Document that cache-long-scans is now
	non-nil by default.  (Bug#15797)

2013-11-05  Eli Zaretskii  <eliz@gnu.org>

	* lists.texi (Rearrangement): Fix indexing.

	* display.texi (Bidirectional Display): Fix indexing.

2013-11-05  Xue Fuqiao  <xfq.free@gmail.com>

	* lists.texi (Rearrangement): Improve indexing.

	* display.texi (Glyphs): Add an index for glyph code.
	(Bidirectional Display): Improve indexing.

2013-11-01  Jan Djärv  <jan.h.d@swipnet.se>

	* display.texi (Face Attributes): Document :distant-foreground.

2013-10-30  Xue Fuqiao  <xfq.free@gmail.com>

	* display.texi (Abstract Display): Improve indexing.

2013-10-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* display.texi (Selective Display): Discourage the use of explicit
	selective display.

2013-10-29  Xue Fuqiao  <xfq.free@gmail.com>

	* display.texi (Showing Images): Add an index for image-size.
	Use @code instead of @var for a normal variable.
	(Multi-Frame Images): Improve indexing.
	(Button Buffer Commands): Use @code instead of @var for a normal
	variable.
	(Abstract Display): Explain the meaning of Ewoc.

2013-10-27  Xue Fuqiao  <xfq.free@gmail.com>

	* display.texi (Image Descriptors): Improve indexing.

2013-10-26  Xue Fuqiao  <xfq.free@gmail.com>

	* display.texi (Fringe Indicators): Add indexes for fringe indicators.
	(Customizing Bitmaps): Add an index for customizing fringe bitmaps.

2013-10-25  Xue Fuqiao  <xfq.free@gmail.com>

	* display.texi (Fontsets): Minor wording fix.
	(Low-Level Font): Improve indexing.

	* nonascii.texi (Character Properties): Add an index for script symbols.

2013-10-24  Xue Fuqiao  <xfq.free@gmail.com>

	* display.texi (Face Remapping): Add indexes for face remapping.
	(Font Selection): Add indexes.
	(Low-Level Font): Add an index for font registry.

2013-10-23  Glenn Morris  <rgm@gnu.org>

	* eval.texi, files.texi, intro.texi, objects.texi, searching.texi:
	Nuke @refill.

	* Makefile.in (install-dvi, install-html, install-pdf)
	(install-ps, uninstall-dvi, uninstall-html, uninstall-ps)
	(uninstall-pdf): Quote entities that might contain whitespace.

2013-10-19  Xue Fuqiao  <xfq.free@gmail.com>

	* display.texi (Face Attributes): Add indexes for the ‘:box’
	face attribute.

2013-10-18  Xue Fuqiao  <xfq.free@gmail.com>

	* display.texi (Line Height): Add indexes for line height.

2013-10-17  Xue Fuqiao  <xfq.free@gmail.com>

	* display.texi (Width): Fix arguments of ‘truncate-string-to-width’.

2013-10-16  Xue Fuqiao  <xfq.free@gmail.com>

	* display.texi (Selective Display): Add an index for explicit
	selective display.

2013-10-15  Xue Fuqiao  <xfq.free@gmail.com>

	* display.texi (Warning Basics): Mention the ‘*Warnings*’ buffer.

2013-10-13  Glenn Morris  <rgm@gnu.org>

	* intro.texi (Acknowledgments): Use accented form of some names.

2013-10-09  Glenn Morris  <rgm@gnu.org>

	* control.texi (Conditionals): Copyedits.  (Bug#15558)

2013-10-08  Eli Zaretskii  <eliz@gnu.org>

	Support menus on text-mode terminals.
	* keymaps.texi (Defining Menus, Mouse Menus, Menu Bar):
	Modify wording to the effect that menus are supported on TTYs.

	* frames.texi (Pop-Up Menus, Dialog Boxes)
	(Display Feature Testing): Update for menu support on TTYs.

2013-10-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tips.texi (Comment Tips): Discourage use of triple semi-colons for
	non-headings.

2013-10-05  Xue Fuqiao  <xfq.free@gmail.com>

	* syntax.texi (Categories): Add an index for category sets.

2013-10-03  Xue Fuqiao  <xfq.free@gmail.com>

	* syntax.texi (Syntax Flags, Syntax Table Functions): Add indexes.

2013-10-02  Xue Fuqiao  <xfq.free@gmail.com>

	* syntax.texi (Syntax Class Table): Add an index for syntax class table.

2013-09-29  Xue Fuqiao  <xfq.free@gmail.com>

	* searching.texi (Regexp Search): Refine.

2013-09-22  Xue Fuqiao  <xfq.free@gmail.com>

	* nonascii.texi (Default Coding Systems): Typo fix.

2013-09-21  Xue Fuqiao  <xfq.free@gmail.com>

	* nonascii.texi (Coding System Basics): Add information about
	carriage-return.

2013-09-14  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Display Margins): State the units of measuring
	margin width.  (Bug#15375)

2013-09-13  Eli Zaretskii  <eliz@gnu.org>

	* text.texi (Not Intervals): Minor wording fix.

2013-09-12  Xue Fuqiao  <xfq.free@gmail.com>

	* functions.texi (Obsolete Functions): Add an index for obsolete
	functions.

2013-09-11  Xue Fuqiao  <xfq.free@gmail.com>

	* nonascii.texi (Character Properties): Character properties fix
	for decimal-digit-value and digit-value.

2013-09-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* macros.texi (Defining Macros): Prefer "function" to "lambda
	expression" (bug#15296).

2013-08-28  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in (SHELL): Now @SHELL@, not /bin/sh,
	for portability to hosts where /bin/sh has problems.

2013-08-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* variables.texi (File Local Variables): Don't recommend quoting!  Ever!

2013-08-20  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Information about Files): Mention file names with
	trailing blanks on MS-Windows.  (Bug#15130)

2013-08-18  Xue Fuqiao  <xfq.free@gmail.com>

	* positions.texi (Positions): Improve indexing.

2013-08-18  Eli Zaretskii  <eliz@gnu.org>

	* markers.texi (The Region): Improve indexing.

2013-08-17  Xue Fuqiao  <xfq.free@gmail.com>

	* modes.texi (SMIE, SMIE Grammar, SMIE Indentation): Add some indexes.

	* text.texi (Maintaining Undo): Mention interactive call of
	buffer-disable-undo.
	(Filling): Add cross-reference for hard newlines.
	(Sorting): Fix indentation.
	(Columns): Comment out undefined behavior.
	(Case Changes): Fix an `args-out-of-range' error in the example.

2013-08-16  Xue Fuqiao  <xfq.free@gmail.com>

	* text.texi (Insertion): Refine.
	(Margins): Add an index.
	(Undo): Doc fix for `buffer-undo-list'.

	* positions.texi (Character Motion):
	* markers.texi (Moving Markers, Creating Markers):
	Comment out undefined behavior.

2013-08-15  Xue Fuqiao  <xfq.free@gmail.com>

	* markers.texi (The Region): Add/move indexes.

2013-08-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* display.texi (ImageMagick Images): Mention :content-type and
	`image-content-type-suffixes'.

2013-08-13  Xue Fuqiao  <xfq.free@gmail.com>

	* positions.texi (Word Motion): Remove redundant sentence.

2013-08-13  Glenn Morris  <rgm@gnu.org>

	* lists.texi (List Elements):
	Undocument behavior of nth and nthcdr with n < 0.  (Bug#15059)

2013-08-13  Xue Fuqiao  <xfq.free@gmail.com>

	* frames.texi (Display Feature Testing): Add indexes.

2013-08-12  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (prefix, datarootdir, datadir, PACKAGE_TARNAME)
	(docdir, dvidir, htmldir, pdfdir, psdir, GZIP_PROG, INSTALL)
	(INSTALL_DATA): New, set by configure.
	(HTML_OPTS, DVI_TARGETS, HTML_TARGETS, PDF_TARGETS, PS_TARGETS):
	New variables.
	(.SUFFIXES): Add .ps and .dvi.
	(.dvi.ps): New suffix rule.
	(dvi, html, pdf, ps): Use *_TARGETS variables.
	(elisp.html): Use HTML_OPTS.
	(elisp.ps): Remove explicit rule.
	(.PHONY): install-dvi, install-html, install-pdf, install-ps,
	install-doc, uninstall-dvi, uninstall-html, uninstall-pdf,
	uninstall-ps, and uninstall-doc.
	(install-dvi, install-html, install-pdf, install-ps, install-doc)
	(uninstall-dvi, uninstall-html, uninstall-ps, uninstall-pdf)
	(uninstall-doc): New rules.
	(clean): Use DVI_TARGETS, HTML_TARGETS, PDF_TARGETS, PS_TARGETS.

2013-08-10  Xue Fuqiao  <xfq.free@gmail.com>

	* edebug.texi (Instrumenting Macro Calls): Use @defmac for macros.

2013-08-09  Xue Fuqiao  <xfq.free@gmail.com>

	* control.texi (Error Symbols): Minor fix for previous change.

2013-08-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* errors.texi (Standard Errors): Don't refer to `error-conditions'.

	* control.texi (Signaling Errors): Refer to define-error.
	(Error Symbols): Add `define-error'.

2013-08-06  Dmitry Antipov  <dmantipov@yandex.ru>

	* positions.texi (Motion by Screen Lines):
	* display.texi (Truncation): Rename `cache-long-line-scans'
	to `cache-long-scans'.

2013-08-05  Xue Fuqiao  <xfq.free@gmail.com>

	* windows.texi (Window Start and End): Add an index.

2013-08-02  Xue Fuqiao  <xfq.free@gmail.com>

	* display.texi (Face Functions): Add an index.

	* variables.texi (Variable Aliases): Add an index.

	* functions.texi (Defining Functions): Add an index.

	* nonascii.texi (Coding System Basics): Add an index.

2013-07-31  Xue Fuqiao  <xfq.free@gmail.com>

	* nonascii.texi (Non-ASCII Characters): Update menu.
	(Disabling Multibyte): Move here from doc/emacs/mule.texi.
	Fix cross-references.

	* elisp.texi (Top): Update menu.

2013-07-30  Xue Fuqiao  <xfq.free@gmail.com>

	* windows.texi (Window History): Mention the default value of
	switch-to-visible-buffer.  Add cross-references.

2013-07-24  Michael Albinus  <michael.albinus@gmx.de>

	* errors.texi (Standard Errors): Fix typo.

	* files.texi (Magic File Names):
	* os.texi (File Notifications): Remove file-notify-supported-p.

2013-07-24  Paul Eggert  <eggert@cs.ucla.edu>

	* eval.texi (Special Forms): Mention 'lambda'.  Also, say that
	non-well-formed expressions result in unspecified behavior, though
	Emacs will not crash.

2013-07-22  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Magic File Names): Add file-notify-add-watch,
	file-notify-rm-watch and file-notify-supported-p.
	Move file-remote-p down.

	* errors.texi (Standard Errors): Add file-notify-error.

	* os.texi (Desktop Notifications): Rename from Notifications.
	(File Notifications): New node.

	* elisp.texi (Top): Update menu for these changes.

2013-07-19  Xue Fuqiao  <xfq.free@gmail.com>

	* windows.texi (Display Action Functions): Mention next-window.

2013-07-16  Xue Fuqiao  <xfq.free@gmail.com>

	* windows.texi (Selecting Windows): Fix the introduction of
	`set-frame-selected-window''s arguments.

2013-07-10  Paul Eggert  <eggert@cs.ucla.edu>

	Timestamp fixes for undo (Bug#14824).
	* text.texi (Undo): Document (t . 0) and (t . -1) in buffer-undo-list.

2013-07-06  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Text Representations): Document that
	multibyte-string-p returns nil for non-string objects.

2013-07-06  Glenn Morris  <rgm@gnu.org>

	* elisp.texi (Top): Move WWW_GNU_ORG section outside @copying.

2013-07-03  Glenn Morris  <rgm@gnu.org>

	* debugging.texi (Debugging):
	* files.texi (File Attributes, Changing Files): Fix cross-references.

	* package.texi (Package Archives): Fix @url call.

	* syntax.texi (Syntax Table Functions): Mention describe-syntax.

2013-06-29  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Bidirectional Display): Document move-point-visually.

2013-06-29  Xue Fuqiao  <xfq.free@gmail.com>

	* buffers.texi (Buffer File Name): Fix typo.

2013-06-26  Christopher Schmidt  <christopher@ch.ristopher.com>

	* tips.texi (Coding Conventions): Improve wording.

2013-06-24  Glenn Morris  <rgm@gnu.org>

	* loading.texi (Autoload): Fix typo.

	* variables.texi (Lexical Binding): Fix typo.

	* functions.texi (Anonymous Functions): Put back ' removed 2012-10-23.

2013-06-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* display.texi (ImageMagick Images): Mention :max-width and
	:max-height.

2013-06-20  Paul Eggert  <eggert@cs.ucla.edu>

	* numbers.texi (Math Functions): Remove obsolete function log10.

2013-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* modes.texi (Mode Line Data, Properties in Mode): Advertise `keymap'
	rather than `local-map'.

	* keymaps.texi (Active Keymaps): Fix documentation of
	set-temporary-overlay-map and overriding-terminal-local-map.

2013-06-19  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (dist): Edit more configure variables.
	Try to check that we do not miss any in future.

2013-06-17  Juanma Barranquero  <lekktu@gmail.com>

	* text.texi (Undo, Changing Properties): Fix typos.

2013-06-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* text.texi (Changing Properties): Document `add-face-text-property'.

2013-06-17  Kenichi Handa  <handa@gnu.org>

	* display.texi (Face Attributes): Refer to "Low-Level font" (not
	"Font Selection") in the explanation of :font attribute (bug#14629).

2013-06-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* loading.texi (Hooks for Loading): Don't document after-load-alist.
	Document with-eval-after-load instead of eval-after-load.

2013-06-11  Xue Fuqiao  <xfq.free@gmail.com>

	* files.texi (File Name Expansion): Make the example more
	intuitive.

2013-06-10  Paul Eggert  <eggert@cs.ucla.edu>

	Documentation fix for 'ls' and hard links.
	* compile.texi (Compilation Functions):
	* files.texi (File Attributes, Changing Files):
	Use current format for GNU 'ls' output.
	(File Attributes): Fix problem introduced in previous change:
	the link count is the number of hard links, not the number
	of hard links + 1.

2013-06-10  Xue Fuqiao  <xfq.free@gmail.com>

	* files.texi (File Attributes): Fix typo.

2013-05-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* functions.texi (Lambda Expressions): Lambda expressions don't
	evaluate to themselves in general (bug#11782).

2013-05-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* loading.texi (Autoload):
	* help.texi (Documentation Basics, Accessing Documentation)
	(Accessing Documentation, Accessing Documentation): DOC-* is now DOC.

2013-04-23  Glenn Morris  <rgm@gnu.org>

	* internals.texi (Writing Emacs Primitives): Remove obvious example.
	Tweak other to avoid overly long line.

2013-04-21  Xue Fuqiao  <xfq.free@gmail.com>

	* internals.texi (Writing Emacs Primitives): Remove unnecessary
	references to the sources.  (Bug#13800)

	* searching.texi (Regexp Backslash): Doc fix for backslash
	constructs in regular expressions.

2013-04-15  Christopher Schmidt  <christopher@ch.ristopher.com>

	* tips.texi (Coding Conventions): Mention separation of package
	descriptor and name of internal symbols by two hyphens.

2013-04-13  Stephen Berman  <stephen.berman@gmx.net>

	* windows.texi (Splitting Windows): Change category of
	split-window from a command to a function.

2013-04-06  Chong Yidong  <cyd@gnu.org>

	* display.texi (Faces): Minor clarifications.
	(Defining Faces): Clarify default vs custom face specs.
	Document face-spec-set.

	* display.texi (Overlay Properties):
	* text.texi (Special Properties): Use the "anonymous face"
	terminology.  Describe foreground-color and background-color forms
	as compatibility-only.

2013-03-24  Eli Zaretskii  <eliz@gnu.org>

	* compile.texi (Byte-Code Objects): Add index entry.
	(Disassembly): Add cross-references.

2013-03-23  Eli Zaretskii  <eliz@gnu.org>

	* frames.texi (Size Parameters): More accurate description of the
	difference between 'fullboth' and 'maximized'.  (Bug#13935)

2013-03-17  Christopher Schmidt  <christopher@ch.ristopher.com>

	* symbols.texi (Standard Properties): Document pure.  (Bug#13823)

2013-03-16  Glenn Morris  <rgm@gnu.org>

	* elisp.texi: Add some stuff specific to www.gnu.org.

2013-03-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* control.texi (Pattern matching case statement): Fix typo.

2013-03-04  Paul Eggert  <eggert@cs.ucla.edu>

	* elisp.texi, intro.texi: Switch from Latin-1 to UTF-8.

2013-03-03  Glenn Morris  <rgm@gnu.org>

	* objects.texi (Symbol Type): Fix typo.

2013-02-28  Bastien Guerry  <bzg@gnu.org>

	* variables.texi (File Local Variables): Fix reference.

2013-02-24  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Magic File Names): Improve wording and indexing.

2013-02-21  Glenn Morris  <rgm@gnu.org>

	* display.texi (Multi-Frame Images): Minor rephrasing.

2013-02-20  Glenn Morris  <rgm@gnu.org>

	* display.texi (GIF Images, TIFF Images): Delete these nodes.
	(ImageMagick Images): For :index, use an xref rather than duplicating.
	(Other Image Types): Add GIF, adjust formatting.
	(Multi-Frame Images): Rename from Animated Images.  Expand section.
	* elisp.texi (Top): Update menu for these changes.

2013-02-19  Glenn Morris  <rgm@gnu.org>

	* text.texi (Change Hooks): Fix typo.

2013-02-15  Glenn Morris  <rgm@gnu.org>

	* modes.texi (Basic Major Modes): 'z' no longer bound in special-mode.

2013-02-13  Glenn Morris  <rgm@gnu.org>

	* objects.texi (Char-Table Type): Add footnote about #^^.

	* modes.texi (Minor Mode Conventions): Fix typo.

	* keymaps.texi (Scanning Keymaps): Remove obsolete sentence about
	meta characters; this changed in 22.1.  (Bug#13684)

	* objects.texi (Char-Table Type): Add cindex.

	* keymaps.texi (Key Binding Commands): Trivial rephrasing.

2013-02-10  Glenn Morris  <rgm@gnu.org>

	* keymaps.texi (Creating Keymaps): Update make-keymap result.

2013-02-09  Eli Zaretskii  <eliz@gnu.org>

	* modes.texi (%-Constructs): Remove the description of %t.

	* nonascii.texi (MS-DOS File Types): Delete node.

2013-02-08  Glenn Morris  <rgm@gnu.org>

	* keymaps.texi (Active Keymaps, Searching Keymaps):
	Remove confusing mention of "symbolic prefix".  (Bug#13643)

2013-01-19  Glenn Morris  <rgm@gnu.org>

	* macros.texi (Indenting Macros): Fix order of an indent
	symbol's arguments.  (Bug#13450)

2013-01-19  Paul Eggert  <eggert@cs.ucla.edu>

	Allow floating-point file offsets.
	* files.texi (Reading from Files, Writing to Files):
	Say that file offsets can be numbers, not just integers.

2013-01-09  Glenn Morris  <rgm@gnu.org>

	* commands.texi (Interactive Codes):
	Whitespace does not terminate interactive "S".  (Bug#13393)

2013-01-06  Chong Yidong  <cyd@gnu.org>

	* windows.texi (Vertical Scrolling): Fix typos (Bug#13267).

2013-01-05  Glenn Morris  <rgm@gnu.org>

	* display.texi (Overlay Properties): Mention field.  (Bug#13364)

2013-01-05  Eli Zaretskii  <eliz@gnu.org>

	* hooks.texi (Standard Hooks): Use @item, not @itemx, as the first
	directive in a group of items.

2013-01-05  Chong Yidong  <cyd@gnu.org>

	* keymaps.texi (Key Sequences): Remove obsolete sentence
	(Bug#13356).

2013-01-04  Ari Roponen  <ari.roponen@gmail.com>  (tiny change)

	* hash.texi (Defining Hash): Fix typo.  (Bug#13345)

2013-01-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.texi (File Attributes): Undocument return format of file-acl.

2013-01-03  Glenn Morris  <rgm@gnu.org>

	* processes.texi (System Processes):
	* syntax.texi (Syntax Table Functions): Tweak some line breaks.

	* searching.texi (Replacing Match): Fix xref.

	* elisp.texi (DATE): Bump to Jan 2013.

2013-01-02  Glenn Morris  <rgm@gnu.org>

	* customize.texi (Common Keywords, Type Keywords):
	Replace "active field" with "button".  (Bug#13310)

	* customize.texi (Common Keywords): Add xref.  (Bug#13311)
	* tips.texi (Library Headers): Add cindex.

2012-12-30  Wolfgang Jenkner  <wjenkner@inode.at>

	* functions.texi (Declare Form):
	* intro.texi (A Sample Function Description):
	* syntax.texi (Syntax Table Internals, Syntax Table Functions):
	* variables.texi (Using Lexical Binding): Don't use @var or CAPS
	in @def.. commands.  (Bug#13292)

2012-12-29  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Changing Files): Document the return values of
	set-file-selinux-context and set-file-acl.

2012-12-27  Glenn Morris  <rgm@gnu.org>

	* files.texi (File Names): Mention Cygwin conversion functions.

2012-12-22  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Selecting Windows): Reword description of
	select-window (Bug#13248).

2012-12-22  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (File Attributes, Changing Files): Remove the details
	about the text returned by file-acl.  Instead, just document that
	it is an opaque string meant to be used by set-file-acl.

2012-12-21  Chong Yidong  <cyd@gnu.org>

	* modes.texi (Auto Major Mode): Fix typo (Bug#13230).

	* customize.texi (Simple Types): Document key-sequence type
	(Bug#13048).

	* strings.texi (Text Comparison): Doc fix for compare-strings.

2012-12-19  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Magic File Names): Add `file-acl',
	`file-selinux-context', `set-file-acl' and
	`set-file-selinux-context'.  Make the list consistent.

2012-12-19  Jonas Bernoulli  <jonas@bernoul.li>

	* tips.texi (Library Headers): New header keyword `Homepage'.
	Make continuation lines syntax more precise.

2012-12-17  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (File Attributes, Changing Files): Update to include
	MS-Windows support for ACLs.

2012-12-16  Romain Francoise  <romain@orebokech.com>

	* files.texi (File Attributes): Document ACL support and new
	`file-acl' function.
	(Changing Files): Mention argument name change of `copy-file' and
	document new function `set-file-acl'.

2012-12-14  Paul Eggert  <eggert@cs.ucla.edu>

	Fix permissions bugs with setgid directories etc.  (Bug#13125)
	* files.texi (Testing Accessibility): Document GROUP arg
	of file-ownership-preserved-p.
	(File Attributes): Document that 9th element is now
	just a placeholder.
	* os.texi (User Identification): Document new functions group-gid,
	group-real-gid.

2012-12-11  Paul Eggert  <eggert@cs.ucla.edu>

	* internals.texi (C Integer Types): New section.
	This follows up and records an email in
	<https://lists.gnu.org/r/emacs-devel/2012-07/msg00496.html>.

2012-12-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* control.texi (Pattern matching case statement): New node.

	* customize.texi (Variable Definitions): Mention the default :group
	for defcustoms (bug#13093).

2012-12-09  Glenn Morris  <rgm@gnu.org>

	* customize.texi (Variable Definitions): Mention eval-defun
	on a defcustom calls the :set function when appropriate.

2012-12-06  Paul Eggert  <eggert@cs.ucla.edu>

	* doclicense.texi, gpl.texi: Update to latest version from FSF.
	These are just minor editorial changes.

2012-12-06  Chong Yidong  <cyd@gnu.org>

	* lists.texi (Plist Access): Move put example to Symbol Plists.

	* symbols.texi (Standard Properties): Fix typo.

2012-12-03  Chong Yidong  <cyd@gnu.org>

	* symbols.texi (Symbol Properties): New node.
	(Symbol Plists): Make it a subsection under Symbol Properties.
	(Standard Properties): New node.

	* lists.texi (Property Lists): Move here from symbols.texi.
	(Plist Access): Rename from Other Plists.

	* customize.texi (Variable Definitions):
	* display.texi (Defining Faces):
	* sequences.texi (Char-Tables): Fix xref.

	* keymaps.texi (Key Sequences): `kbd' is now a function.

	* commands.texi (Using Interactive): Fix index entry.

2012-11-24  Paul Eggert  <eggert@cs.ucla.edu>

	* doclicense.texi: Update to latest version from FSF.
	These are just minor editorial changes.
	* elisp.texi (GNU Free Documentation License)
	(GNU General Public Licens):
	Provide sectioning, since doclicense.texi no longer does that.

	* loading.texi (Named Features): @ -> @@ to fix typo.

2012-11-24  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Basic Windows): Fix typo.
	(Windows and Frames): Fix example.  Move description of
	window-in-direction here.
	(Recombining Windows): Fix example.
	(Buffers and Windows): Fix description of replace-buffer-in-windows.
	(Switching Buffers): Reword.
	(Display Action Functions): Minor adjustments.
	(Choosing Window Options): Minor fixes.
	(Window History): Minor rewording.
	(Dedicated Windows): Correct and reword part describing how
	dedicatedness affects functions removing buffers or windows.
	* buffers.texi (The Buffer List): Fix description of bury-buffer.

2012-11-24  Chong Yidong  <cyd@gnu.org>

	* modes.texi (%-Constructs): Fix statement about mode construct
	padding (Bug#12866).

2012-11-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* debugging.texi (Profiling): Make it more clear
	that --enable-profiling is about profiling the C code.

2012-11-21  Glenn Morris  <rgm@gnu.org>

	* display.texi (Attribute Functions):
	Update for set-face-* name changes.
	Add new "inherit" argument for face-bold-p etc.
	Move description of this argument to a common section, like "frame".

	* debugging.texi (Profiling): New section.
	(Debugging): Mention profiling in the introduction.
	* tips.texi (Compilation Tips): Move profiling to separate section.
	* elisp.texi: Add Profiling to detailed menu.

2012-11-21  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Display Action Functions): Fix recently added
	example.  Suggested by Michael Heerdegen.

2012-11-21  Paul Eggert  <eggert@cs.ucla.edu>

	Minor cleanup for times as lists of four integers.
	* os.texi (Time Parsing): Time values can now be four integers.

2012-11-18  Glenn Morris  <rgm@gnu.org>

	* loading.texi (How Programs Do Loading): Add eager macro expansion.
	* macros.texi (Expansion): Mention eager macro expansion.

	* minibuf.texi (Basic Completion): Mention misc completion-table funcs.

2012-11-18  Leo Liu  <sdl.web@gmail.com>

	* minibuf.texi (Programmed Completion): Doc fix for metadata
	request (Bug#12850).

2012-11-18  Glenn Morris  <rgm@gnu.org>

	* display.texi (Temporary Displays): Document with-temp-buffer-window.

	* frames.texi (Size and Position): Add fit-frame-to-buffer command.
	* windows.texi (Resizing Windows): Add fit-frame-to-buffer option.
	(Window Sizes): Add vindex for window-min-height, window-min-width.
	(Display Action Functions): Mention pop-up-frame-parameters.

2012-11-16  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Choosing Window): Rewrite description of
	display-buffer-alist (Bug#12167).
	(Display Action Functions): Mention inhibit-switch-frame.
	Fix description of display-buffer-below-selected.  Reorder actions.
	Add example (Bug#12848).

2012-11-16  Glenn Morris  <rgm@gnu.org>

	* display.texi (Face Attributes): Fix :underline COLOR description.
	(Attribute Functions): Update for set-face-underline rename.
	Tweak descriptions of face-underline-p, face-inverse-video-p.

	* keymaps.texi (Searching Keymaps, Tool Bar): Untabify examples,
	so they align better in info.
	(Active Keymaps, Searching Keymaps, Controlling Active Maps):
	Document set-temporary-overlay-map.

2012-11-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* keymaps.texi (Translation Keymaps): Add a subsection "Interaction
	with normal keymaps".

2012-11-15  Dmitry Antipov  <dmantipov@yandex.ru>

	* internals.texi (Garbage Collection): Update descriptions
	of vectorlike_header, garbage-collect and gc-cons-threshold.
	(Object Internals): Explain Lisp_Object layout and the basics
	of an internal type system.
	(Buffer Internals): Update description of struct buffer.

2012-11-13  Glenn Morris  <rgm@gnu.org>

	* variables.texi (Adding Generalized Variables):
	At least mention gv-define-expander and gv-letplace.

	* debugging.texi (Error Debugging): Mention debug-on-message.
	(Using Debugger): Mention debugger-bury-or-kill.

	* control.texi (Signaling Errors):
	* debugging.texi (Error Debugging):
	* errors.texi (Standard Errors): Add user-error.

	* variables.texi (Adding Generalized Variables):
	Use standard formatting for common lisp note about setf functions.

2012-11-10  Martin Rudalics  <rudalics@gmx.at>

	* elisp.texi (Top): Add Recombining Windows to menu.
	* windows.texi (Recombining Windows): New subsection.
	(Splitting Windows): Rewrite text on handling of window
	combinations and move it to new subsection.

2012-11-10  Chong Yidong  <cyd@gnu.org>

	* searching.texi (Replacing Match): Document \? in replace-match.

	* variables.texi (Creating Buffer-Local): Document setq-local and
	defvar-local.
	(Setting Generalized Variables): Arrange table alphabetically.

	* lists.texi (List Elements, List Variables): Clarify descriptions
	of push and pop for generalized variables.

	* edebug.texi (Specification List): setf is no longer CL-only.

2012-11-10  Glenn Morris  <rgm@gnu.org>

	* variables.texi (Adding Generalized Variables):
	Update description of FIX-RETURN expansion.

	* variables.texi (Setting Generalized Variables):
	Split most of previous contents into this subsection.
	(Adding Generalized Variables): New subsection.
	Move note on lack of setf functions here from misc/cl.texi.

	* elisp.texi: Add Generalized Variables subsections to detailed menu.

2012-11-10  Chong Yidong  <cyd@gnu.org>

	* frames.texi (Initial Parameters): Doc fix (Bug#12144).

2012-11-08  Michael Albinus  <michael.albinus@gmx.de>

	* os.texi (Notifications): Update descriptions of
	notifications-notify, notifications-close-notification and
	notifications-get-capabilities according to latest code changes.
	Add notifications-get-server-information.

2012-11-03  Chong Yidong  <cyd@gnu.org>

	* objects.texi (General Escape Syntax): Clarify the explanation of
	escape sequences.
	(Non-ASCII in Strings): Clarify when a string is unibyte vs
	multibyte.  Hex escapes do not automatically make a string
	multibyte.

2012-11-03  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Switching Buffers): Document option
	switch-to-buffer-preserve-window-point.
	(Display Action Functions): Document window-height and
	window-width alist entries.
	(Display Action Functions):
	Document display-buffer-below-selected and
	display-buffer-in-previous-window.
	(Quitting Windows): Document quit-restore-window.
	Rewrite section.
	(Window Configurations): In window-state-get mention that
	argument window must be valid.
	(Window Parameters): Document quit-restore window parameter
	(Bug#12158).

2012-10-31  Glenn Morris  <rgm@gnu.org>

	* control.texi (Catch and Throw): Add xref to cl.texi.

	* lists.texi (Sets And Lists): Point xref to better location.

	* errors.texi (Standard Errors):
	* loading.texi (Autoload): Update for cl-lib namespace changes.

	* modes.texi (Defining Minor Modes): "Generalized Variables"
	section is now in this manual rather than cl.texi.

	* eval.texi (Special Forms): No longer special forms: defmacro,
	defun, save-window-excursion, with-output-to-temp-buffer.
	* functions.texi (Defining Functions): Defun is now a macro.
	Defalias is a function.

2012-10-30  Glenn Morris  <rgm@gnu.org>

	* variables.texi (Generalized Variables): Fix typo.

2012-10-30  Chong Yidong  <cyd@gnu.org>

	* symbols.texi (Symbol Plists): Document function-get.

	* loading.texi (Autoload): Document autoloadp, autoload-do-load.

	* frames.texi (Visibility of Frames): Document tty-top-frame.

2012-10-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* keymaps.texi (Format of Keymaps): Document the multiple
	inheritance format.

2012-10-28  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Basic Windows): Reformulate description of live,
	internal and valid windows.
	(Cyclic Window Ordering): Describe new argument of
	get-lru-window and get-largest-window.  Add description of
	window-in-direction.

2012-10-27  Glenn Morris  <rgm@gnu.org>

	* variables.texi (Generalized Variables): New section,
	adapted from misc/cl.texi.
	* elisp.texi (Top): Add Generalized Variables to menu.
	* lists.texi (List Elements, List Variables):
	Mention generalized variables.

	* lists.texi (List Elements): Typo fix.

2012-10-27  Chong Yidong  <cyd@gnu.org>

	* minibuf.texi (High-Level Completion): Don't mention removed
	function iswitchb-read-buffer.

	* commands.texi (Event Input Misc): Remove last-input-char.
	(Command Loop Info): Remove last-command-char.

	* frames.texi (Initial Parameters): Don't mention the obsolete
	special-display feature.

	* windows.texi (Choosing Window): Don't mention the obsolete
	special display feature.
	(Choosing Window Options): Remove obsolete special-display
	variables, and the functions special-display-p and
	special-display-popup-frame.

	* display.texi (Fringe Bitmaps): Add exclamation-mark bitmap.

	* hooks.texi (Standard Hooks): Remove obsolete hooks.

	* markers.texi (Information from Markers): Remove obsolete
	function buffer-has-markers-at.

	* text.texi (Yanking): Document yank-handled-properties.

2012-10-24  Paul Eggert  <eggert@penguin.cs.ucla.edu>

	Update manual for new time stamp format (Bug#12706).
	* buffers.texi (Modification Time):
	* files.texi (Testing Accessibility, File Attributes):
	* intro.texi (Version Info):
	* os.texi (Time of Day):
	Update for new time stamp format (HIGH LOW MICROSEC PICOSEC).
	These instances were missed the first time around.
	Problem reported by Glenn Morris in <https://bugs.gnu.org/12706#25>.

2012-10-24  Chong Yidong  <cyd@gnu.org>

	* minibuf.texi (Text from Minibuffer): Document read-regexp
	changes.

	* nonascii.texi (Selecting a Representation):
	Document set-buffer-multibyte changes.

	* keymaps.texi (Toolkit Differences): Node deleted.
	(Easy Menu): New node.

2012-10-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* hooks.texi (Standard Hooks): Clarify that -hooks is deprecated.

2012-10-23  Paul Eggert  <eggert@cs.ucla.edu>

	Fix outdated timestamp documentation in Elisp manual (bug#12706).
	* files.texi (File Attributes):
	* text.texi (Undo):
	Time stamp resolution is now 1 picosecond, not 1 second.

2012-10-23  Chong Yidong  <cyd@gnu.org>

	* display.texi (Font Lookup): Remove font-list-limit.

	* keymaps.texi (Key Sequences): Avoid referring to Edit Macro mode
	(Bug#12529).

2012-10-22  Glenn Morris  <rgm@gnu.org>

	* os.texi (Recording Input): Tiny fix.

	* intro.texi (Lisp History):
	* lists.texi (Sets And Lists): Refer to cl-lib rather than cl.
	* tips.texi (Coding Conventions): Recommend cl-lib over cl.

2012-10-15  Chong Yidong  <cyd@gnu.org>

	* macros.texi (Defining Macros): defmacro is now a macro.
	Explicitly list the docstring and declare arguments.

	* functions.texi (Anonymous Functions): Explicitly list the
	docstring, declare, and interactive arguments to lambda.
	(Defining Functions): Likewise for defun.
	(Inline Functions): Likewise for defsubst.
	(Declare Form): Tweak description.

2012-10-13  Chong Yidong  <cyd@gnu.org>

	* display.texi (ImageMagick Images): ImageMagick enabled by default.

2012-10-05  Chong Yidong  <cyd@gnu.org>

	* minibuf.texi (Basic Completion): Clarify list form of completion
	table (Bug#12564).

2012-10-05  Bruno Félix Rezende Ribeiro  <oitofelix@gmail.com>  (tiny change)

	* functions.texi (Function Safety): Copyedit.  (Bug#12562)

2012-10-01  Paul Eggert  <eggert@cs.ucla.edu>

	Revert the FOLLOW-SYMLINKS change for file-attributes.
	* files.texi (File Attributes, Magic File Names): Undo last change.

2012-09-30  Paul Eggert  <eggert@cs.ucla.edu>

	file-attributes has a new optional arg FOLLOW-SYMLINKS.
	* files.texi (File Attributes): Describe it.
	(Magic File Names): Use it.

2012-09-30  Chong Yidong  <cyd@gnu.org>

	* commands.texi (Click Events): Define "mouse position list".
	Remove mention of unimplemented horizontal scroll bars.
	(Drag Events, Motion Events): Refer to "mouse position list".
	(Accessing Mouse): Document posnp.

	* errors.texi (Standard Errors): Tweak arith-error description.
	Tweak markup.  Remove domain-error and friends, which seem to be
	unused after the floating-point code revamp.

	* functions.texi (Defining Functions): defun is now a macro.
	(Obsolete Functions): Obsolescence also affects
	documentation commands.  Various clarifications.
	(Declare Form): New node.

	* strings.texi (String Basics): Copyedits.

	* os.texi (Startup Summary): Document leim-list.el change.
	(User Identification): Add system-users and system-groups.
	(Idle Timers): Minor clarifications.

	* macros.texi (Defining Macros): Move description of `declare' to
	Declare Form node.

	* loading.texi (Autoload):
	* help.texi (Documentation Basics): The special sequences can
	trigger autoloading.

	* numbers.texi (Integer Basics): Copyedits.
	(Float Basics): Consider IEEE floating point always available.
	(Random Numbers): Document actual limits.
	(Arithmetic Operations): Clarify division by zero.  Don't mention
	the machine-independence of negative division since it does not
	happen in practice.

2012-09-28  Leo Liu  <sdl.web@gmail.com>

	* files.texi (Files): Fix typo.

2012-09-23  Chong Yidong  <cyd@gnu.org>

	* buffers.texi (Read Only Buffers): Document read-only-mode.

	* keymaps.texi (Alias Menu Items): Replace toggle-read-only with
	read-only-mode.

	* backups.texi (Auto-Saving): Refer to Minor Mode Conventions for
	calling conventions.

2012-09-22  Chong Yidong  <cyd@gnu.org>

	* searching.texi (Replacing Match): Minor clarification.

2012-09-22  Eli Zaretskii  <eliz@gnu.org>

	* edebug.texi (Instrumenting): Improve indexing.

	* os.texi (Idle Timers): Warn against reinvoking an idle timer
	from within its own timer action.  (Bug#12447)

2012-09-22  Chong Yidong  <cyd@gnu.org>

	* frames.texi (Pop-Up Menus): Minor clarification (Bug#11148).

2012-09-21  Glenn Morris  <rgm@gnu.org>

	* debugging.texi (Using Debugger): Fix typo.

2012-09-18  Chong Yidong  <cyd@gnu.org>

	* display.texi (Faces): Discuss anonymous faces.
	(Face Attributes): Tweak intro.
	(Defining Faces): Move after the Face Attributes node.  Copyedits.
	(Displaying Faces): Describe role of inheritance.

	* customize.texi (Customization): Define customization more
	carefully (Bug#11440).
	(Common Keywords): Add xref to Constant Variables.

	* variables.texi (Defining Variables): Link to defcustom's node
	instead of the higher-level Customization chapter.

2012-09-11  Paul Eggert  <eggert@cs.ucla.edu>

	Simplify, document, and port floating-point (Bug#12381).
	* numbers.texi (Float Basics, Arithmetic Operations, Math Functions):
	Document that / and mod (with floating point arguments), along
	with asin, acos, log, log10, expt and sqrt, return special values
	instead of signaling exceptions.
	(Float Basics): Document that logb operates on the absolute value
	of its argument.
	(Math Functions): Document that (log ARG BASE) also returns NaN if
	BASE is negative.  Document that (expt X Y) returns NaN if X is a
	finite negative number and Y a finite non-integer.

2012-09-09  Chong Yidong  <cyd@gnu.org>

	* lists.texi (Sets And Lists): Explain that the return value for
	delete should be used, like for delq.

	* minibuf.texi (Yes-or-No Queries): Document recentering and
	scrolling in y-or-n-p.  Remove gratuitous example.

	* searching.texi (Search and Replace): Document window scrolling
	entries in query-replace-map.

2012-09-08  Chong Yidong  <cyd@gnu.org>

	* syntax.texi (Syntax Table Internals): Define "raw syntax
	descriptor" terminology (Bug#12383).
	(Syntax Descriptors): Mention raw syntax descriptors.

2012-09-07  Chong Yidong  <cyd@gnu.org>

	* variables.texi (Creating Buffer-Local): Fix description of
	local-variable-if-set-p (Bug#10713).

	* eval.texi (Intro Eval): Add index entry for sexp (Bug#12233).

	* windows.texi (Display Action Functions)
	(Choosing Window Options): Remove obsolete variable
	display-buffer-reuse-frames.
	(Switching Buffers): Minor doc tweak for switch-to-buffer.

	* positions.texi (Narrowing): Document buffer-narrowed-p.

	* markers.texi (Moving Markers): Add xref to Point (Bug#7151).

	* syntax.texi (Low-Level Parsing): Add xref to Parser State
	(Bug#12269).

2012-09-04  Lars Ingebrigtsen  <larsi@gnus.org>

	* debugging.texi (Explicit Debug): Document `debug-on-message'.

2012-09-02  Chong Yidong  <cyd@gnu.org>

	* windows.texi (Window Configurations): Recommend against using
	save-window-excursion (Bug#12075).

	* control.texi (Catch and Throw):
	* positions.texi (Excursions): Don't mention it.

2012-09-01  Paul Eggert  <eggert@cs.ucla.edu>

	Better seed support for (random).
	* numbers.texi (Random Numbers): Document new behavior of
	the calls (random) and (random STRING).

2012-08-21  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Window Point): Document recent changes in
	window-point and set-window-point.
	(Selecting Windows): Document recent change in select-window.

2012-08-06  Eli Zaretskii  <eliz@gnu.org>

	* functions.texi (Closures): Put the main index entry for
	"closures" here.  (Bug#12138)

	* variables.texi (Lexical Binding): Disambiguate the index entry
	for "closures".

2012-08-05  Chong Yidong  <cyd@gnu.org>

	* display.texi (Defining Faces): Move documentation of
	frame-background-mode to the Emacs manual (Bug#7774).

2012-08-04  Chong Yidong  <cyd@gnu.org>

	* syntax.texi (Syntax Basics): Rearrange the text for clarity.
	Fix description of syntax table inheritance.
	(Syntax Table Functions): Don't refer to internal contents of
	syntax table, since that is not explained yet.  Copyedits.
	(Standard Syntax Tables): Node deleted.
	(Syntax Table Internals): Misc clarifications.  Improve table
	formatting.

	* keymaps.texi (Inheritance and Keymaps):
	* text.texi (Sticky Properties): Tweak index entry.

2012-07-28  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Character Sets): Fix a typo.  (Bug#12062)

2012-07-25  Paul Eggert  <eggert@cs.ucla.edu>

	Prefer typical American spelling for "acknowledgment".
	* intro.texi (Acknowledgments): Rename from Acknowledgements.

2012-07-21  Eli Zaretskii  <eliz@gnu.org>

	* commands.texi (Special Events): Mention language-change event.
	(Input Events, Interactive Codes):
	* keymaps.texi (Key Sequences): Mention events that are
	non-keyboard but also non-mouse events.

2012-07-17  Chong Yidong  <cyd@gnu.org>

	* text.texi (Insertion): Document insert-char changes.

2012-07-15  Leo Liu  <sdl.web@gmail.com>

	* display.texi (Fringe Bitmaps): Add exclamation-mark.

2012-07-13  Chong Yidong  <cyd@gnu.org>

	* buffers.texi (Read Only Buffers): Document toggle-read-only
	changes.  Reword to account for the fact that read-only is
	currently not supported in overlay properties.

2012-07-07  Chong Yidong  <cyd@gnu.org>

	* loading.texi (Library Search): Index site-lisp directories.

2012-07-06  Chong Yidong  <cyd@gnu.org>

	* intro.texi (A Sample Function Description): Fix incorrect
	markup, undoing previous change.
	(A Sample Variable Description): Minor clarifications and markup
	improvements.

	* elisp.texi (Top):
	* text.texi (Text): Fix menu order.

2012-07-06  Richard Stallman  <rms@gnu.org>

	* intro.texi (Evaluation Notation, A Sample Function Description)
	(A Sample Variable Description): Improve/undo previous changes.

2012-07-05  Glenn Morris  <rgm@gnu.org>

	* intro.texi (A Sample Function Description): Fix cross-refs.

2012-07-05  Michael Witten  <mfwitten@gmail.com>  (tiny change)

	* intro.texi (Evaluation Notation, A Sample Function Description)
	(A Sample Variable Description, Version Info): Copy edits (bug#11862).

2012-06-27  Chong Yidong  <cyd@gnu.org>

	* processes.texi (Asynchronous Processes, Input to Processes):
	* internals.texi (Process Internals): Don't capitalize "pty".

2012-06-24  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* processes.texi (Asynchronous Processes): Make the pty vs pipe
	discussion more prominent.

2012-06-23  Eli Zaretskii  <eliz@gnu.org>

	* commands.texi (Misc Events): Document the language-change event.

2012-06-22  Paul Eggert  <eggert@cs.ucla.edu>

	Support higher-resolution time stamps (Bug#9000).
	* os.texi (Time of Day, Time Parsing, Processor Run Time, Idle Timers):
	* processes.texi (System Processes):
	Time stamp resolution is now picosecond, not microsecond.

2012-06-21  Glenn Morris  <rgm@gnu.org>

	* Makefile.in: Rename infodir to buildinfodir throughout.  (Bug#11737)

2012-06-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* functions.texi (Defining Functions):
	* macros.texi (Defining Macros): Un-define the return value of `defun',
	`defmacro' and `defalias'.

2012-06-17  Chong Yidong  <cyd@gnu.org>

	* elisp.texi: Remove urlcolor setting.

2012-06-17  Glenn Morris  <rgm@gnu.org>

	* display.texi (Face Attributes): Copyedits.  Add a few cindex entries.
	Overlining no longer behaves exactly like underlining.

2012-06-16  Aurélien Aptel  <aurelien.aptel@gmail.com>

	* display.texi (Face Attributes):
	Document wave-style underline face attribute.

2012-06-11  Chong Yidong  <cyd@gnu.org>

	* display.texi (ImageMagick Images): ImageMagick now supports the
	:background property.

2012-06-10  Dmitry Antipov  <dmantipov@yandex.ru>

	* internals.texi (Garbage Collection): Typo fix.

2012-06-09  Chong Yidong  <cyd@gnu.org>

	* text.texi (Special Properties): Clarify the meaning of a list of
	faces in the `face' property.

	* display.texi (Face Remapping): Minor clarification.

2012-06-08  Chong Yidong  <cyd@gnu.org>

	* display.texi (Face Attributes): Font family does not accept
	wildcards.  De-document obsolete :bold and :italic attributes.
	(Defining Faces): Use new-style face spec format.

2012-06-08  Dmitry Antipov  <dmantipov@yandex.ru>

	* internals.texi (Garbage Collection): Document new
	vector management code and vectorlike_header structure.

2012-06-03  Chong Yidong  <cyd@gnu.org>

	* modes.texi (Mode Line Data): Use "mode line construct"
	terminology for consistency.

2012-05-27  Glenn Morris  <rgm@gnu.org>

	* abbrevs.texi, advice.texi, anti.texi, backups.texi:
	* buffers.texi, commands.texi, compile.texi, control.texi:
	* customize.texi, debugging.texi, display.texi, doclicense.texi:
	* edebug.texi, elisp.texi, errors.texi, eval.texi, files.texi:
	* frames.texi, functions.texi, gpl.texi, hash.texi, help.texi:
	* hooks.texi, index.texi, internals.texi, intro.texi, keymaps.texi:
	* lists.texi, loading.texi, macros.texi, maps.texi, markers.texi:
	* minibuf.texi, modes.texi, nonascii.texi, numbers.texi:
	* objects.texi, os.texi, package.texi, positions.texi:
	* processes.texi, searching.texi, sequences.texi, streams.texi:
	* strings.texi, symbols.texi, syntax.texi, text.texi, tips.texi:
	* variables.texi, windows.texi: Nuke hand-written node pointers.

2012-05-27  Chong Yidong  <cyd@gnu.org>

	* functions.texi (Obsolete Functions):
	Fix doc for set-advertised-calling-convention.

	* modes.texi (Mode Help): Fix describe-mode.

	* display.texi (Face Functions): Fix define-obsolete-face-alias.

	* variables.texi (Variable Aliases): Fix make-obsolete-variable.

2012-05-27  Martin Rudalics  <rudalics@gmx.at>

	* commands.texi (Recursive Editing): recursive-edit is a command.

	* compile.texi (Docs and Compilation):
	byte-compile-dynamic-docstrings is an option.

	* debugging.texi (Invoking the Debugger): debug is a command.

	* display.texi (Progress): progress-reporter-update and
	progress-reporter-force-update have VALUE argument optional.
	(Animated Images): Use non-@code{nil} instead of non-nil.

	* files.texi (Format Conversion Round-Trip):
	Use non-@code{nil} instead of non-nil.

	* frames.texi (Creating Frames): make-frame is a command.
	(Input Focus): select-frame is a command.
	(Pointer Shape): void-text-area-pointer is an option.

	* help.texi (Describing Characters): read-kbd-macro is a command.
	(Help Functions): describe-prefix-bindings is a command.

	* markers.texi (Creating Markers): Both arguments of copy-marker
	are optional.

	* minibuf.texi (Reading File Names): Use @kbd instead of @code.

	* modes.texi (Mode Line Variables): mode-line-remote and
	mode-line-client are not options.
	(Imenu): imenu-add-to-menubar is a command.
	(SMIE Indentation Helpers): Use non-@code{nil} instead of non-nil.

	* os.texi (Sound Output): play-sound-file is a command.

	* package.texi (Package Archives): Use @key{RET} instead of @kbd{RET}.

	* processes.texi (Signals to Processes):
	Use @key{RET} instead of @code{RET}.
	(Signals to Processes): signal-process is a command.

	* text.texi (Clickable Text): Use @key{RET} instead of @kbd{RET}.
	(Base 64): base64-encode-string is not a command while
	base64-decode-region is.

	* windows.texi (Switching Buffers): pop-to-buffer is a command.

2012-05-12  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (MKDIR_P): New, set by configure.
	(mkinfodir): Use $MKDIR_P.

2012-05-10  Glenn Morris  <rgm@gnu.org>

	* loading.texi (Loading Non-ASCII): Replace the obsolete "unibyte: t"
	with "coding: raw-text".
	Concept of multibyte sessions no longer exists.

	* files.texi (File Locks): Mention create-lockfiles option.

2012-05-09  Glenn Morris  <rgm@gnu.org>

	* vol1.texi, vol2.texi: Remove files.
	* elisp.texi: Add VOL1,2 conditionals equivalent to vol1,2.texi
	* two-volume.make: Use elisp.texi as input rather than vol1,2.texi.

	* Makefile.in (clean, mostlyclean): Add some more vol1/2 items.

	* two-volume.make (emacsdir): New.
	(tex): Add directory with emacsver.texi to TEXINPUTS.

	* minibuf.texi (Minibuffer History, Basic Completion):
	Tweak page breaks.

	* internals.texi (Garbage Collection, Memory Usage)
	(Writing Emacs Primitives): Tweak page breaks.

	* streams.texi (Output Variables): Improve page break.

	* edebug.texi (Edebug Display Update): Improve page break.

	* compile.texi (Disassembly): Condense the examples.

	* eval.texi, functions.texi, loading.texi, macros.texi:
	Where possible, use example rather than smallexample.

	* symbols.texi: Where possible, use example rather than smallexample.
	(Symbol Components): Fix typo.
	(Other Plists): Tweak page break.

	* sequences.texi (Arrays): Tweak page breaks.

	* customize.texi: Where possible, use example rather than smallexample.
	(Common Keywords, Variable Definitions, Applying Customizations)
	(Custom Themes): Tweak page breaks.

	* control.texi: Where possible, use example rather than smallexample.
	(Sequencing, Conditionals, Signaling Errors, Handling Errors):
	Tweak page breaks.

2012-05-08  Glenn Morris  <rgm@gnu.org>

	* two.el: Remove; unused since creation of two-volume.make.

	* vol1.texi, vol2.texi: No need to keep menus in these files.

2012-05-05  Glenn Morris  <rgm@gnu.org>

	* objects.texi (Process Type, Overlay Type): Tweak page-breaks.

	* intro.texi (Caveats): Copyedit.
	(Lisp History): Convert inforef to xref.
	(Lisp History, Printing Notation, Version Info): Improve page-breaks.

	* text.texi (Auto Filling): Don't mention Emacs 19.

	* commands.texi (Event Input Misc): Don't mention unread-command-char.
	* numbers.texi (Predicates on Numbers): Don't mention Emacs 18.

	* elisp.texi (DATE): Forgot to change the month in 2012-04-21 change.

	* lists.texi (List-related Predicates, List Variables):
	Tweak page-breaks.
	(Sets And Lists): Convert inforef to xref.

2012-05-04  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (INFO_EXT, INFO_OPTS): New, set by configure.
	(info, infoclean): Use $INFO_EXT.
	($(infodir)/elisp$(INFO_EXT)): Use $INFO_EXT and $INFO_OPT.
	* makefile.w32-in (INFO_EXT, INFO_OPTS): New.
	(info, maintainer-clean): Use $INFO_EXT.
	($(infodir)/elisp$(INFO_EXT)): Use $INFO_EXT and $INFO_OPT.

2012-05-04  Chong Yidong  <cyd@gnu.org>

	* os.texi (Timers): Use defopt for timer-max-repeats.

2012-05-03  Paul Eggert  <eggert@cs.ucla.edu>

	* os.texi (Time of Day): Do not limit current-time-string
	to years 1000..9999.

2012-05-02  Chong Yidong  <cyd@gnu.org>

	* display.texi (Font Lookup):
	* frames.texi (Pointer Shape):
	* processes.texi (Subprocess Creation): Use defopt for options.

2012-05-02  Glenn Morris  <rgm@gnu.org>

	* elisp.texi (@copying):
	* intro.texi (Introduction): Only print VERSION in the TeX version.

2012-05-02  Chong Yidong  <cyd@gnu.org>

	* text.texi (Change Hooks): Minor fix for after-change-functions.

2012-05-02  Glenn Morris  <rgm@gnu.org>

	* package.texi (Packaging Basics):
	* loading.texi (Autoload):
	* files.texi (Magic File Names):
	Reword to remove/reduce some overly long/short lines.

2012-04-27  Glenn Morris  <rgm@gnu.org>

	* elisp.texi, vol1.texi, vol2.texi: Some fixes for detailed menu.
	* modes.texi (Major Modes, Auto-Indentation):
	* buffers.texi (Buffers): Some fixes for menu descriptions.

2012-04-27  Stefan Monnier  <monnier@iro.umontreal.ca>
	* functions.texi (Simple Lambda, Argument List):
	* eval.texi (Function Indirection): Avoid deprecated form.

2012-04-27  Glenn Morris  <rgm@gnu.org>

	* book-spine.texi, elisp.texi, vol1.texi, vol2.texi:
	Add "et al." to authors.

	* buffers.texi, commands.texi, compile.texi, control.texi:
	* customize.texi, display.texi, eval.texi, files.texi, frames.texi:
	* hash.texi, help.texi, intro.texi, keymaps.texi, lists.texi:
	* modes.texi, numbers.texi, objects.texi, streams.texi:
	* symbols.texi, syntax.texi, text.texi, tips.texi, variables.texi:
	Use Texinfo recommended convention for quotes+punctuation.

2012-04-27  Chong Yidong  <cyd@gnu.org>

	* keymaps.texi (Scanning Keymaps): Fix description of NO-REMAP arg
	to where-is-internal (Bug#10872).

2012-04-27  Glenn Morris  <rgm@gnu.org>

	* macros.texi (Indenting Macros): Fix typo.

	* windows.texi (Basic Windows, Windows and Frames, Window Sizes)
	(Resizing Windows, Deleting Windows, Selecting Windows)
	(Choosing Window Options, Horizontal Scrolling)
	(Cyclic Window Ordering, Window History, Dedicated Windows)
	(Quitting Windows, Window Configurations, Textual Scrolling)
	(Coordinates and Windows, Window Configurations)
	(Window Parameters, Window Hooks): Copyedits.
	(Splitting Windows, Deleting Windows):
	Fix ignore-window-parameters logic.
	(Selecting Windows, Choosing Window Options): Markup fixes.
	(Window Start and End): Remove pointless example.
	Remove cross-reference to deleted count-lines content.
	(Textual Scrolling): Mention recenter-redisplay, recenter-top-bottom,
	and recenter-positions.  Remove recenter example.

	* elisp.texi, vol1.texi, vol2.texi: Bump VERSION and DATE.

	* minibuf.texi (Intro to Minibuffers):
	Tweak discussion of resizing minibuffer window.

2012-04-26  Glenn Morris  <rgm@gnu.org>

	* elisp-covers.texi, front-cover-1.texi: Remove files.

	* tindex.pl: Remove file.

	* makefile.w32-in (srcs):
	* Makefile.in (srcs): Remove back.texi (which is unused).

2012-04-24  Michael Albinus  <michael.albinus@gmx.de>

	* os.texi (Notifications): Extend possible notification hints.
	Add notifications-get-capabilities.

2012-04-20  Chong Yidong  <cyd@gnu.org>

	* processes.texi (Asynchronous Processes): Mention nil argument to
	start-process.

2012-04-20  Glenn Morris  <rgm@gnu.org>

	* minibuf.texi (Basic Completion): No need to describe obarrays here.
	Don't mention obsolete `nospace' argument of all-completions.
	(Minibuffer Completion, Completion Commands, Reading File Names)
	(Completion Variables): Copyedits.
	(Completion Commands): Mention parent keymaps.
	Remove obsolete minibuffer-local-filename-must-match-map.
	(High-Level Completion): Remove read-variable's almost
	word-for-word duplication of read-command.
	* elisp.texi, vol1.texi, vol2.texi, minibuf.texi (Completion):
	Update "High-Level Completion" description.

	* minibuf.texi (Minibuffers):
	* elisp.texi, vol1.texi, vol2.texi: Fix minibuffer subsection order.

	* minibuf.texi: Standardize metasyntactic variables ("history", etc).
	Use Texinfo-recommended form of quote+punctuation.
	(Intro to Minibuffers): First minibuffer is #1, not #0.
	Mention minibuffer-inactive-mode.
	(Text from Minibuffer): Copyedits.
	(Minibuffer History, Programmed Completion): Fix @var usage.
	(Object from Minibuffer): Remove overly pedantic para.
	(Minibuffer History): Copyedits.  Add face-name-history.
	(Initial Input, Yes-or-No Queries, Multiple Queries)
	(Minibuffer Windows, Minibuffer Misc): Copyedits.
	(Yes-or-No Queries): Tweak example.
	(Minibuffer Commands): Add next-complete-history-element.
	(Minibuffer Misc): Mention minibuffer-message-timeout, and
	minibuffer-inactive-mode.

	* processes.texi (Serial Ports, Byte Packing, Bindat Spec)
	(Bindat Functions): Copyedits.

2012-04-20  Christopher Schmidt  <christopher@ch.ristopher.com>

	* files.texi (Saving Buffers): Document `visit and `visit-save'
	values of require-final-newline.

2012-04-20  Glenn Morris  <rgm@gnu.org>

	* processes.texi (Output from Processes, Filter Functions):
	Mention waiting-for-user-input-p.
	(Sentinels, Query Before Exit, System Processes, Transaction Queues)
	(Network Servers, Datagrams, Network Processes, Network Options)
	(Network Feature Testing, Serial Ports): Copyedits.
	(Network): Add encrypted network overview paragraph.
	Cross-reference the Emacs-GnuTLS manual.  Use @acronym.

2012-04-20  Chong Yidong  <cyd@gnu.org>

	* help.texi (Keys in Documentation): Mention :advertised-binding.

	* keymaps.texi (Menu Bar): Move most of the :advertised-binding
	description to help.texi.

2012-04-20  Glenn Morris  <rgm@gnu.org>

	* processes.texi (Process Information, Input to Processes)
	(Signals to Processes, Output from Processes, Process Buffers)
	(Filter Functions, Decoding Output): Copyedits.
	(Accepting Output): Discourage use of `millisec' argument.

2012-04-15  Glenn Morris  <rgm@gnu.org>

	* processes.texi (Processes, Subprocess Creation, Shell Arguments)
	(Synchronous Processes, Asynchronous Processes, Deleting Processes):
	Copyedits.
	(Subprocess Creation): Discourage modifying exec-path directly.
	(Synchronous Processes, Asynchronous Processes):
	Update some example output.
	(Process Information): Fix typo.
	(Bindat Spec): Use Texinfo-recommended form of quote+punctuation.

2012-04-15  Glenn Morris  <rgm@gnu.org>

	* anti.texi (Antinews): Copyedits.  Don't @dfn anything here.
	open-network-stream does exist in Emacs 23, but is simpler.

2012-04-15  Chong Yidong  <cyd@gnu.org>

	* customize.texi (Custom Themes): Also document load-theme etc.

2012-04-14  Chong Yidong  <cyd@gnu.org>

	* customize.texi (Applying Customizations, Custom Themes): New nodes.

	* display.texi (Defining Faces): Reference custom-set-faces.

	* modes.texi (Defining Minor Modes, Defining Minor Modes):
	* os.texi (Startup Summary): Copyedits.

2012-04-14  Glenn Morris  <rgm@gnu.org>

	* loading.texi (Loading Non-ASCII): "unibyte:" can also be at the end.

	* strings.texi (Case Tables):
	* objects.texi (General Escape Syntax):
	* keymaps.texi (Key Sequences): Use @acronym with "ASCII".

	* buffers.texi, compile.texi, customize.texi, debugging.texi:
	* display.texi, edebug.texi, eval.texi, help.texi, intro.texi:
	* keymaps.texi, minibuf.texi, modes.texi, os.texi, processes.texi:
	* text.texi: Use @file for buffers, per the Texinfo manual.

	* compile.texi (Compiler Errors): Add missing space in buffer name.

2012-04-14  Chong Yidong  <cyd@gnu.org>

	* processes.texi (Query Before Exit): Remove obsolete function
	process-kill-without-query (Bug#11190).

2012-04-14  Glenn Morris  <rgm@gnu.org>

	* files.texi, frames.texi, loading.texi, os.texi, processes.texi:
	Use @env for environment variables.

	* Makefile.in: Replace non-portable use of $< in ordinary rules.

2012-04-12  Jari Aalto  <jari.aalto@cante.net>

	* processes.texi (Synchronous Processes):
	Mention `default-directory' (bug#7515).

2012-04-09  Chong Yidong  <cyd@gnu.org>

	* customize.texi (Variable Definitions): Remove user-variable-p.

	* commands.texi (Interactive Codes):
	* help.texi (Accessing Documentation):
	* minibuf.texi (High-Level Completion): Callers changed.

2012-04-06  Chong Yidong  <cyd@gnu.org>

	* minibuf.texi (Programmed Completion): Document metadata method.
	(Completion Variables): Document completion-category-overrides.

2012-04-05  Chong Yidong  <cyd@gnu.org>

	* anti.texi (Antinews): Rewrite for Emacs 23.

2012-04-04  Chong Yidong  <cyd@gnu.org>

	* minibuf.texi (Programmed Completion): Remove obsolete variable
	completion-annotate-function.
	(Completion Variables): Rename from Completion Styles.
	Document completion-extra-properties.  Document completion-styles-alist
	change.
	(Reading File Names): minibuffer-local-filename-must-match-map is
	not used anymore.
	(Minibuffer Completion): Document completing-read-function.
	(Completion in Buffers): completion-at-point-functions can return
	properties recognized in completion-extra-properties.

	* display.texi (Delayed Warnings): New node.

	* os.texi (Notifications): Copyedits.

2012-04-04  Glenn Morris  <rgm@gnu.org>

	* os.texi (Notifications): Copyedits.

2012-04-03  Michael Albinus  <michael.albinus@gmx.de>

	* os.texi (Terminal-Specific): Fix typo.
	(Notifications): New section.

	* elisp.texi (Top):
	* vol1.texi (Top):
	* vol2.texi (Top): Add "Notifications" and "Dynamic Libraries"
	menu entries.

2012-04-01  Chong Yidong  <cyd@gnu.org>

	* files.texi (Kinds of Files): file-subdir-of-p renamed to
	file-in-directory-p.

2012-03-31  Glenn Morris  <rgm@gnu.org>

	* edebug.texi (Instrumenting Macro Calls):
	Mention defining macros at instrumentation time.
	(Edebug Options): Mention edebug-unwrap-results.

2012-03-31  Eli Zaretskii  <eliz@gnu.org>

	* text.texi (Special Properties): Clarify the description of the
	effect of integer values of the 'cursor' property on cursor
	position.  See the discussions in bug#11068 for more details and
	context.

2012-03-31  Glenn Morris  <rgm@gnu.org>

	* edebug.texi (Edebug Eval, Specification List, Edebug Options):
	Copyedits.

2012-03-30  Chong Yidong  <cyd@gnu.org>

	* display.texi (Image Formats): Add imagemagick type.
	(Image Descriptors): Mention how they are used.
	(ImageMagick Images): Clarify role of imagemagick-register-types.
	(Character Display): Don't mention glyph tables.
	(Display Tables): Use make-glyph-code in example.
	(Glyphs): Avoid "simple glyph code" terminology.  Note that glyph
	tables are semi-obsolete.  De-document create-glyph.
	(Glyphless Chars): Note that display tables override this.
	(Bidirectional Display): Copyedits.  Introduce "bidirectional
	reordering" terminology, and use it.

2012-03-30  Glenn Morris  <rgm@gnu.org>

	* edebug.texi (Jumping): Give name of `i' binding.

2012-03-28  Glenn Morris  <rgm@gnu.org>

	* searching.texi (Regular Expressions, Regexp Special)
	(Regexp Backslash, Regexp Example, Regexp Functions, Regexp Search)
	(Simple Match Data, Saving Match Data, Standard Regexps): Copyedits.
	(Regexp Special): Mention collation.
	Clarify char classes with an example.
	(Regexp Functions): Mention regexp-opt is not guaranteed.
	Mention regexp-opt-charset.
	(Regexp Search): Recommend against looking-back.
	(Search and Replace): Use Texinfo recommended quote convention.
	Add more query-replace-map items.  List multi-query-replace-map items.

2012-03-27  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Window History): Describe new option
	switch-to-visible-buffer.

2012-03-27  Glenn Morris  <rgm@gnu.org>

	* searching.texi (String Search): Add xref to Emacs manual.
	Copyedits.  Mention the function word-search-regexp.
	(Searching and Case): Add xref to Emacs manual.  Copyedits.

	* processes.texi (Network Servers): Standardize apostrophe usage.

	* os.texi (System Environment): Copyedits.  Remove some examples
	that do not seem useful.  Mention setenv third arg.
	tty-erase-char does not seem to be nil under a window-system.
	(User Identification): Copyedits.
	Remove some examples that do not seem useful.

2012-03-26  Glenn Morris  <rgm@gnu.org>

	* os.texi (Startup Summary): Copyedits.  Fix startup screen logic.
	(Init File): Copyedits.
	(Command-Line Arguments): Copyedits.  Do not mention argv alias.
	(Killing Emacs): Copyedits.
	(Suspending Emacs): Copyedits.  Mention not very relevant with GUIs.
	Shorten the example, use more standard shell prompts.

2012-03-25  Chong Yidong  <cyd@gnu.org>

	* display.texi (Fringes): Note that fringes are shown on graphical
	displays only.
	(Fringe Size/Pos, Fringe Bitmaps, Making Buttons): Clarifications.
	(Replacing Specs): Clarify example.
	(Manipulating Buttons): Note that button-at can return a marker.
	(Buttons): Minor rewrite.
	(Character Display): New node.  Consolidate all character display
	related nodes into its subsections.
	(Usual Display): Character 127 is also affected by ctl-arrow.
	(Display Tables): Improve example.

2012-03-22  Glenn Morris  <rgm@gnu.org>

	* strings.texi (Text Comparison): Mention string-prefix-p.

2012-03-21  Chong Yidong  <cyd@gnu.org>

	* display.texi (The Echo Area): Add xref to Output Streams.
	(Displaying Messages): Improve doc of message.
	(Echo Area Customization, Invisible Text): Copyedits.
	(Invisible Text): Mention that spec comparison is done with eq.
	(Width): Improve doc of char-width.
	(Faces): Recommend using symbol instead of string for face name.
	Minor clarifications.
	(Defining Faces): Copyedits.  Update face example.
	(Attribute Functions): Mark set-face-foreground etc as commands.
	(Face Remapping): Mention text-scale-adjust.
	Clarify face-remapping-alist and related docs.
	(Face Functions): Don't document make-face or copy-face.

2012-03-20  Chong Yidong  <cyd@gnu.org>

	* display.texi (Forcing Redisplay): Various rewrites to reflect
	new value of redisplay-dont-pause.
	(Truncation): Copyedits.

2012-03-20  Glenn Morris  <rgm@gnu.org>

	* os.texi (Startup Summary): Don't mention initial-buffer-choice = t.
	Add summary table of some relevant command-line options.

2012-03-18  Chong Yidong  <cyd@gnu.org>

	* internals.texi (Building Emacs, Garbage Collection): Copyedits.
	(Writing Emacs Primitives): Re-organize discussion of functions
	with variable Lisp arguments are handled.  Delete an obsolete
	remark, previously tagged as FIXME.

	* os.texi (Idle Timers): Minor clarification.
	(Idle Timers): Link to Time of Day for description of time list.

2012-03-18  Glenn Morris  <rgm@gnu.org>

	* os.texi (System Interface): Flow control was removed.
	(Startup Summary): General update.
	(Init File): Don't mention compiling it.

2012-03-17  Chong Yidong  <cyd@gnu.org>

	* os.texi (Startup Summary): Mention package loading.
	(Init File): Don't refer to .emacs in section title.  Copyedits.
	(Terminal-Specific): Give a realistic example.
	(Command-Line Arguments): Reference Entering Emacs instead of
	repeating the spiel about not restarting Emacs.
	(Time of Day): Discuss time representation at beginning of node.
	(Sound Output): Copyedits.

	* package.texi (Packaging Basics): Document package-initialize.

2012-03-17  Eli Zaretskii  <eliz@gnu.org>

	* frames.texi (Initial Parameters): Add an index entry for
	minibuffer-only frame.

2012-03-16  Glenn Morris  <rgm@gnu.org>

	* modes.texi (Major Mode Conventions): Mention the strange
	relationship between View mode and special modes.  (Bug#10650)

2012-03-11  Chong Yidong  <cyd@gnu.org>

	* windows.texi (Window Configurations): save-window-excursion is
	now a macro.

	* display.texi (Temporary Displays): with-output-to-temp-buffer is
	now a macro.

	* text.texi (Fields): Minor copyedit.

2012-03-10  Eli Zaretskii  <eliz@gnu.org>

	* strings.texi (String Basics):
	* sequences.texi (Sequence Functions): Mention that `length' is
	not appropriate for computing the string width on display; add a
	cross-reference to the description of `string-width'.  (Bug#10978)

	* eval.texi (Autoloading): Minor change of wording.

2012-03-10  Chong Yidong  <cyd@gnu.org>

	* loading.texi (Autoload): Explicitly state which forms are
	processed specially (Bug#7783).

	* keymaps.texi (Mouse Menus): Describe non-toolkit behavior as the
	non-default situation.  Describe one-submenu exception (Bug#7695).

	* nonascii.texi (Character Properties): Copyedits.

2012-03-08  Chong Yidong  <cyd@gnu.org>

	* text.texi (Mode-Specific Indent): Document new behavior of
	indent-for-tab-command.  Document tab-always-indent.
	(Special Properties): Copyedits.
	(Checksum/Hash): Improve secure-hash doc.  Do not recommend MD5.
	(Parsing HTML/XML): Rename from Parsing HTML.  Update doc of
	libxml-parse-html-region.

2012-03-07  Glenn Morris  <rgm@gnu.org>

	* markers.texi (The Region): Briefly mention use-empty-active-region
	and region-active-p.
	(Overview of Markers): Reword garbage collection, add cross-ref.
	(The Mark): Tiny clarification re command loop and activate-mark-hook.

2012-03-07  Chong Yidong  <cyd@gnu.org>

	* text.texi (Buffer Contents): Don't duplicate explanation of
	region arguments from Text node.  Put doc of obsolete var
	buffer-substring-filters back, since it is referred to.
	(Low-Level Kill Ring): Yank now uses clipboard instead of primary
	selection by default.

	* markers.texi (The Mark): Fix typo.
	(The Region): Copyedits.

2012-03-07  Glenn Morris  <rgm@gnu.org>

	* markers.texi (Overview of Markers): Copyedits.
	(Creating Markers): Update approximate example buffer size.
	(The Mark): Don't mention uninteresting return values.

2012-03-05  Chong Yidong  <cyd@gnu.org>

	* positions.texi (Text Lines): Document count-words.

2012-03-04  Chong Yidong  <cyd@gnu.org>

	* frames.texi (Frames): Remove little-used "terminal frame" and
	"window frame" terminology.
	(Frame Parameters, Font and Color Parameters, Initial Parameters)
	(Size and Position, Visibility of Frames): Callers changed.
	(Frames): Clarify which terminals in framep are graphical.
	(Initial Parameters): --geometry is not the only option which adds
	to initial-frame-alist.
	(Position Parameters): Note that icon-left and icon-top are for
	old window managers only.
	(Size Parameters): Sizes are in characters even on graphical
	displays.
	(Management Parameters): Note that window-id and outer-window-id
	can't really be changed, and that auto-raise isn't always obeyed.
	(Cursor Parameters): Document cursor-type explicitly.
	(Size and Position): The aliases set-screen-height and
	set-screen-width have been deleted.
	(Visibility of Frames): Mention "minimization".

	* os.texi (Startup Summary): Minor clarifications.
	(Startup Summary, Suspending Emacs): Standardize on "text
	terminal" terminology.

	* windows.texi (Basic Windows, Coordinates and Windows)
	(Coordinates and Windows):
	* display.texi (Refresh Screen, Line Height, Face Attributes)
	(Overlay Arrow, Beeping, Glyphless Chars): Likewise.

2012-03-04  Glenn Morris  <rgm@gnu.org>

	* abbrevs.texi: Small copyedits throughout.
	(Abbrev Mode): Remove this section, folding it into the top-level.
	(Abbrev Tables): Don't mention irrelevant return values.
	(Abbrev Expansion): Add cross-ref for wrapper hooks.
	(Standard Abbrev Tables): Emacs Lisp mode now has its own table.
	(Abbrev Table Properties): Update nil :regexp description.

2012-03-03  Glenn Morris  <rgm@gnu.org>

	* internals.texi: Change @appendix section commands to @section.
	(Building Emacs): Say less about CANNOT_DUMP platforms.
	Replace deleted eval-at-startup with custom-initialize-delay.
	(Pure Storage): Small changes.
	(Memory Usage): Copyedit.
	(Writing Emacs Primitives): Update Fcoordinates_in_window_p and For
	example definitions.  Give examples of things with non-nil
	interactive args.  Mention eval_sub.  Remove old info about
	strings and GCPRO.  Mention cus-start.el.
	(Buffer Internals, Window Internals, Process Internals):
	Misc small updates and fixes for fields.

	* tips.texi: Copyedits.
	(Coding Conventions): Mention autoloads.
	Combine partially duplicated macro items.  Fix xref.
	Refer to Library Headers for copyright notice.
	(Programming Tips): edit-options is long-obsolete.
	(Compilation Tips): Mention loading bytecomp for byte-compile props.
	(Warning Tips): Mention declare-function.
	(Documentation Tips): Remove old info.
	(Comment Tips): Mention comment-dwim, not indent-for-comment.
	(Library Headers): General update.

2012-03-02  Glenn Morris  <rgm@gnu.org>

	* backups.texi (Reverting): Un-duplicate revert-buffer-in-progress-p,
	and relocate entry.  Mention buffer-stale-function.

	* elisp.texi, vol1.texi, vol2.texi: Standardize some menu entries.

	* hooks.texi (Standard Hooks): General update.
	Put related hooks together.  Add and remove items.
	* commands.texi (Keyboard Macros): Remove cross-ref to Standard Hooks.
	* modes.texi (Hooks): Tweak cross-ref description.

2012-03-01  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Kinds of Files): The return value of file-equal-p is
	unspecified, if FILE1 or FILE2 does not exist.

2012-03-01  Glenn Morris  <rgm@gnu.org>

	* hooks.texi (Standard Hooks): Remove mode-specific hooks.

	* maps.texi (Standard Keymaps): General update.
	Remove mode-specific maps, talk about the more general keymaps.
	* help.texi (Help Functions): Add vindex for Helper-help-map.
	* keymaps.texi (Active Keymaps): Minor rephrasing.

2012-02-29  Glenn Morris  <rgm@gnu.org>

	* elisp.texi, vol1.texi, vol2.texi: Use "" quotes in menus.

2012-02-28  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	* files.texi (Kinds of Files): Rename files-equal-p to file-equal-p.
	Update changed behavior of file-subdir-of-p.

2012-02-28  Glenn Morris  <rgm@gnu.org>

	* advice.texi, anti.texi, display.texi, elisp.texi:
	* processes.texi, variables.texi, vol1.texi, vol2.texi:
	Standardize possessive apostrophe usage.

	* locals.texi: Remove file.
	* elisp.texi, vol1.texi, vol2.texi: Don't include locals.texi.
	Remove menu entry.
	* errors.texi, maps.texi: Adjust node pointers.
	* internals.texi (Buffer Internals): Remove cross-refs to locals.texi.
	* makefile.w32-in (srcs):
	* Makefile.in (srcs): Remove locals.texi.

	* frames.texi (Mouse Position): Fix cross-ref.

2012-02-27  Chong Yidong  <cyd@gnu.org>

	* buffers.texi (Creating Buffers): Clarify that
	generate-new-buffer uses generate-new-buffer-names.
	(Killing Buffers): Remove bogus example duplicating buffer-live-p.

	* files.texi (Directory Names): Index entry for file name abbreviations.
	(Relative File Names, File Name Expansion): Refer to it.
	(Locating Files): Move locate-user-emacs-file documentation to
	Standard File Names.
	(Standard File Names): Add locate-user-emacs-file; update examples.

2012-02-26  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Magic File Names): Add files-equal-p and file-subdir-of-p.

2012-02-26  Chong Yidong  <cyd@gnu.org>

	* files.texi (Kinds of Files): Improve documentation of
	files-equal-p and file-subdir-of-p.

2012-02-26  Glenn Morris  <rgm@gnu.org>

	* intro.texi (Acknowledgements): Small changes.

2012-02-25  Glenn Morris  <rgm@gnu.org>

	* errors.texi: Don't try to list _all_ the error symbols.
	Add circular-list, cl-assertion-failed, compression-error.
	* elisp.texi, vol1.texi, vol2.texi:
	* control.texi (Error Symbols): Tweak "Standard Errors" description.

2012-02-25  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	* files.texi (files-equal-p, file-subdir-of-p): New,
	add initial documentation.

2012-02-25  Chong Yidong  <cyd@gnu.org>

	* files.texi (File Attributes): Document file-selinux-context.
	(Changing Files): Link to it.
	(Changing Files): Document set-file-selinux-context.

	* backups.texi (Making Backups): Return value of backup-buffer is
	changed.  Mention default value of backup-directory-alist.
	(Rename or Copy): Note that backup-by-copying-when-mismatch is t.
	(Auto-Saving): New minor mode behavior for auto-save-mode.
	(Reverting): Add defvar for revert-buffer-in-progress-p.

	* searching.texi (Regexp Backslash): Add index entry (Bug#10869).

2012-02-24  Glenn Morris  <rgm@gnu.org>

	* errors.texi (Standard Errors): Mention dbus-error.
	For arith-error sub-classes, just use one cross-ref.

2012-02-23  Alan Mackenzie  <acm@muc.de>

	* modes.texi (Defining Minor Modes): Document the new keyword
	:after-hook.

2012-02-21  Chong Yidong  <cyd@gnu.org>

	* files.texi (Files): Mention magic file names as arguments.
	(Reading from Files): Copyedits.
	(File Attributes): Mention how to change file modes.
	(Changing Files): Use standard "file permissions" terminology.
	Add xref to File Attributes node.
	(Locating Files): Document locate-user-emacs-file.
	(Unique File Names): Recommend against using make-temp-name.

2012-02-19  Chong Yidong  <cyd@gnu.org>

	* help.texi (Documentation, Documentation Basics, Help Functions):
	Minor clarifications.
	(Accessing Documentation): Clarify what documentation-property is
	for.  Add xref to Keys in Documentation.

	* tips.texi (Documentation Tips): Don't recommend using * in
	docstrings.

	* macros.texi (Defining Macros):
	* modes.texi (Derived Modes): Say "documentation string" instead
	of docstring.

2012-02-18  Chong Yidong  <cyd@gnu.org>

	* modes.texi (Tabulated List Mode): New node.
	(Basic Major Modes): Add xref to it.

	* processes.texi (Process Information): Mention Process Menu mode.

2012-02-17  Chong Yidong  <cyd@gnu.org>

	* syntax.texi (Motion via Parsing): Doc fix for scan-lists.

2012-02-17  Glenn Morris  <rgm@gnu.org>

	* hooks.texi (Standard Hooks): Fix cross-ref to Emacs manual.

2012-02-16  Chong Yidong  <cyd@gnu.org>

	* syntax.texi (Syntax Tables, Syntax Descriptors)
	(Syntax Table Functions): Copyedits.
	(Syntax Basics): Don't repeat the material in the preceding node.
	(Syntax Class Table): Use a table.
	(Syntax Properties): Document syntax-propertize-function and
	syntax-propertize-extend-region-functions.
	(Motion via Parsing): Clarify scan-lists.  Fix indentation.
	(Parser State): Update for the new "c" comment style.
	Fix description of item 7 (comment style).

	* modes.texi (Minor Modes): Update how mode commands should treat
	arguments now.
	(Mode Line Basics): Clarify force-mode-line-update.
	(Mode Line Top): Note that the example is not realistic.
	(Mode Line Variables, Mode Line Data, %-Constructs, Header Lines)
	(Emulating Mode Line): Use "mode line" instead of "mode-line", and
	"mode line construct" instead of "mode line specification".
	(Syntactic Font Lock): Remove mention of obsolete variable
	font-lock-syntactic-keywords.
	(Setting Syntax Properties): Node deleted.
	(Font Lock Mode): Note that Font Lock mode is a minor mode.
	(Font Lock Basics): Note that syntactic fontification falls back
	on `syntax-table'.
	(Search-based Fontification): Emphasize that font-lock-keywords
	should not be set directly.
	(Faces for Font Lock): Avoid some confusing terminology.
	(Syntactic Font Lock): Minor clarifications.  Add xref to
	Syntactic Font Lock node.

2012-02-15  Chong Yidong  <cyd@gnu.org>

	* minibuf.texi (Basic Completion): Define "completion table".
	Move completion-in-region to Completion in Buffers node.
	(Completion Commands): Use "completion table" terminology.
	(Completion in Buffers): New node.

	* modes.texi (Hooks): add-hook can be used for abnormal hooks too.
	(Setting Hooks): Update minor mode usage example.
	(Major Mode Conventions): Note that completion-at-point-functions
	should be altered locally.  Add xref to Completion in Buffers.
	Remove duplicate tip about auto-mode-alist.
	(Minor Modes): Rewrite introduction.
	(Minor Mode Conventions): Copyedits.  Don't recommend
	variable-only minor modes since few minor modes are like that.

2012-02-15  Glenn Morris  <rgm@gnu.org>

	* processes.texi (Network): Document open-network-stream :parameters.

2012-02-14  Chong Yidong  <cyd@gnu.org>

	* keymaps.texi (Format of Keymaps): The CACHE component of keymaps
	was removed on 2009-09-10.  Update lisp-mode-map example.
	(Inheritance and Keymaps): Minor clarification.
	(Searching Keymaps): Remove out-of-place enumeration.
	(Key Lookup): Remove unnecessary example (one was already given in
	Format of Keymaps).
	(Changing Key Bindings): Update suppress-keymap example.
	(Menu Bar, Tool Bar): Copyedits.
	(Tool Bar): Update tool-bar-map example.

2012-02-12  Chong Yidong  <cyd@gnu.org>

	* debugging.texi (Debugger Commands): Continuing is now allowed
	for errors.

2012-02-11  Chong Yidong  <cyd@gnu.org>

	* display.texi (Fringe Indicators): Add xref to Fringe Bitmaps.
	Move the list of standard bitmaps there.
	(Fringe Cursors): Rewrite for clarity.
	(Fringe Bitmaps): Consolidate the list of standard bitmaps here.

	* commands.texi (Command Overview): Mention read-key.
	(Using Interactive, Interactive Call): Minor clarifications.
	(Function Keys, Click Events): Avoid "input stream" terminology.
	(Click Events): Add xref to Window Sizes and Accessing Mouse.
	Clarify column and row components.
	(Accessing Mouse): Add xref to Click Events.  Minor fixes.
	(Special Events): Copyedits.

	* streams.texi (Input Streams): De-document get-file-char.
	(Output Variables): Don't refer to old backquote syntax.

	* debugging.texi (Debugging): Copyedits.  Describe testcover, ERT.
	(Error Debugging): Note that debug-ignored-errors overrides list
	values of debug-on-error too.  Add xref to Signaling Errors.
	Note that debug-on-signal is not customizable.
	Mention condition-case-unless-debug.
	(Compilation Errors): Node deleted.

	* compile.texi (Compiler Errors): Move a paragraph here from
	deleted node Compilation Errors.

2012-02-10  Leo Liu  <sdl.web@gmail.com>

	* control.texi (Handling Errors): Change condition-case-no-debug
	to condition-case-unless-debug.

2012-02-10  Chong Yidong  <cyd@gnu.org>

	* advice.texi (Defining Advice): Clarify ad-unadvise.
	(Activation of Advice): Specifying the ACTIVATE flag in defadvice
	is not abnormal.
	(Advising Primitives): Node deleted; ad-define-subr-args has been
	removed.

	* compile.texi (Speed of Byte-Code): Use float-time in example.
	(Compilation Functions): Note that the log uses Compilation mode.
	Don't discuss the contents of byte-code function object here.
	(Compilation Functions): De-document internal function byte-code.
	(Docs and Compilation): Minor clarifications.

	* objects.texi (Byte-Code Type): Add xref to Byte-Code Function
	Objects.

2012-02-10  Glenn Morris  <rgm@gnu.org>

	* text.texi (Checksum/Hash): Rename node from MD5 Checksum.
	Mention secure-hash.
	* elisp.texi, vol1.texi, vol2.texi: Update menu entry.

2012-02-10  Chong Yidong  <cyd@gnu.org>

	* loading.texi (Loading): Don't emphasize "library" terminology.
	(Library Search): load-path is not a user option.  Mention role of
	-L option and packages.  Improve examples.
	(Loading Non-ASCII): Don't mention unibyte Emacs, which is
	obsolete.
	(Autoload): Minor clarifications.

2012-02-10  Glenn Morris  <rgm@gnu.org>

	* files.texi (Magic File Names): Tweak remote-file-name-inhibit-cache.

	* modes.texi (Basic Major Modes): Mention tabulated-list-mode.

2012-02-08  Glenn Morris  <rgm@gnu.org>

	* loading.texi (Named Features): Update the require example.

2012-02-07  Glenn Morris  <rgm@gnu.org>

	* modes.texi (Defining Minor Modes):
	Expand on args of defined minor modes.

2012-02-07  Chong Yidong  <cyd@gnu.org>

	* variables.texi (Creating Buffer-Local): Minor clarification
	to buffer-local-variables doc (Bug#10715).

2012-02-07  Glenn Morris  <rgm@gnu.org>

	* display.texi (ImageMagick Images): General update.
	Move most details of imagemagick-render-type to the variable's doc.

2012-02-06  Glenn Morris  <rgm@gnu.org>

	* keymaps.texi (Tool Bar): Mention separators.
	(Inheritance and Keymaps):
	Mention make-composed-keymap and multiple inheritance.

	* modes.texi (Running Hooks): Mention run-hook-wrapped.

	* control.texi (Handling Errors):
	Mention condition-case-no-debug and with-demoted-errors.

2012-02-05  Chong Yidong  <cyd@gnu.org>

	* customize.texi (Common Keywords): Minor clarifications.
	Document custom-unlispify-remove-prefixes.
	(Variable Definitions): Backquotes in defcustom seem to work fine
	now.  Various other copyedits.
	(Simple Types): Copyedits.  Document color selector.
	(Composite Types): Copyedits.
	(Splicing into Lists): Clarifications.

	* eval.texi (Backquote): Move from macros.texi.

	* macros.texi (Expansion): Minor clarification.
	(Backquote): Move node to eval.texi.
	(Defining Macros): Move an example from Backquote node.
	(Argument Evaluation): No need to mention Pascal.
	(Indenting Macros): Add xref to Defining Macros.

2012-02-05  Glenn Morris  <rgm@gnu.org>

	* debugging.texi (Error Debugging): Mention debug-on-event default.

2012-02-04  Glenn Morris  <rgm@gnu.org>

	* backups.texi (Reverting): Mention revert-buffer-in-progress-p.

	* debugging.texi (Error Debugging): Mention debug-on-event.
	* commands.texi (Misc Events): Mention sigusr1,2 and debugging.

	* modes.texi (Running Hooks): Try to clarify with-wrapper-hook.

	* text.texi (Buffer Contents):
	Update filter-buffer-substring description.

2012-02-04  Chong Yidong  <cyd@gnu.org>

	* functions.texi (What Is a Function): Add closures.
	Mention "return value" terminology.  Add xref for command-execute.
	Remove unused "keystroke command" terminology.
	(Lambda Expressions): Give a different example than in the
	following subsection.  Add xref to Anonymous Functions.
	(Function Documentation): Remove gratuitous markup.
	(Function Names): Move introductory text to `What Is a Function'.
	(Defining Functions): Fix defun argument spec.
	(Anonymous Functions): Document lambda macro explicitly.
	Mention effects on lexical binding.
	(Function Cells): Downplay direct usage of fset.
	(Closures): New node.
	(Inline Functions): Remove "open-code" terminology.
	(Declaring Functions): Minor tweak; .m is not C code.

	* variables.texi (Variables): Don't refer to "global value".
	(Local Variables, Void Variables): Copyedits.
	(Lexical Binding): Minor clarification of example.
	(File Local Variables): Mention :safe and :risky defcustom args.
	(Lexical Binding): Add xref to Closures node.

2012-02-04  Glenn Morris  <rgm@gnu.org>

	* minibuf.texi (High-Level Completion): Updates for read-color.

2012-02-03  Glenn Morris  <rgm@gnu.org>

	* display.texi (GIF Images): Mention animation.
	Remove commented-out old example of animation.
	(Animated Images): New subsection.
	* elisp.texi (Top):
	* vol1.texi (Top):
	* vol2.texi (Top): Add Animated Images menu entry.

	* display.texi (Image Formats): Remove oddly specific information
	on versions of image libraries.
	(GIF Images, TIFF Images): Minor rephrasing.

2012-02-02  Glenn Morris  <rgm@gnu.org>

	* processes.texi (Synchronous Processes):
	Mention call-process's :file gets overwritten.

	* commands.texi (Reading One Event):
	* help.texi (Help Functions): Document read-char-choice.

	* hooks.texi (Standard Hooks):
	* modes.texi (Keymaps and Minor Modes):
	* text.texi (Commands for Insertion): Document post-self-insert-hook.

	* hooks.texi (Standard Hooks): Add prog-mode-hook.

	* hooks.texi (Standard Hooks):
	* modes.texi (Major Mode Conventions, Mode Hooks):
	Document change-major-mode-after-body-hook.

2012-02-01  Glenn Morris  <rgm@gnu.org>

	* modes.texi (Defining Minor Modes):
	Mention disabling global minor modes on a per-major-mode basis.

2012-01-31  Chong Yidong  <cyd@gnu.org>

	* syntax.texi (Parsing Expressions): Clarify intro (Bug#10657).
	(Parser State): Remove unnecessary statement (Bug#10661).

	* eval.texi (Intro Eval): Add footnote about "sexp" terminology.

2012-01-31  Glenn Morris  <rgm@gnu.org>

	* modes.texi (Defining Minor Modes):
	Document define-minor-mode's new :variable keyword.

2012-01-29  Chong Yidong  <cyd@gnu.org>

	* syntax.texi (Syntax Class Table): Tweak description of newline
	char syntax (Bug#9619).

	* numbers.texi (Predicates on Numbers): Fix wholenump/natnump
	description (Bug#10189).

2012-01-29  Glenn Morris  <rgm@gnu.org>

	* files.texi (Changing Files): Document SELinux support.

	* windows.texi (Window Sizes): Fix typo.

2012-01-28  Chong Yidong  <cyd@gnu.org>

	* display.texi (Fringe Indicators): Clarify fringe-indicator-alist
	doc (Bug#8568).

	* frames.texi (Input Focus): Add NORECORD arg to
	select-frame-set-input-focus.  Clarify its role in select-frame.

	* text.texi (Transposition): We don't use transpose-region as an
	internal subroutine (Bug#3249).

	* modes.texi (Example Major Modes): Update Lisp example code to
	current sources.  Delete the old non-derived-major-mode example,
	which has diverged badly from current sources.

2012-01-27  Glenn Morris  <rgm@gnu.org>

	* makefile.w32-in (texinputdir): Fix (presumed) typo.
	(VERSION, manual): Remove, unused.

2012-01-27  Chong Yidong  <cyd@gnu.org>

	* commands.texi (Command Overview): Minor clarification (Bug#10384).

2012-01-26  Chong Yidong  <cyd@gnu.org>

	* searching.texi (String Search): Document negative repeat count
	(Bug#10507).

2012-01-26  Glenn Morris  <rgm@gnu.org>

	* variables.texi (Using Lexical Binding):
	Mention that lexical-binding should be set in the first line.

2012-01-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* macros.texi (Defining Macros): Don't claim that `declare' only
	affects Edebug and indentation.

2012-01-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* macros.texi (Defining Macros): Slight `declare' fixup.

2012-01-25  Glenn Morris  <rgm@gnu.org>

	* makefile.w32-in (texinputdir):
	* Makefile.in (ENVADD): Add $emacsdir.  (Bug#10603)

2012-01-24  Chong Yidong  <cyd@gnu.org>

	* variables.texi (Variables, Local Variables, Void Variables):
	Edit to make the descriptions less specific to dynamic binding.
	(Local Variables): Default max-specpdl-size is now 1300.
	(Defining Variables): Edits for lexical scoping.
	Delete information about starting docstrings with *.  De-document
	user-variable-p.
	(Tips for Defining): Remove an unimportant discussion of quitting
	in the middle of a load.
	(Accessing Variables, Setting Variables): Discuss lexical binding.
	(Variable Scoping): Rewrite.
	(Scope, Extent, Impl of Scope): Nodes deleted.
	(Dynamic Binding): New node, with material from Scope, Extent, and
	Impl of Scope nodes.
	(Dynamic Binding Tips): Rename from Using Scoping.
	(Lexical Binding): Rewrite.
	(Using Lexical Binding): Rename from Converting to Lexical
	Binding.  Convert to subsection.

	* customize.texi (Variable Definitions): Add custom-variable-p.
	Move user-variable-p documentation here.

2012-01-23  Chong Yidong  <cyd@gnu.org>

	* strings.texi (Text Comparison): Minor qualification.

	* lists.texi (Cons Cells): Copyedits.
	(List Elements): Mention push.
	(List Variables): Mention pop.
	(Rings): Move to sequences.texi.

	* sequences.texi (Sequence Functions): Don't repeat the
	introduction already given in the parent.
	(Vectors): Copyedits.
	(Rings): Move from lists.texi.  Note that this is specific to the
	ring package.

	* symbols.texi (Definitions, Symbol Components): Mention variable
	scoping issues.
	(Plists and Alists): Copyedits.

	* eval.texi (Intro Eval, Symbol Forms): Minor tweaks for
	correctness with lexical scoping.
	(Eval): Copyedits.

2012-01-21  Chong Yidong  <cyd@gnu.org>

	* intro.texi (A Sample Function Description): Special notation
	used for macros too.

	* objects.texi (Ctl-Char Syntax, Other Char Bits): Copyedits.
	(Symbol Type): Add xref for keyword symbols.
	(Sequence Type): Clarify differences between sequence types.
	(Cons Cell Type): Add "linked list" index entry.
	(Non-ASCII in Strings): Copyedits.
	(Equality Predicates): Symbols with same name need not be eq.

	* numbers.texi (Float Basics): Document isnan, copysign, frexp and
	ldexp.  Move float-e and float-pi to Math Functions node.

2012-01-21  Glenn Morris  <rgm@gnu.org>

	* modes.texi (Auto Major Mode):
	* variables.texi (File Local Variables):
	Mention inhibit-local-variables-regexps.

2012-01-19  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Window Configurations): Rewrite references to
	persistent window parameters.
	(Window Parameters): Fix description of persistent window
	parameters.

2012-01-16  Juanma Barranquero  <lekktu@gmail.com>

	* windows.texi (Window Parameters): Use @pxref.

2012-01-16  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Window Configurations, Window Parameters):
	Describe persistent window parameters.

2011-12-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* variables.texi (Creating Buffer-Local): Warn against misuses of
	make-variable-buffer-local (bug#10258).

2012-01-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* macros.texi (Defining Macros): Document `doc-string' (bug#9668).

2012-01-06  Chong Yidong  <cyd@gnu.org>

	* variables.texi (Directory Local Variables):
	Document hack-dir-local-variables-non-file-buffer.

2012-01-06  Glenn Morris  <rgm@gnu.org>

	* maps.texi (Standard Keymaps): Refer to Info-edit by name
	rather than by keybinding.

2011-12-29  Juanma Barranquero  <lekktu@gmail.com>

	* frames.texi (Font and Color Parameters): Add @pxref.

2011-12-29  Daniel Colascione  <dan.colascione@gmail.com>

	* frames.texi (Font and Color Parameters):
	Document w32 font backends (bug#10399).

2011-12-28  Paul Eggert  <eggert@cs.ucla.edu>

	* files.texi (File Attributes, Changing Files):
	Use a more-natural notation for octal numbers.

2011-12-23  Juanma Barranquero  <lekktu@gmail.com>

	* variables.texi (Variables with Restricted Values):
	Change reference to variable (bug#10354).

2011-12-13  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Splitting Windows): Use t instead of non-nil
	when describing window-combination-resize.

2011-12-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* text.texi (Special Properties): Warn against `intangible' properties
	(bug#10222).

2011-11-26  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Truncation):
	* text.texi (Special Properties): Describe what a stretch-glyph is
	instead of using that term without explanation.  Make the
	cross-references more accurate.

	* display.texi (Usual Display): Update the description,
	cross-references, and indexing related to display of control
	characters and raw bytes.

2011-11-25  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Splitting Windows): Fix description of
	window-combination-limit.  Suggested by Eli Zaretskii.

2011-11-23  Chong Yidong  <cyd@gnu.org>

	* windows.texi (Window Sizes): Move window-top-line,
	window-left-column, and window-*-pixel-edges to Coordinates and
	Windows node.
	(Coordinates and Windows): Restore window-edges doc.

2011-11-21  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Windows and Frames, Splitting Windows):
	Fix typos.

2011-11-21  Chong Yidong  <cyd@gnu.org>

	* windows.texi (Splitting Windows): Fix error in documentation of
	window-combination-limit.
	(Cyclic Window Ordering): Minor fixes to next-window,
	one-window-p, and get-lru-window docs.  Don't document
	window-list-1.
	(Buffers and Windows): Copyedits.
	(Choosing Window): Document special handling of special-display-*.
	(Choosing Window Options): Fix display-buffer-reuse-frames doc.
	Don't document even-window-heights, which is going away.
	Clarify which options are obeyed by which action functions.

2011-11-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* display.texi (Invisible Text): Clarify point adjustment (bug#10072).

2011-11-20  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Resizing Windows, Splitting Windows):
	Remove term "status" when talking about combination limits.

2011-11-20  Juanma Barranquero  <lekktu@gmail.com>

	* compile.texi (Compiler Errors):
	* help.texi (Help Functions): Fix typos.

2011-11-19  Chong Yidong  <cyd@gnu.org>

	* windows.texi (Splitting Windows): Clarify role of window
	parameters in split-window.  Shorten the example.
	(Deleting Windows): Rewrite intro to handle internal windows.
	Fix delete-windows-on doc.
	(Selecting Windows): Copyedits.

2011-11-17  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Resizing Windows, Splitting Windows)
	(Deleting Windows): Use term window-combination-resize instead
	of window-splits.

2011-11-16  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Resizing Windows, Splitting Windows):
	Rename occurrences of window-nest to window-combination-limit.

2011-11-14  Juanma Barranquero  <lekktu@gmail.com>

	* intro.texi (Lisp History): Fix typo.

2011-11-12  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Splitting Windows, Deleting Windows):
	Remove references to splits status of windows.

2011-11-10  Glenn Morris  <rgm@gnu.org>

	* buffers.texi (Read Only Buffers): Expand a bit on why
	toggle-read-only should only be used interactively.  (Bug#7292)

2011-11-09  Chong Yidong  <cyd@gnu.org>

	* windows.texi (Window Sizes): Document window-pixel-edges,
	window-inside-pixel-edges, window-absolute-pixel-edges, and
	window-inside-absolute-pixel-edges.
	(Resizing Windows): shrink-window-if-larger-than-buffer works on
	non-full-width windows.

2011-11-09  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Resizing Windows): Rewrite documentation of
	window-resizable.

2011-11-09  Chong Yidong  <cyd@gnu.org>

	* windows.texi (Splitting Windows): Simplify example.

2011-11-08  Chong Yidong  <cyd@gnu.org>

	* windows.texi (Window Sizes): Copyedits.  Document
	window-text-height.  Remove window-min-height and window-min-width
	discussion, referring instead to Emacs manual.
	(Splitting Windows, Resizing Windows): Add xref to Emacs manual.
	(Resizing Windows): Simplify introduction.  Don't document
	enlarge-window, shrink-window, enlarge-window-horizontally, and
	shrink-window-horizontally; they are no longer preferred for
	calling from Lisp, and are already documented in the Emacs manual.

2011-11-07  Glenn Morris  <rgm@gnu.org>

	* windows.texi (Choosing Window): Fix keybinding typo.

2011-11-07  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Resizing Windows, Splitting Windows)
	(Window Configurations): Use "child window" instead of
	"subwindow".

2011-11-06  Chong Yidong  <cyd@gnu.org>

	* windows.texi (Basic Windows): Clarify various definitions.
	Treat window-normalize-* as internal; don't document them.
	(Windows and Frames): Various clarifications, e.g. non-live
	windows also belong to frames.  Fix window-list description.
	Simplify window nesting example.
	(Splitting Windows, Window Configurations):
	Use split-window-below.

2011-11-04  Eli Zaretskii  <eliz@gnu.org>

	* windows.texi (Window Sizes): Mention in the doc string that the
	return values of `window-body-height' and `window-body-width' are
	in frame's canonical units.  (Bug#9949)

2011-10-30  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Windows and Frames): Remove "iso-" infix from
	documentation of window-iso-combined-p.

2011-10-26  Chong Yidong  <cyd@gnu.org>

	* modes.texi (Running Hooks): Document with-wrapper-hook.

2011-10-18  Chong Yidong  <cyd@gnu.org>

	* display.texi (Glyphless Chars): New node.

2011-10-13  Chong Yidong  <cyd@stupidchicken.com>

	* text.texi (Yanking): Document yank-excluded-properties.

	* package.texi (Packaging Basics): The commentary should say how
	to begin using the package.

2011-10-11  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Deleting Windows): Mention which window gets
	selected when deleting the selected window.

2011-10-09  Martin Rudalics  <rudalics@gmx.at>

	* buffers.texi (The Buffer List): Describe how bury-buffer deals
	with the selected window.
	* windows.texi (Buffers and Windows): Reformulate text on how
	replace-buffer-in-windows deals with a window.
	(Quitting Windows): Describe how quit-window deals with a
	standalone frame.  Describe new option frame-auto-hide-function.

2011-10-08  Glenn Morris  <rgm@gnu.org>

	* symbols.texi (Other Plists): Markup fix.  (Bug#9702)

	* positions.texi (Excursions): Update warning message.

2011-10-05  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Low-Level Font, Face Attributes, Font Lookup):
	Fix Emacs manual xref (Bug#9675).

2011-10-01  Chong Yidong  <cyd@stupidchicken.com>

	* windows.texi (Textual Scrolling): Document scroll-up-command,
	scroll-down-command, scroll-error-top-bottom, and the
	scroll-command symbol property.
	(Display Action Functions): Fix description of
	display-buffer-pop-up-window.

2011-09-28  Juanma Barranquero  <lekktu@gmail.com>

	* windows.texi (Splitting Windows): Fix typos.

2011-09-25  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Windows and Frames, Display Action Functions)
	(Switching Buffers): Fix some typos.
	(Buffers and Windows): Remove reference to window-auto-delete.
	Reword description of replace-buffer-in-windows.
	(Window History): Fix some typos and refer to frame local buffer
	list.
	(Quitting Windows): New node.
	(Window Configurations): Add descriptions of window-state-get
	and window-state-put.
	(Window Parameters): Describe variable ignore-window-parameters.
	Sketch some window parameters currently in use.
	* elisp.texi (Top): Update node listing.

2011-09-25  Chong Yidong  <cyd@stupidchicken.com>

	* windows.texi (Display Action Functions)
	(Choosing Window Options): New nodes.

2011-09-24  Chong Yidong  <cyd@stupidchicken.com>

	* windows.texi (Window History): New node.  Move text here from
	Buffers and Windows.
	(Switching Buffers): Rename from Displaying Buffers, since we
	don't document display-buffer here; callers changed.
	Document FORCE-SAME-WINDOW arg to switch-to-buffer and
	switch-to-buffer-other-frame.  Delete duplicate
	replace-buffer-in-windows doc.
	(Choosing Window): Document display actions.

2011-09-24  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Forcing Redisplay): Update the description of
	redisplay-dont-pause due to change in the default value.

2011-09-23  Martin Rudalics  <rudalics@gmx.at>

	* frames.texi (Frames and Windows): Move section and rename to
	Windows and Frames in windows.texi.
	* windows.texi (Windows): Restructure.
	(Basic Windows): Rewrite.  Explain live and internal windows and
	normalization functions.
	(Windows and Frames): Move section here from frames.texi.
	Describe subwindows, window combinations, window tree, and
	corresponding functions including window-list here.
	(Window Sizes): Rename section from Size of Window and move it
	up in chapter.  Describe total and body sizes and the
	corresponding functions.  Explain new semantics of
	window-min-height/-width.
	(Resizing Windows): Move section up in chapter.  Describe new
	resize functions.
	(Splitting Windows): Describe new behavior of split-window,
	split-window-above-each-other and split-window-side-by-side.
	Provide examples.  Describe window-nest and window-splits
	options.
	(Deleting Windows): Minor rewrite.
	(Selecting Windows): Minor rewrite.
	Describe frame-selected-window and set-frame-selected-window here.
	(Cyclic Window Ordering): Minor rewrite.
	Describe window-list-1.
	(Buffers and Windows): Rewrite.  Explain a window's previous and
	next buffers and the corresponding functions.
	(Window Tree): Merge into Windows and Frames section.
	* elisp.texi (Top): Update node listings for frames and windows
	sections.

2011-09-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* display.texi (Face Functions): `face-list' returns faces (bug#9564).

2011-09-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* errors.texi (Standard Errors): Remove apparent placeholder text
	(bug#9491).

2011-09-18  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Management Parameters): Fix description of
	icon-type parameter.

2011-09-17  Chong Yidong  <cyd@stupidchicken.com>

	* tips.texi (Key Binding Conventions): Don't bind a key sequence
	ending in C-g.  Suggested by Theresa O'Connor.

2011-09-17  Eli Zaretskii  <eliz@gnu.org>

	* numbers.texi (Integer Basics): Add indexing for
	most-positive-fixnum and most-negative-fixnum.  (Bug#9525)

2011-09-14  Dani Moncayo  <dmoncayo@gmail.com>

	* lists.texi (Sets And Lists): Fix typo.  (Bug#9393)

2011-09-11  Juanma Barranquero  <lekktu@gmail.com>

	* processes.texi (Network Servers): Clarify what the process
	buffer is used for (bug#9233).

2011-08-30  Dani Moncayo  <dmoncayo@gmail.com>

	* lists.texi (Building Lists): Fix typo.

2011-08-30  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Basic Faces): New node.  Document new faces.

	* modes.texi (Major Mode Conventions): Move some text there.
	(Mode Help): Remove major-mode var, duplicated in Major Modes.

2011-08-29  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Basic Major Modes): New node.  Callers updated.
	(Major Modes): Document fundamental-mode and major-mode.
	(Major Mode Basics): Node deleted; text moved to Major Modes.
	(Derived Modes): Document derived-mode-p.

2011-08-28  Chong Yidong  <cyd@stupidchicken.com>

	* files.texi (Changing Files, Create/Delete Dirs): Document new
	arguments for delete-file, delete-directory, and copy-directory.
	(Visiting Functions): Remove view-file; it is documented in the
	Emacs manual.

	* frames.texi (Layout Parameters): The defaults for the
	menu-bar-lines and tool-bar-lines parameters depend on the mode.

	* display.texi (Progress): Document spinner functionality.

	* os.texi (Killing Emacs): Note that kill-emacs can be called by
	operating system signals.  Refer to save-buffers-kill-terminal
	instead of save-buffers-kill-emacs.

	* objects.texi (Symbol Type): Document ## print representation.

2011-08-25  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Specified Space): Mention that `space' specs
	influence bidi reordering.
	(Bidirectional Display): Explain how to use `(space . PROPS)' for
	separating fields with bidirectional content.

2011-08-24  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Bidirectional Display): Document return value in
	buffers that are not bidi-reordered for display, and in unibyte
	buffers.

2011-08-23  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Character Properties): Document the values for
	unassigned codepoints.

2011-08-18  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Character Properties): Document use of
	`bidi-class' and `mirroring' properties as part of reordering.
	Provide cross-references to "Bidirectional Display".

	* display.texi (Bidirectional Display): Document the pitfalls of
	concatenating strings with bidirectional content, with possible
	solutions.  Document bidi-string-mark-left-to-right.
	Mention paragraph direction in modes that inherit from prog-mode.
	Document use of `bidi-class' and `mirroring' properties as part of
	reordering.

2011-08-16  Eli Zaretskii  <eliz@gnu.org>

	* modes.texi (Major Mode Conventions): Improve the documentation
	of `mode-class' `special' modes.

	* nonascii.texi (Character Properties): Document the `mirroring'
	property.  Add index entries.

	* syntax.texi (Categories): Add an example of defining a new
	category and category table.

	* searching.texi (Regexp Backslash): Document how to display
	existing categories.  Mention the possibility of adding
	categories, and add an xref to where this is described.  Add an
	index entry.

2011-08-09  Chong Yidong  <cyd@stupidchicken.com>

	* text.texi (Special Properties):
	* display.texi (Overlay Properties): Note that mouse-face cannot
	change the text size (Bug#8530).

2011-08-08  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (Time of Day): Remove set-time-zone-rule, and recommend
	using setenv instead.

2011-07-28  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Bidirectional Display): Document the fact that
	bidi-display-reordering is t by default.

2011-07-23  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Bidirectional Display): New section.

2011-07-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>
	    Tim Cross  <theophilusx@gmail.com>  (tiny change)
	    Glenn Morris  <rgm@gnu.org>

	* keymaps.texi (Toolkit Differences): New node.  (Bug#8176)

2011-07-15  Andreas Schwab  <schwab@linux-m68k.org>

	* help.texi (Keys in Documentation): Revert last change.

2011-07-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* help.texi (Keys in Documentation): Clarify that \= only quotes
	the next character, and doesn't affect longer sequences in
	particular (bug#8935).

	* debugging.texi (Using Debugger):
	Mention @code{eval-expression-debug-on-error} (bug#8549).

2011-07-14  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Other Display Specs): Document that `left-fringe'
	and `right-fringe' display specifications are of the "replacing"
	kind.

2011-07-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* help.texi (Documentation Basics): Add a link to the Function
	Documentation node (bug#6580).

2011-07-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* keymaps.texi (Menu Bar): Mention :visible and :enable
	(bug#6344).  Text by Drew Adams.

	* modes.texi (Running Hooks): Mention buffer-local hook variables
	(bug#6218).

	* objects.texi (General Escape Syntax): "a with grave accent" is
	?xe0, not ?x8e0 (bug#5259).

2011-07-12  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Face Attributes, Font Selection): Add references
	to the Fonts node in the Emacs manual (Bug#4178).

2011-07-12  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Window Systems): `window-system' is
	terminal-local.

	* frames.texi (Frame Parameters, Parameter Access): Don't mention
	frame-local variables.

	* variables.texi (Buffer-Local Variables): Don't mention obsolete
	frame-local variables.
	(Frame-Local Variables): Node deleted.

	* elisp.texi (Top): Update node listing.

2011-07-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* elisp.texi: Change "inferiors" to "subnodes" in three places
	(bug#3523).

2011-07-11  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Window System Selections): Discussion of
	x-select-enable-clipboard moved to Emacs manual.

2011-07-11  Deniz Dogan  <deniz@dogan.se>

	* commands.texi (Prefix Command Arguments): Remove excessive
	apostrophe.

2011-07-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* syntax.texi (Syntax Descriptors): Clarify that the ". 23" syntax
	description is a string (bug#3313).

	* frames.texi (Display Feature Testing): Try to explain what all
	the visual classes mean (bug#3042).

2011-07-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* modes.texi (Mode Line Variables): Document `mode-line-remote'
	and `mode-line-client' (bug#2974).

	* text.texi (Insertion): Clarify marker movements (bug#1651).
	Text from Drew Adams.

2011-07-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* text.texi (Special Properties): Clarify the format of `face'
	(bug#1375).

	* commands.texi (Interactive Call): Add a `call-interactively'
	example (bug#1010).

2011-07-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* functions.texi (Calling Functions): Link to the "Interactive
	Call" node (bug#1001).

2011-07-06  Chong Yidong  <cyd@stupidchicken.com>

	* customize.texi (Composite Types): Move alist and plist to here
	from Simple Types (Bug#7545).

	* elisp.texi (Top): Update menu description.

	* display.texi (Face Attributes): Document negative line widths
	(Bug#6113).

2011-07-03  Tobias C. Rittweiler  <tcr@freebits.de>  (tiny change)

	* searching.texi (Match Data): Note that match data can be
	overwritten by most functions (bug#2499).

2011-07-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* strings.texi (Formatting Strings): Clarify what the "-" and "0"
	flags mean (bug#6659).

	* functions.texi (What Is a Function): Document the autoload
	object (bug#6496).

2011-07-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* customize.texi (Variable Definitions): Clarify that SETFUNCTION
	is only used in the Customize user interface (bug#6089).

	* display.texi (Showing Images): Mention the point of sliced
	images (bug#7836).

2011-07-02  Eli Zaretskii  <eliz@gnu.org>

	* variables.texi (Defining Variables, Void Variables)
	(Constant Variables): Fix incorrect usage of @kindex.

2011-07-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* variables.texi (Defining Variables): Add an index entry for
	`set-variable' (bug#7262).
	(Defining Variables): Use @findex for functions.

	* frames.texi (Basic Parameters): Document the `explicit-name'
	parameter (bug#6951).

	* customize.texi (Type Keywords): Clarify that :value provides a
	default value for all types (bug#7386).

	* streams.texi (Output Functions): Document `pp'.

2011-06-25  Chong Yidong  <cyd@stupidchicken.com>

	* keymaps.texi (Searching Keymaps):
	* display.texi (Overlay Properties): Fix errors in 2011-05-29
	change.  Suggested by Johan Bockgård.

2011-06-15  Chong Yidong  <cyd@stupidchicken.com>

	* text.texi (Special Properties): Clarify role of font-lock-face.

2011-06-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* processes.texi (Process Information): Rename `process-alive-p'
	to `process-live-p' for consistency with other `-live-p' functions.

2011-06-03  Paul Eggert  <eggert@cs.ucla.edu>

	Document wide integers better.
	* files.texi (File Attributes): Document ino_t values better.
	ino_t values no longer map to anything larger than a single cons.
	* numbers.texi (Integer Basics, Integer Basics, Arithmetic Operations)
	(Bitwise Operations):
	* objects.texi (Integer Type): Use a binary notation that is a bit easier
	to read, and that will port better if 62-bits becomes the default.
	Fix or remove incorrect examples.
	* os.texi (Time Conversion): Document time_t values better.

2011-05-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* processes.texi (Process Information):
	Document `process-alive-p'.

2011-05-29  Chong Yidong  <cyd@stupidchicken.com>

	* help.texi (Accessing Documentation):
	* display.texi (Pixel Specification):
	* processes.texi (Serial Ports, Serial Ports):
	* nonascii.texi (Character Properties, Default Coding Systems):
	* text.texi (Changing Properties, Special Properties):
	* windows.texi (Window Start and End):
	* modes.texi (SMIE Indentation Example, SMIE Tricks):
	* keymaps.texi (Searching Keymaps, Tool Bar):
	* minibuf.texi (Basic Completion):
	* compile.texi (Eval During Compile):
	* strings.texi (Formatting Strings): Tweaks to avoid overflowing
	7x9 paper in printed manual.

	* lists.texi (Sets And Lists): Fix misplaced text.

2011-05-29  Chong Yidong  <cyd@stupidchicken.com>

	* keymaps.texi (Remapping Commands): Emphasize that the keymap
	needs to be active (Bug#8350).

2011-05-28  Chong Yidong  <cyd@stupidchicken.com>

	* minibuf.texi (Reading File Names): Clarify (Bug#8480).

	* tips.texi (Coding Conventions): Remove antediluvian filename
	limit recommendation (Bug#8538).

2011-05-27  Glenn Morris  <rgm@gnu.org>

	* modes.texi (Auto Major Mode): Update for set-auto-mode changes.

2011-05-26  Glenn Morris  <rgm@gnu.org>

	* variables.texi (File Local Variables):
	Update hack-local-variables `mode-only' return value.
	Add some more details on what this function does in the other case.

2011-05-19  Glenn Morris  <rgm@gnu.org>

	* lists.texi (Sets And Lists): Mention cl provides union etc.

2011-05-19  Nick Alcock  <nix@esperi.org.uk>

	* windows.texi (Displaying Buffers): pop-to-buffer is not a command.

	* text.texi (Parsing HTML): Update for function name changes.

	* syntax.texi (Syntax Flags): Small fix.

	* keymaps.texi (Active Keymaps): Typo fix.
	(Changing Key Bindings): Grammar fix.

	* frames.texi (Minibuffers and Frames): Grammar fix.
	(Window System Selections): x-select-enable-clipboard now defaults to t.

	* customize.texi (Common Keywords):
	* display.texi (Abstract Display):
	* modes.texi (Auto-Indentation):
	* nonascii.texi (Converting Representations): Typo fixes.

	* control.texi (Examples of Catch): Call it "goto" not "go to".

2011-05-14  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Character Properties): Fix inconsistencies with
	implementation.

	* text.texi (Special Properties): Move @defvar's out of the
	@table.  (Bug#8652)

2011-05-12  Glenn Morris  <rgm@gnu.org>

	* display.texi (Image Descriptors): Fix typo.  (Bug#8495)

2011-05-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* modes.texi (Region to Refontify): Rename from "Region to Fontify".
	(Multiline Font Lock):
	* vol2.texi (Top):
	* vol1.texi (Top):
	* elisp.texi (Top): Update menu accordingly.

2011-05-12  Drew Adams  <drew.adams@oracle.com>

	* modes.texi (Region to Fontify): Fix typo.

2011-05-10  Jim Meyering  <meyering@redhat.com>

	* minibuf.texi: Fix typo "in in -> in".

2011-05-06  Paul Eggert  <eggert@cs.ucla.edu>

	* numbers.texi (Integer Basics): Large integers are treated as floats.

2011-04-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* processes.texi (Synchronous Processes): Document the (:file
	"/file-name") syntax for `call-process'.

2011-04-23  Juanma Barranquero  <lekktu@gmail.com>

	* windows.texi (Choosing Window): Fix typo.

2011-04-23  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Layout Parameters): Note the difference between
	querying and setting parameters for left-fringe and right-fringe
	(Bug#6930).

2011-03-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuf.texi (Basic Completion): Be a bit more precise about the
	valid kinds of completion tables.
	(Programmed Completion): Remove obsolete text about lambda expressions
	not being valid completion tables.

2011-03-19  Chong Yidong  <cyd@stupidchicken.com>

	* positions.texi (Excursions): Explain the "save-excursion
	defeated by set-buffer" warning.

	* buffers.texi (Current Buffer): Copyedits.  Don't recommend using
	save-excursion.  Suggested by Uday S Reddy.

2011-04-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* variables.texi (Defining Variables): Mention the new meaning of `defvar'.
	(Lexical Binding): New sub-section.

	* eval.texi (Eval): Discourage the use of `eval'.
	Document its new `lexical' argument.

2011-03-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* commands.texi (Command Overview): `post-command-hook' is not reset to
	nil any more.

2011-03-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* strings.texi (String Conversion): Don't mention
	string-make-(uni|multi)byte (bug#8262).
	* nonascii.texi (Converting Representations): Fix up range.
	* keymaps.texi (Key Binding Commands): Update code point, avoid
	"unibyte character" and remove mention of unibyte bindings.

2011-03-10  Eli Zaretskii  <eliz@gnu.org>

	* modes.texi (Operator Precedence Grammars): Don't use characters
	outside ISO-8859-1.

2011-03-09  Eli Zaretskii  <eliz@gnu.org>

	* intro.texi (Acknowledgements): Convert to ISO-8859-1 encoding.

	* makefile.w32-in (MAKEINFO_OPTS): Add --enable-encoding.

2011-03-08  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (MAKEINFO_OPTS): Add --enable-encoding.
	* intro.texi (Acknowledgements): Names to UTF-8.
	* elisp.texi: Set documentencoding.

2011-03-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.3 released.

2011-03-06  Chong Yidong  <cyd@stupidchicken.com>

	* package.texi: Update index keywords.
	(Package Archives): New node contents.  Document package-x.el.

2011-03-06  Juanma Barranquero  <lekktu@gmail.com>

	* makefile.w32-in (srcs): Add package.texi.

2011-03-06  Chong Yidong  <cyd@stupidchicken.com>

	* package.texi (Packaging, Packaging Basics, Simple Packages)
	(Multi-file Packages): Expand and clarify.
	(Package Archives): Temporary placeholder node.

	* elisp.texi (Top): Update node listing.

	* Makefile.in (srcs): Add package.texi.

2011-03-05  Chong Yidong  <cyd@stupidchicken.com>

	* processes.texi (Synchronous Processes): Minor clarification
	(Bug#8149).

2011-03-03  Glenn Morris  <rgm@gnu.org>

	* files.texi (Truenames): Minor clarification.  (Bug#2341)

2011-03-01  Glenn Morris  <rgm@gnu.org>

	* variables.texi (Directory Local Variables):
	Mention `(subdirs . nil)' alist element.

2011-02-28  Glenn Morris  <rgm@gnu.org>

	* variables.texi (Directory Local Variables): Mention the optional
	mtime argument of dir-locals-set-directory-class.  (Bug#3577)

2011-02-27  Chong Yidong  <cyd@stupidchicken.com>

	* minibuf.texi (Minibuffer History): Clarify discussion of
	minibuffer history lists (Bug#8085).

2011-02-19  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi: Sync @dircategory with ../../info/dir.

	* files.texi (Visiting Functions): Document find-file-literally,
	both the command and the variable.

	* variables.texi (Creating Buffer-Local): Explain the meaning of
	permanent local variables.

	* files.texi (Visiting Functions): Document find-file-literally,
	both the command and the variable.

	* variables.texi (Creating Buffer-Local): Explain the meaning of
	permanent local variables.

2011-02-19  Glenn Morris  <rgm@gnu.org>

	* keymaps.texi (Remapping Commands): Mention how to undo it.

2011-02-09  Reuben Thomas  <rrt@sc3d.org>

	* loading.texi (Hooks for Loading): Remove unnecessary advice
	about eval-after-load (Bug#7986).

2011-02-05  Chong Yidong  <cyd@stupidchicken.com>

	* commands.texi (Accessing Mouse): Note that a header line is not
	included in the row of posn-col-row.

2011-02-02  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Major Mode Conventions): Add face guidelines.
	(Faces for Font Lock): List faces in order of prominence.

2011-02-01  Paul Eggert  <eggert@cs.ucla.edu>

	format-time-string now supports subsecond time stamp resolution
	* os.texi (Time Parsing): Document %N.

2011-01-28  Chong Yidong  <cyd@stupidchicken.com>

	* vol1.texi (Top):
	* vol2.texi (Top):
	* elisp.texi (Top):
	* display.texi (Display Property): Shorten the menu description of
	the "Other Display Specs" node (Bug#7816).

	* keymaps.texi (Defining Menus): Add "menu item" and "extended
	menu item" concept index entries (Bug#7805).

2011-01-29  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (texinfodir): New variable.
	(usermanualdir): Remove as redundant with $(emacsdir).
	(MAKEINFO): Remove options, leave only program name.
	(MAKEINFO_OPTS): New variable.
	(texinputdir, $(infodir)/elisp): Use $(MAKEINFO_OPTS).

2011-01-25  Chong Yidong  <cyd@stupidchicken.com>
	    Richard Kim  <emacs18@gmail.com>

	* loading.texi (Library Search): Document list-load-path-shadows
	(Bug#7757).

2011-01-25  Chong Yidong  <cyd@stupidchicken.com>

	* searching.texi (Regexp Special): Remove outdated discussion of
	character sets (Bug#7780).

	* frames.texi (Pop-Up Menus): Document where menu title comes
	from (Bug#7684).

2011-01-25  Glenn Morris  <rgm@gnu.org>

	* display.texi (Making Buttons): Mention limitation of text buttons.

2011-01-23  Werner Lemberg  <wl@gnu.org>

	* Makefile.in (MAKEINFO): Now controlled by `configure'.
	(MAKEINFO_OPTS): New variable.  Use it where appropriate.
	(ENVADD): New variable to control texi2dvi and texi2pdf.

2011-01-15  Chong Yidong  <cyd@stupidchicken.com>

	* files.texi (Directory Names): Move directory-abbrev-alist doc to
	Emacs manual.

2011-01-15  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Directory Names): Explain why FROM in
	directory-abbrev-alist should begin with \`.  (Bug#7777)

2011-01-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* loading.texi (Hooks for Loading): Adjust doc of eval-after-load.

2011-01-02  Eli Zaretskii  <eliz@gnu.org>

	* modes.texi (Emulating Mode Line): Fix last change.

2011-01-02  Eli Zaretskii  <eliz@gnu.org>

	* modes.texi (Emulating Mode Line): Update documentation of
	format-mode-line according to changes that fixed bug #7587.

2010-12-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* modes.texi (Derived Modes): Mention prog-mode.

	* keymaps.texi (Simple Menu Items, Extended Menu Items): Remove mention
	of the key-binding-data cache since we don't use it any more.

2010-12-13  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (Shell Arguments):
	* strings.texi (Creating Strings): Don't mention "shell commands";
	make it explicit that `split-string-and-unquote' and
	`combine-and-quote-strings' are mainly for working with arguments
	to call-process and start-process.

	* processes.texi (Shell Arguments): Fix documentation of
	`split-string-and-unquote'.  Add indexing.  (Bug#7563)

2010-12-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* modes.texi (Auto-Indentation): New section to document SMIE.
	(Major Mode Conventions):
	* text.texi (Mode-Specific Indent): Refer to it.

2010-12-13  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Other Display Specs): Document left-fringe and
	right-fringe display specs.

2010-12-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* backups.texi (Making Backups):
	* modes.texi (Example Major Modes): Use recommended coding style.
	(Major Mode Basics, Derived Modes): Encourge more strongly use of
	define-derived-mode.  Mention completion-at-point-functions.

2010-12-13  Chong Yidong  <cyd@stupidchicken.com>

	* nonascii.texi (Converting Representations):
	Document byte-to-string.

2010-12-08  Glenn Morris  <rgm@gnu.org>

	* buffers.texi (Modification Time):
	verify-visited-file-modtime now defaults to the current buffer.

2010-11-27  Chong Yidong  <cyd@stupidchicken.com>

	* nonascii.texi (Converting Representations): Document byte-to-string.

	* strings.texi (Creating Strings): Don't mention semi-obsolete
	function char-to-string.
	(String Conversion): Shorten discussion of semi-obsolete function
	string-to-char.  Link to Converting Representations.

	* objects.texi (Symbol Type):
	* text.texi (Near Point):
	* help.texi (Help Functions):
	* functions.texi (Mapping Functions): Use string instead of
	char-to-string in examples.

2010-11-27  Chong Yidong  <cyd@stupidchicken.com>

	* text.texi (Kill Functions, Kill Functions)
	(Low-Level Kill Ring, Low-Level Kill Ring): Remove obsolete
	YANK-HANDLER args.

	* symbols.texi (Creating Symbols): Using unintern without an
	obarray arg is now obsolete.

	* numbers.texi (Float Basics): Document float-e and float-pi.

	* variables.texi (Defining Variables): Change "pi" example to
	"float-pi".

2010-11-26  Eli Zaretskii  <eliz@gnu.org>

	* commands.texi (Click Events): Document the values of X, Y and
	COL, ROW in the event's position, when the click is on the header
	or mode line, on the fringes, or in the margins.

2010-11-17  Eli Zaretskii  <eliz@gnu.org>

	* customize.texi (Composite Types): Lower-case index entry.

	* loading.texi (How Programs Do Loading):
	Document load-file-name.  (Bug#7346)

2010-11-17  Glenn Morris  <rgm@gnu.org>

	* text.texi (Kill Functions, Low-Level Kill Ring): Small fixes.

2010-11-13  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Usual Display): Characters with no fonts are not
	necessarily displayed as empty boxes.

2010-10-31  Glenn Morris  <rgm@gnu.org>

	* maps.texi (Standard Keymaps): Update File menu description.

2010-10-28  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (elisp.dvi, elisp.pdf): Also include $emacsdir.

2010-10-24  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Window Systems): Deprecate use of window-system as
	a predicate.

2010-10-23  Glenn Morris  <rgm@gnu.org>

	* help.texi (Documentation Basics): Remove mentions of digest-doc and
	sorted-doc.

2010-10-15  Eli Zaretskii  <eliz@gnu.org>

	* os.texi (Dynamic Libraries): New node, with slightly modified
	text deleted from "Image Formats".
	(System Interface): Add @menu entry for "Dynamic Libraries".

	* display.texi (Image Formats): Remove description of
	image-library-alist.  (Renamed in 2010-10-13T14:50:06Z!lekktu@gmail.com.)

2010-10-12  Glenn Morris  <rgm@gnu.org>

	* book-spine.texinfo: Rename to book-spine.texi.

2010-10-11  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (MAKEINFO): Add explicit -I$srcdir.

	* Makefile.in (DVIPS): New variable.
	(.PHONY): Add html, ps.
	(html, elisp.html, ps, elisp.ps): New targets.
	(clean): Delete html, ps files.
	($(infodir)/elisp): Remove unnecessary includes.

2010-10-09  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (emacsdir): New variable.
	(srcs): Add emacsver.texi.
	($(infodir)/elisp, elisp.dvi): Add -I$(emacsdir).

2010-10-09  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (VPATH): Remove.
	(infodir): Make it absolute.
	(mkinfodir, $(infodir)/elisp, infoclean): No need to cd $srcdir.

	* Makefile.in (dist): Anchor regexps.

	* Makefile.in (srcs): Put elisp.texi first.
	($(infodir)/elisp, elisp.dvi, elisp.pdf): Use $<.

	* Makefile.in (infoclean): Remove harmless, long-standing error.

	* Makefile.in ($(infodir)): Delete rule.
	(mkinfodir): New.
	($(infodir)/elisp): Use $mkinfodir instead of infodir.

	* Makefile.in (dist): Remove reference to emacsver.texi.in.
	Also copy emacsver.texi, and edit $emacsdir.

2010-10-09  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (emacsdir): New variable.
	(MAKEINFO): Add -I $emacsdir.
	(dist): Copy emacsver.texi.
	(srcs): Add emacsver.texi.

	* book-spine.texinfo, elisp.texi, vol2.texi, vol1.texi:
	Set EMACSVER by including emacsver.texi.

	* Makefile.in (.PHONY): Declare info, dvi, pdf, dist.

2010-10-07  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (version): New, set by configure.
	(clean): Delete dist tar file.
	(dist): Use version in tar name.

2010-10-06  Glenn Morris  <rgm@gnu.org>

	* Makefile.in: Rearrange to more closely resemble doc/emacs/Makefile.
	(INSTALL_INFO): Remove unused variable.
	(mostlyclean, infoclean, dist): New rules.
	(clean): Delete dvi and pdf files.
	(maintainer-clean): Remove elisp.oaux, use infoclean.
	($(infodir)): Add parallel build workaround.

2010-10-04  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (dvi, pdf, $(infodir)): New targets.
	($(infodir)/elisp): Ensure target directory exists.  Use $@.
	Fix -I typo.
	(clean): No 'make.out' or 'core' files.
	(.PHONY): Declare clean rules.
	(maintainer-clean): Delete pdf file.  Guard against cd failures.

2010-10-03  Glenn Morris  <rgm@gnu.org>

	* files.texi (File Name Components): Remove ignored section about
	deleted variable directory-sep-char.

2010-10-03  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Magic File Names): New defopt
	remote-file-name-inhibit-cache.

2010-10-02  Glenn Morris  <rgm@gnu.org>

	* os.texi (Killing Emacs): Hook now runs in batch mode.

2010-09-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* text.texi (Special Properties): Clarify when modification-hooks run.

2010-09-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* syntax.texi (Syntax Flags): Document new `c' flag.

2010-09-09  Glenn Morris  <rgm@gnu.org>

	* display.texi (ImageMagick Images): General cleanup.

2010-09-06  Alexander Klimov  <alserkli@inbox.ru>  (tiny change)

	* files.texi (Directory Names): Use \` rather than ^.

2010-09-02  Jan Djärv  <jan.h.d@swipnet.se>

	* text.texi (Low-Level Kill Ring):
	* frames.texi (Window System Selections): Remove cut buffer
	documentation.

2010-08-28  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Fringe Size/Pos): Add a cross-reference to "Layout
	Parameters", where the default fringe width is described.

	* frames.texi (Window Frame Parameters, Basic Parameters)
	(Position Parameters, Layout Parameters, Management Parameters)
	(Cursor Parameters, Font and Color Parameters): Add indexing for
	frame parameters.  (Bug#6929)

2010-08-25  Tom Tromey  <tromey@redhat.com>

	* vol2.texi (Top): Update.
	* vol1.texi (Top): Update.
	* tips.texi (Library Headers): Mention Package-Version and
	Package-Requires.
	* package.texi: New file.
	* os.texi (System Interface): Update pointers.
	* elisp.texi (Top): Link to new nodes.  Include package.texi.
	* anti.texi (Antinews): Update pointers.

2010-08-25  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (Filter Functions): Fix last change.

2010-08-24  Markus Triska  <triska@gmx.at>

	* processes.texi (Filter Functions): Use `buffer-live-p' instead
	of `buffer-name' in the main text as well as in the example
	(Bug#3098).

2010-08-22  Chong Yidong  <cyd@stupidchicken.com>

	* nonascii.texi (Text Representations):
	* loading.texi (Loading Non-ASCII):
	* compile.texi (Byte Compilation): Don't mention obsolete
	--unibyte command-line argument.

2010-08-22  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Defining Minor Modes): Doc fix (Bug#6880).

2010-08-22  Chong Yidong  <cyd@stupidchicken.com>

	* objects.texi (Bool-Vector Type): Minor definition tweak (Bug#6878).

2010-08-20  Eli Zaretskii  <eliz@gnu.org>

	* commands.texi (Misc Events): Add cross-references to where
	POSITION of a mouse event is described in detail.

2010-08-08  Christoph Scholtes  <cschol2112@googlemail.com>

	* control.texi (Handling Errors)  <error-message-string>: Fix arg name.

2010-08-08  Juanma Barranquero  <lekktu@gmail.com>

	* modes.texi (Defining Minor Modes): Use C-backspace, not C-delete.
	Suggested by Štěpán Němec <stepnem@gmail.com>.

2010-08-08  Juanma Barranquero  <lekktu@gmail.com>

	* minibuf.texi (High-Level Completion): Document args of
	`read-buffer-function' (bug#5625).

2010-07-29  Jan Djärv  <jan.h.d@swipnet.se>

	* frames.texi (Layout Parameters): Add doc for tool-bar-position.

2010-07-29  Michael Albinus  <michael.albinus@gmx.de>

	* processes.texi (Process Information): Explain process property
	`remote-tty'.

2010-07-27  Juanma Barranquero  <lekktu@gmail.com>

	* modes.texi (Defining Minor Modes): Use C-delete in examples,
	instead of "\C-\^?" (bug#6334).

	* text.texi (Special Properties): Fix typo.

2010-07-09  Eli Zaretskii  <eliz@gnu.org>

	* internals.texi (Writing Emacs Primitives): Adapt to ANSI C
	calling sequences, which are now the standard.

2010-06-24  Chong Yidong  <cyd@stupidchicken.com>

	* text.texi (Undo): Clarify command loop behavior (Bug#2433).

	* commands.texi (Command Overview): Mention undo-boundary call.

2010-06-23  Glenn Morris  <rgm@gnu.org>

	* abbrevs.texi, commands.texi, compile.texi, debugging.texi:
	* display.texi, edebug.texi, elisp.texi, eval.texi, files.texi:
	* frames.texi, functions.texi, internals.texi, keymaps.texi:
	* loading.texi, minibuf.texi, numbers.texi, os.texi, processes.texi:
	* searching.texi, sequences.texi, strings.texi, syntax.texi:
	* text.texi, tips.texi, vol1.texi, vol2.texi, windows.texi:
	Untabify Texinfo files.

2010-06-20  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Minor Mode Conventions): Fix typo (Bug#6477).

2010-06-19  Chong Yidong  <cyd@stupidchicken.com>

	* errors.texi (Standard Errors): Remove unnecessary markup (Bug#6461).

2010-06-02  Chong Yidong  <cyd@stupidchicken.com>

	* searching.texi (Regexp Special): Remove obsolete information
	about matching non-ASCII characters, and suggest using char
	classes (Bug#6283).

2010-05-30  Juanma Barranquero  <lekktu@gmail.com>

	* minibuf.texi (Basic Completion): Add missing "@end defun".

2010-05-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuf.texi (Basic Completion): Document completion-boundaries.
	(Programmed Completion): Document the new fourth method for boundaries.

2010-05-22  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Image Cache): Update documentation about image caching.

2010-05-08  Štěpán Němec  <stepnem@gmail.com>  (tiny change)

	* windows.texi (Textual Scrolling):
	* tips.texi (Coding Conventions):
	* minibuf.texi (Minibuffer History):
	* maps.texi (Standard Keymaps):
	* loading.texi (Where Defined):
	* edebug.texi (Instrumenting): Fix typos.

2010-05-08  Chong Yidong  <cyd@stupidchicken.com>

	* keymaps.texi (Menu Bar): Document :advertised-binding property.

	* functions.texi (Obsolete Functions):
	Document set-advertised-calling-convention.

	* minibuf.texi (Basic Completion): Document completion-in-region.
	(Programmed Completion): Document completion-annotate-function.

	* commands.texi (Reading One Event): Document read-key.
	(Distinguish Interactive): Document KIND arg to
	called-interactively-p.  Delete obsolete interactive-p.

	* elisp.texi (Top): Update node description.

2010-05-08  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Character Properties):
	Document unicode-category-table.  Add an index entry for Unicode
	general category.

2010-05-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.2 released.

2010-04-20  Juanma Barranquero  <lekktu@gmail.com>

	* locals.texi (Standard Buffer-Local Variables):
	Remove @ignore'd reference to `direction-reversed'.

2010-04-14  Juri Linkov  <juri@jurta.org>

	Fix @deffn without category.

	* abbrevs.texi (Abbrev Expansion): Replace @deffn with @defun
	for `abbrev-insert'.

	* buffers.texi (Indirect Buffers): Add category `Command'
	to @deffn of `clone-indirect-buffer'.

	* windows.texi (Cyclic Window Ordering): Replace @deffn with @defun
	for `next-window' and `previous-window'.  Add category `Command'
	to @deffn of `pop-to-buffer'.

2010-04-01  Chong Yidong  <cyd@stupidchicken.com>

	* nonascii.texi (Text Representations): Don't mark
	enable-multibyte-characters as a user option.

2010-03-31  Eli Zaretskii  <eliz@gnu.org>

	* control.texi (Handling Errors): How to re-throw a signal caught
	by condition-case.

2010-03-26  Chong Yidong  <cyd@stupidchicken.com>

	* loading.texi (Hooks for Loading): Document after-load-functions.
	Copyedits.

2010-03-24  Arni Magnusson  <arnima@hafro.is>  (tiny change)

	* frames.texi (Cursor Parameters): Fix typo.  (Bug#5760)

2010-03-24  Chong Yidong  <cyd@stupidchicken.com>

	* processes.texi (Network Processes): Document seqpacket type.

2010-03-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* os.texi (System Environment): Do not mention lynxos.

2010-03-10  Chong Yidong  <cyd@stupidchicken.com>

	* Branch for 23.2.

2010-03-06  Chong Yidong  <cyd@stupidchicken.com>

	* objects.texi (Integer Type): Take note of the read syntax
	exception for numbers that cannot fit in the integer type.

2010-03-03  Glenn Morris  <rgm@gnu.org>

	* numbers.texi (Integer Basics, Bitwise Operations):
	* objects.texi (Integer Type): Update for integers now being 30-bit.

2010-02-27  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Low-Level Font): Document :otf font-spec property.

2010-02-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* display.texi (Line Height): Avoid obsolete special default variables
	like default-major-mode.

2010-01-28  Alan Mackenzie  <acm@muc.de>

	* display.texi (Auto Faces): Say fontification-functions is called
	whether or not Font Lock is enabled.  Tidy up the wording a bit.

2010-01-17  Chong Yidong  <cyd@stupidchicken.com>

	* elisp.texi: Remove duplicate edition information (Bug#5407).

2010-01-17  Juanma Barranquero  <lekktu@gmail.com>

	* two.el (volume-header-toc-markup): Fix typos in docstring.

2010-01-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	Avoid dubious uses of save-excursions.
	* positions.texi (Excursions): Recommend the use of
	save-current-buffer if applicable.
	* text.texi (Clickable Text): Fix the example code which used
	save-excursion in a naive way which sometimes preserves point and
	sometimes not.
	* variables.texi (Creating Buffer-Local):
	* os.texi (Session Management):
	* display.texi (GIF Images):
	* control.texi (Cleanups): Use (save|with)-current-buffer.

2010-01-02  Eli Zaretskii  <eliz@gnu.org>

	* modes.texi (Example Major Modes): Fix indentation.  (Bug#5195)

2010-01-02  Chong Yidong  <cyd@stupidchicken.com>

	* nonascii.texi (Text Representations, Character Codes)
	(Converting Representations, Explicit Encoding)
	(Translation of Characters): Use hex notation consistently.
	(Character Sets): Fix map-charset-chars doc (Bug#5197).

2010-01-01  Chong Yidong  <cyd@stupidchicken.com>

	* loading.texi (Where Defined): Make it clearer that these are
	loaded files (Bug#5068).

2009-12-29  Chong Yidong  <cyd@stupidchicken.com>

	* minibuf.texi (Completion Styles): Document `initials' style.

2009-12-25  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Resources): Describe inhibit-x-resources.
	(Size Parameters): Copyedit.

	* hash.texi (Creating Hash):
	* objects.texi (Hash Table Type): Document the new hash table
	printed representation.

	* minibuf.texi (Basic Completion): 4th arg to all-completions is
	obsolete.

	* processes.texi (Process Buffers):
	Document process-kill-buffer-query-function.

2009-12-05  Glenn Morris  <rgm@gnu.org>

	* hooks.texi (Standard Hooks): Remove diary-display-hook, replaced by
	diary-display-function, and no longer recommended to be a hook.
	Update for changes in the names of calendar and diary hooks.
	diary-print-entries-hook has changed section.

2009-11-28  Eli Zaretskii  <eliz@gnu.org>

	* text.texi (Special Properties): More accurate description of
	what the `cursor' property does.

2009-11-26  Kevin Ryde  <user42@zip.com.au>

	* commands.texi (Misc Events): vindex mouse-wheel-up-event and
	mouse-wheel-down-event, the closest thing to a definition for them.
	* os.texi (Startup Summary): vindex inhibit-startup-message and
	inhibit-splash-screen.
	(Command-Line Arguments): vindex argv.
	(Suspending Emacs): vindex suspend-tty-functions and
	resume-tty-functions.  Don't want to index every hook, but having
	the programming ones is helpful.

2009-11-14  Chong Yidong  <cyd@stupidchicken.com>

	* commands.texi (Motion Events): Fix typo (Bug#4907).

2009-11-08  Chong Yidong  <cyd@stupidchicken.com>

	* searching.texi (Char Classes): Note that [:upper:] and [:lower:]
	are affected by case-fold-search (Bug#4483).

2009-11-02  Chong Yidong  <cyd@stupidchicken.com>

	* minibuf.texi (Reading File Names): Note that read-file-name may
	use a graphical file dialog.

2009-10-31  Glenn Morris  <rgm@gnu.org>

	* nonascii.texi (User-Chosen Coding Systems): Minor reword.  (Bug#4817)

2009-10-16  Kevin Ryde  <user42@zip.com.au>

	* files.texi (Magic File Names): Add @vindex file-name-handler-alist,
	in particular so `info-lookup-symbol' can find its docs.

2009-10-16  Chong Yidong  <cyd@stupidchicken.com>

	* variables.texi (Constant Variables): Distinguish from defconst
	variables.
	(Defining Variables): Add cindex.

2009-10-15  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (Time of Day): Clarify that the microsecond part is
	ignored (Bug#4637).

2009-10-11  Glenn Morris  <rgm@gnu.org>

	* frames.texi (Size and Position): Clarify what is included in the frame
	height.  (Bug#4535)

2009-10-10  Glenn Morris  <rgm@gnu.org>

	* windows.texi (Size of Window): The relationship between window and
	frame heights is not so simple.  (Bug#4535)
	Mention window-full-height-p.

2009-10-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* positions.texi (Text Lines): Remove goto-line, since it shouldn't be
	used from Lisp.

2009-10-07  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Directory Names) <abbreviate-file-name>:
	Document that root home directories are not replaced with "~".

2009-10-06  Eli Zaretskii  <eliz@gnu.org>

	* text.texi (Special Properties): Document the meaning of the
	`cursor' text property whose value is an integer.

2009-10-05  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Magic File Names): Add `copy-directory'.

2009-10-05  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (File Attributes): Fix description of file
	attributes.  (Bug#4638) Update attributes of files.texi example to
	be more representative.

2009-10-05  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Create/Delete Dirs): New command copy-directory.

2009-10-04  Juanma Barranquero  <lekktu@gmail.com>

	* anti.texi (Antinews):
	* macros.texi (Indenting Macros):
	* strings.texi (Creating Strings, Case Conversion):
	Remove duplicate words.

2009-10-01  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Create/Delete Dirs): delete-directory has an
	optional parameter RECURSIVE.

2009-10-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* buffers.texi (Swapping Text): Minor clarification.

2009-10-01  Glenn Morris  <rgm@gnu.org>

	* functions.texi (Declaring Functions): Mention that we also search for
	".m" files in the src/ directory.

2009-09-25  David Engster  <deng@randomsample.de>

	* display.texi (Managing Overlays): Document copy-overlay (Bug#4549).

2009-09-22  Glenn Morris  <rgm@gnu.org>

	* internals.texi (Building Emacs): Mention preloaded-file-list.

2009-09-14  Alan Mackenzie  <acm@muc.de>

	* os.texi (Terminal Output): Put "@code{}" around "stdout".

2009-09-13  Chong Yidong  <cyd@stupidchicken.com>

	* functions.texi (Anonymous Functions): Rearrange discussion,
	giving usage of unquoted lambda forms first.  Mention that
	`function' and `#'' are no longer required (Bug#4290).

2009-09-11  Alan Mackenzie  <acm@muc.de>

	* os.texi (Terminal Output): Document `send-string-to-terminal' in
	batch mode.

2009-09-01  Glenn Morris  <rgm@gnu.org>

	* display.texi (Face Functions): Mention define-obsolete-face-alias.

2009-08-26  Ulrich Mueller  <ulm@gentoo.org>

	* nonascii.texi (Character Codes): Fix typos.

2009-08-25  Michael Albinus  <michael.albinus@gmx.de>

	* processes.texi (Synchronous Processes): New defvar
	process-file-side-effects.

2009-08-25  Glenn Morris  <rgm@gnu.org>

	* display.texi (Fontsets): Fix typo.

	* files.texi (Format Conversion Round-Trip): Mention nil regexp.

2009-08-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* processes.texi (Asynchronous Processes): Adjust arglist of
	start-process-shell-command and start-file-process-shell-command.

2009-08-15  Chong Yidong  <cyd@stupidchicken.com>

	* advice.texi (Argument Access in Advice): Note that argument
	positions are zero-based (Bug#3932).

	* commands.texi (Distinguish Interactive): Minor copyedit.

	* display.texi (Face Attributes): Add xref to Displaying Faces for
	explanation of "underlying face".

	* customize.texi (Common Keywords): Add xref to Loading.

	* loading.texi (How Programs Do Loading): Add xref to Lisp
	Libraries node in the Emacs manual.

2009-08-13  Chong Yidong  <cyd@stupidchicken.com>

	* objects.texi (Meta-Char Syntax): Add xref to Strings of Events.

2009-07-18  Chong Yidong  <cyd@stupidchicken.com>

	* processes.texi (Shell Arguments): Copyedits.

2009-07-18  Glenn Morris  <rgm@gnu.org>

	* loading.texi (Repeated Loading): Fix typo.

2009-07-16  Richard Stallman  <rms@gnu.org>

	* buffers.texi (Swapping Text): Recommend setting
	write-region-annotate-functions and buffer-saved-size.

	* backups.texi (Auto-Saving): Document buffer-saved-size = -2.

2009-07-15  Glenn Morris  <rgm@gnu.org>

	* edebug.texi: Minor re-phrasings throughout.
	(Edebug Execution Modes): Sit-for affects continue mode too.
	(Jumping): Use `forward-sexp' rather than its keybinding.
	(Edebug Misc): Fix Q binding.
	(Edebug Eval): Remove cl version.
	(Printing in Edebug): Clarify print-length etc.
	(Instrumenting Macro Calls): Defopt edebug-eval-macro-args.
	(Specification List): Remove edebug-unwrap findex entry.
	(Specification Examples): defmacro is actually not the same as defun.
	Escape "`" in example.

2009-07-15  Chong Yidong  <cyd@stupidchicken.com>

	* markers.texi (The Mark): Document optional arg to
	deactivate-mark.

2009-07-11  Kevin Ryde  <user42@zip.com.au>

	* hooks.texi (Standard Hooks): Fix cross-references.

	* loading.texi (Named Features): Refer to eval-after-load.

2009-07-11  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (TEXI2PDF): New.
	(elisp.pdf): New target.

	* searching.texi (Regexp Backslash): Fix typo.

	* elisp.texi (Top): Display copyright notice at start of non-TeX.

2009-07-10  Glenn Morris  <rgm@gnu.org>

	* elisp.texi, vol1.texi, vol2.texi: Update @detailmenu.

	* customize.texi (Customization Types):
	* display.texi (Abstract Display):
	* objects.texi (Character Type, String Type):
	Merge in some menu descriptions from elisp.texi.

	* hash.texi (Hash Tables):
	* modes.texi (Multiline Font Lock):
	End menu description with period.

2009-07-09  Glenn Morris  <rgm@gnu.org>

	* back.texi: Don't hard-code texinfo location.

	* two-volume.make (texinfodir): New, with location of texinfo.tex.
	(tex): Add texinfodir to TEXINPUTS.
	(elisp1med-init, elisp2med-init): Use texinfodir.

	* Makefile.in (texinfodir): Rename from usermanualdir, and update.
	(clean): Add two-volume.make intermediate files.

	* elisp.texi, vol1.texi, vol2.texi:
	Use a DATE variable with the publication date, and update it.
	Fix antinews menu description.

	* vol1.texi, vol2.texi: Update VERSION to match elisp.texi.
	Update the detailed node listing to match elisp.texi.

	* README: Update edition to match elisp.texi.

	* objects.texi (General Escape Syntax):
	* nonascii.texi (Character Sets):
	Use consistent case for "Unicode Standard".

	* anti.texi (Antinews):
	* customize.texi (Variable Definitions):
	* functions.texi (Declaring Functions):
	* nonascii.texi (Character Properties):
	* processes.texi (Serial Ports):
	* text.texi (Special Properties):
	* tips.texi (Coding Conventions):
	Minor rearrangements to improve TeX line-filling.

	* commands.texi (Using Interactive): Fix cross-reference.

2009-07-01  Jan Djärv  <jan.h.d@swipnet.se>

	* frames.texi (Management Parameters): Mention sticky.

2009-07-01  Andreas Schwab  <aschwab@redhat.com>

	* help.texi (Help Functions): Fix description of help-buffer and
	help-setup-xref to use @defun instead of @deffn.

2009-07-01  Jan Djärv  <jan.h.d@swipnet.se>

	* frames.texi (Size Parameters): Mention maximized for fullscreen.

2009-06-24  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Window Systems): Add ns to the list.

2009-06-21  Chong Yidong  <cyd@stupidchicken.com>

	* Branch for 23.1.

2009-06-17  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Dedicated Windows): Fix typo.
	(Resizing Windows): Replace @defun by @deffn.

2009-06-17  Glenn Morris  <rgm@gnu.org>

	* variables.texi (Directory Local Variables):
	Update for 2009-04-11 name-change of dir-locals-directory-alist.

2009-06-09  Kenichi Handa  <handa@m17n.org>

	* nonascii.texi (Character Sets): State clearly that FROM and TO
	are codepoints of CHARSET.

2009-06-07  Chong Yidong  <cyd@stupidchicken.com>

	* minibuf.texi (Reading File Names): Fix introductory text.
	Suggested by stan@derbycityprints.com.
	(High-Level Completion): Fix typo.

2009-05-28  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Text Terminal Colors): Multi-tty is already
	implemented, but tty-local colors are not.

2009-05-27  Chong Yidong  <cyd@stupidchicken.com>

	* hooks.texi (Standard Hooks): Remove mention of obsolete
	redisplay-end-trigger-functions.

	* internals.texi (Window Internals): Remove mention of obsolete
	redisplay-end-trigger-functions.

2009-05-21  Martin Rudalics  <rudalics@gmx.at>

	* abbrevs.texi (Abbrev Mode): abbrev-mode is an option.

	* backups.texi (Making Backups): backup-directory-alist and
	make-backup-file-name-function are options.
	(Auto-Saving): auto-save-list-file-prefix is an option.

	* buffers.texi (Killing Buffers): buffer-offer-save is an
	option.

	* display.texi (Refresh Screen): no-redraw-on-reenter is an
	option.
	(Echo Area Customization): echo-keystrokes is an option.
	(Selective Display): selective-display-ellipses is an option.
	(Temporary Displays): temp-buffer-show-function is an option.
	(Face Attributes): underline-minimum-offset and x-bitmap-file-path
	are options.
	(Font Selection): face-font-family-alternatives,
	face-font-selection-order, face-font-registry-alternatives, and
	scalable-fonts-allowed are options.
	(Fringe Indicators): indicate-buffer-boundaries is an option.
	(Fringe Cursors): overflow-newline-into-fringe is an option.
	(Scroll Bars): scroll-bar-mode is an option.

	* eval.texi (Eval): max-lisp-eval-depth is an option.

	* files.texi (Visiting Functions): find-file-hook is an option.
	(Directory Names): directory-abbrev-alist is an option.
	(Unique File Names): temporary-file-directory and
	small-temporary-file-directory are options.

	* frames.texi (Initial Parameters): initial-frame-alist,
	minibuffer-frame-alist and default-frame-alist are options.
	(Cursor Parameters): blink-cursor-alist and
	cursor-in-non-selected-windows ar options.
	(Window System Selections): selection-coding-system is an
	option.
	(Display Feature Testing): display-mm-dimensions-alist is an
	option.

	* help.texi (Help Functions): help-char and help-event-list are
	options.

	* keymaps.texi (Functions for Key Lookup): meta-prefix-char is
	an option.

	* minibuf.texi (Minibuffer History): history-length and
	history-delete-duplicates are options.
	(High-Level Completion): read-buffer-function and
	read-buffer-completion-ignore-case are options.
	(Reading File Names): read-file-name-completion-ignore-case is
	an option.

	* modes.texi (Mode Line Top): mode-line-format is an option.
	(Mode Line Variables): mode-line-position and mode-line-modes
	are options.

	* nonascii.texi (Text Representations):
	enable-multibyte-characters is an option.
	(Default Coding Systems): auto-coding-regexp-alist,
	file-coding-system-alist, auto-coding-alist and
	auto-coding-functions are options.
	(Specifying Coding Systems): inhibit-eol-conversion is an
	option.

	* os.texi (Init File): site-run-file is an option.
	(System Environment): mail-host-address is an option.
	(User Identification): user-mail-address is an option.
	(Terminal Output): baud-rate is an option.

	* positions.texi (Word Motion): words-include-escapes is an
	option.

	* searching.texi (Standard Regexps): page-delimiter,
	paragraph-separate, paragraph-separate and sentence-end are
	options.

	* text.texi (Margins): left-margin and fill-nobreak-predicate
	are options.

	* variables.texi (Local Variables): max-specpdl-size is an
	option.

	* windows.texi (Choosing Window):
	split-window-preferred-function, special-display-function and
	display-buffer-function are options.

2009-05-20  Chong Yidong  <cyd@stupidchicken.com>

	Fix errors spotted by Martin Rudalics.

	* syntax.texi (Position Parse): Document rationale for ignored
	arguments to syntax-ppss-flush-cache.

	* processes.texi (Input to Processes): Mark PROCESS arg to
	process-running-child-p as optional.
	(Network Options): Document NO-ERROR arg to
	set-network-process-option.

	* buffers.texi (Indirect Buffers): Mark clone-indirect-buffer as a
	command.

	* searching.texi (POSIX Regexps): Mark posix-search-forward and
	posix-search-backward as commands.

	* os.texi (Killing Emacs): Mark kill-emacs as a command.
	(Suspending Emacs): Mark suspend-emacs as a command.
	(Processor Run Time): Mark emacs-uptime and emacs-init-time as
	commands.
	(Terminal Output): Remove obsolete function baud-rate.
	Document TERMINAL arg for send-string-to-terminal.

	* nonascii.texi (Terminal I/O Encoding): Document TERMINAL arg for
	terminal-coding-system and set-terminal-coding-system.
	(Explicit Encoding): Mark DESTINATION arg of decode-coding-region
	as optional.
	(Character Sets): Document RESTRICTION arg of char-charset.
	(Character Codes): Mark POS argument to get-byte as optional.

	* minibuf.texi (Minibuffer Misc): Document ARGS arg for
	minibuffer-message.

	* files.texi (Create/Delete Dirs): Mark make-directory and
	delete-directory as commands.

	* abbrevs.texi (Abbrev Tables): Fix arglist for make-abbrev-table.

	* text.texi (Base 64): Mark base64-decode-string and
	base64-encode-string as commands.
	(Columns): Mark move-to-column as a command.
	(Mode-Specific Indent): Document RIGID arg to
	indent-for-tab-command.
	(Region Indent): Mark TO-COLUMN arg to indent-region as optional.
	Mark indent-code-rigidly as a command.
	(Substitution): Mark translate-region as a command.

	* frames.texi (Size and Position): Remove obsolete functions
	screen-height and screen-width.

2009-05-19  Chong Yidong  <cyd@stupidchicken.com>

	* windows.texi (Cyclic Window Ordering, Cyclic Window Ordering)
	(Displaying Buffers, Resizing Windows): Correct mistakes;
	next-window, previous-window, and pop-to-buffer are not commands,
	and fit-window-to-buffer" is a command.  (Pointed out by Martin
	Rudalics.)

2009-05-17  Richard M Stallman  <rms@gnu.org>

	* modes.texi (Precalculated Fontification): Clarify text.

2009-05-17  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Selecting Windows): Clarify descriptions of
	with-selected-window and get-lru-window.
	(Cyclic Window Ordering): Refer to particular frame when talking
	about how splitting affects the ordering.
	(Displaying Buffers): Fix descriptions of switch-to-buffer and
	switch-to-buffer-other-window.  Explain how setting of
	display-buffer-reuse-frames affects pop-to-buffer.
	(Choosing Window): Clarify some details in descriptions of
	display-buffer-reuse-frames, pop-up-frames, and
	pop-up-frame-function.
	(Dedicated Windows): Clarify some details.
	(Textual Scrolling): Replace term vscroll by term vertical
	scroll position.
	(Vertical Scrolling): Fix typo.
	(Window Hooks): Relate text on jit-lock-register to window
	scrolling and size changes.

2009-05-14  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Initial Parameters): Clarify what the initial
	minibuffer frame is.
	(Buffer Parameters): Note that the minibuffer parameter can not be
	altered.

	* anti.texi (Antinews): Copyedits.  Rearrange some entries.
	Document display-buffer changes.

2009-05-13  Chong Yidong  <cyd@stupidchicken.com>

	* anti.texi (Antinews): Rewrite for Emacs 22.

	* abbrevs.texi (Abbrevs): Add xref to Creating Symbols when
	obarrays are first mentioned.  Define "system abbrev" more
	prominently, and add it to the index.
	(Abbrev Mode, Abbrev Tables, Defining Abbrevs, Abbrev Properties):
	Copyedits.
	(Abbrev Expansion): Document abbrev-insert.

2009-05-12  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Font and Color Parameters): Rename from Color
	Parameters.  Document font-backend parameter.

	* vol2.texi (Top): Update node listing.
	* vol1.texi (Top): Update node listing.
	* elisp.texi (Top): Update node listing.

2009-05-11  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Choosing Window): Don't explicitly refer to
	split-window-sensibly's window argument in descriptions of
	split-height-threshold and split-width-threshold.

2009-05-10  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Choosing Window): Fix rewrite of window
	splitting section.

2009-05-09  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Default Coding Systems):
	Document find-auto-coding, set-auto-coding, and auto-coding-alist.
	Add indexing.
	(Lisp and Coding Systems): Add index entries.

2009-05-09  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Choosing Window): Describe split-window-sensibly
	and rewrite section on window splitting accordingly.
	(Textual Scrolling): Replace `...' by @code{...}.

2009-05-04  Chong Yidong  <cyd@stupidchicken.com>

	* hooks.texi (Standard Hooks): Add abbrev-expand-functions.
	Remove obsoleted pre-abbrev-expand-hook.

	* locals.texi (Standard Buffer-Local Variables): Consolidate table
	entries.

	* internals.texi (Object Internals): Don't assume 32-bit machines
	are the norm.
	(Buffer Internals): Consolidate table entries for readability.
	(Window Internals): Synch field names to window.h.
	(Process Internals): Synch field names to process.h.

2009-04-29  Chong Yidong  <cyd@stupidchicken.com>

	* variables.texi (File Local Variables): Note that read-circle is
	bound to nil when reading file-local variables.

	* streams.texi (Input Functions): Document read-circle.
	(Output Variables): Add xref to Circular Objects.

2009-04-25  Chong Yidong  <cyd@stupidchicken.com>

	* tips.texi (Coding Conventions): Copyedits.  Add xref to Named
	Features and Coding System Basics.  Node that "p" stands for
	"predicate".  Recommend utf-8-emacs instead of emacs-mule.
	(Key Binding Conventions): Emacs does use S-down-mouse-1, for
	mouse-appearance-menu.
	(Programming Tips): Add xref to Progress.

2009-04-22  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (Command-Line Arguments):
	Document command-line-args-left.
	(Suspending Emacs): Adapt text to multi-tty case.  Document use of
	terminal objects for tty arguments.
	(Startup Summary): Add xref to Session Management.
	(Session Management): Mention emacs-session-restore.  Copyedits.

2009-04-20  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (Startup Summary): Copyedits.  The init file is not
	necessarily named .emacs now.  Document initial-buffer-choice and
	initial-scratch-message.  Note where Emacs exits in batch mode.
	Document inhibit-splash-screen as an alias.
	(Init File): Be neutral about which init file name to use.

2009-04-16  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (System Interface): Fix Texinfo usage.

2009-04-15  Chong Yidong  <cyd@stupidchicken.com>

	* searching.texi (Regexp Backslash): Also refer to shy groups as
	non-capturing or unnumbered groups.
	(Regexp Functions): Add cross-reference to Regexp Backslash.

	* display.texi (Truncation): Overlays can use line-prefix and
	wrap-prefix too.
	(Overlay Properties): Document wrap-prefix and line-prefix.
	(Face Attributes): Document underline-minimum-offset.
	(Face Remapping): Copyedits.
	(Low-Level Font): Copyedits.
	(Image Cache): Note that the image cache is shared between frames.
	(Line Height): Emphasize that line-spacing only takes effect on
	graphical terminals.

2009-04-13  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Refresh Screen): Note that a passage about screen
	refreshing is text terminal only.
	(Forcing Redisplay): Delete misleading comment---sit-for calls
	redisplay, not the other way around.
	(Truncation): Note new values of truncate-partial-width-windows.
	Copyedits.
	(Invisible Text): Document invisible-p.

2009-04-11  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Overlays): Overlays don't scale well.  See
	https://lists.gnu.org/r/emacs-devel/2009-04/msg00243.html.

2009-04-10  Chong Yidong  <cyd@stupidchicken.com>

	* syntax.texi (Syntax Table Functions): Document cons cell
	argument for modify-syntax-entry.
	(Categories): Document cons cell argument for
	modify-category-entry.

	* searching.texi (String Search): Document word-search-forward-lax
	and word-search-backward-lax.
	(Searching and Case): Describe isearch behavior more precisely.

	* keymaps.texi (Tool Bar): Mention that some platforms do not
	support multi-line toolbars.  Suggested by Stephen Eglen.

	* frames.texi (Layout Parameters): Mention that Nextstep also
	allows only one tool-bar line.  Suggested by Stephen Eglen.

	* nonascii.texi (Text Representations): Copyedits.
	(Coding System Basics): Also mention utf-8-emacs.
	(Converting Representations, Selecting a Representation)
	(Scanning Charsets, Translation of Characters, Encoding and I/O):
	Copyedits.
	(Character Codes): Mention role of codepoints 1114112 to 4194175.

2009-04-09  Chong Yidong  <cyd@stupidchicken.com>

	* text.texi (Yank Commands): Note that yank uses push-mark.
	(Filling): Clarify REGION argument of fill-paragraph.
	Document fill-forward-paragraph-function.
	(Special Properties): Remove "new in Emacs 22" declaration.
	(Clickable Text): Merge with Links and Mouse-1 node.

	* display.texi (Button Properties, Button Buffer Commands):
	Change xref to Clickable Text.

	* tips.texi (Key Binding Conventions): Change xref to Clickable
	Text.

	* elisp.texi (Top): Update node listing.

2009-04-05  Chong Yidong  <cyd@stupidchicken.com>

	* markers.texi (The Mark): Copyedits.  Improve description of
	handle-shift-selection.
	(The Region): Move use-region-p here from The Mark.

	* positions.texi (Screen Lines): Document (cols . lines) argument
	for vertical-motion.

2009-04-04  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Frames): Clean up introduction.  Document `ns'
	return value for framep.
	(Creating Frames): Note how the terminal is chosen.
	(Multiple Terminals, Multiple Displays): Merge into a single node.
	(Color Parameters): Fix typo.

	* variables.texi (Local Variables, Buffer-Local Variables)
	(Creating Buffer-Local): Change link to Multiple Terminals.

	* os.texi (X11 Keysyms): Change link to Multiple Terminals.

	* keymaps.texi (Controlling Active Maps): Change link to Multiple
	Terminals.

	* commands.texi (Command Loop Info, Keyboard Macros): Change link
	to Multiple Terminals.

	* elisp.texi (Top): Update node listing.
	* vol2.texi (Top): Update node listing.
	* vol1.texi (Top): Update node listing.

	* buffers.texi (Current Buffer): Note that the append-to-buffer
	example is no longer in synch with the latest code.  Tie the two
	examples together.

	* files.texi (File Attributes): Move note about MS-DOS from
	Changing Files to File Attributes.
	(Create/Delete Dirs): Note that mkdir is an alias for this.

2009-04-01  Markus Triska  <triska@gmx.at>

	* processes.texi (Filter Functions): Suggest how to handle output
	batches.

2009-03-30  Chong Yidong  <cyd@stupidchicken.com>

	* help.texi (Accessing Documentation): Update example to use
	help-setup-xref and with-help-window.
	(Help Functions): Remove print-help-return-message, which is
	semi-obsolete due to with-help-window.  Document help-buffer and
	help-setup-xref.

2009-03-29  Chong Yidong  <cyd@stupidchicken.com>

	* help.texi (Accessing Documentation, Help Functions):
	Remove information about long-obsolete Emacs versions.

	* modes.texi (Mode Line Variables): The default values of the mode
	line variables are now more complicated.

2009-03-28  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Major Mode Conventions): Note that specialness is
	inherited.
	(Derived Modes): Note that define-derive-mode sets the mode-class
	property.

	* keymaps.texi (Prefix Keys): The M-g prefix key is now named
	goto-map.  Add search-map to the list.

2009-03-27  Eli Zaretskii  <eliz@gnu.org>

	* os.texi (System Environment): Update the list of system-type
	values.

	* markers.texi (The Mark) <handle-shift-selection>: Update for
	removal of the optional argument DEACTIVATE.

2009-03-25  Chong Yidong  <cyd@stupidchicken.com>

	* commands.texi (Focus Events): Most X window managers don't use
	focus-follows-mouse nowadays.

2009-03-24  Chong Yidong  <cyd@stupidchicken.com>

	* commands.texi (Defining Commands): Clarify introduction.
	(Using Interactive): Not that interactive can be put in a symbol
	property.
	(Interactive Call): Note that a symbol with a non-nil
	interactive-form property satisfies commandp.

2009-03-23  Juanma Barranquero  <lekktu@gmail.com>

	* minibuf.texi (Intro to Minibuffers): Fix typos.

2009-03-23  Chong Yidong  <cyd@stupidchicken.com>

	* minibuf.texi (Intro to Minibuffers): Remove long-obsolete info
	about minibuffers in old Emacs versions.  Copyedits.
	Emphasize that enable-recursive-minibuffers defaults to nil.
	(Text from Minibuffer): Simplify introduction.

2009-03-22  Alan Mackenzie  <acm@muc.de>

	* commands.texi (Using Interactive): Clarify string argument to
	`interactive' - even promptless elements need \n separators.

2009-03-18  Chong Yidong  <cyd@stupidchicken.com>

	* minibuf.texi (Completion Styles): New node.

	* elisp.texi (Top): Update node listing.

2009-03-17  Chong Yidong  <cyd@stupidchicken.com>

	* minibuf.texi (Basic Completion): Note that
	read-file-name-completion-ignore-case and
	read-buffer-completion-ignore-case can override
	completion-ignore-case.
	(Minibuffer Completion): Document completing-read changes.
	(Completion Commands): Avoid mentioning partial completion mode.
	Document minibuffer-completion-confirm changes, and
	minibuffer-confirm-exit-commands.
	(High-Level Completion): Document new require-match behavior for
	read-buffer.  Document read-buffer-completion-ignore-case.
	(Reading File Names): Document new require-match behavior for
	read-file-name.

2009-03-14  Chong Yidong  <cyd@stupidchicken.com>

	* debugging.texi (Error Debugging): Don't mislead the reader into
	thinking that debug-on-error enters debugger for C-f at EOB.
	(Error Debugging): Setting debug-on-init within the init file
	works, and has for some time.

2009-03-13  Kenichi Handa  <handa@m17n.org>

	* display.texi (Fontsets): Update the description.

2009-03-13  Chong Yidong  <cyd@stupidchicken.com>

	* advice.texi (Advising Primitives): Link to What Is a Function.

2009-03-12  Chong Yidong  <cyd@stupidchicken.com>

	* compile.texi (Speed of Byte-Code): Update example.
	(Disassembly): Update examples.

	* loading.texi (Repeated Loading): Simplify examples.

	* customize.texi (Common Keywords): It's not necessary to use :tag
	to remove hyphens, as custom-unlispify-tag-name does it
	automatically.
	(Variable Definitions): Link to File Local Variables.
	Document customized-value symbol property.
	(Customization Types): Move menu to end of node.

2009-03-10  Chong Yidong  <cyd@stupidchicken.com>

	* macros.texi (Compiling Macros): Omit misleading sentence, which
	implied that macros can only be used in the same file they are
	defined.
	(Backquote): Remove obsolete information about Emacs 19.

2009-03-05  John Foerch  <jjfoerch@earthlink.net>  (tiny change)

	* display.texi (Display Margins): Fix paren typo.

2009-02-27  Chong Yidong  <cyd@stupidchicken.com>

	* elisp.texi (Top): Update node listing.

	* variables.texi (Variables): Clarify introduction.
	(Global Variables): Mention that setq is a special form.
	(Local Variables): Use active voice.
	(Tips for Defining): Mention marking variables as safe.
	(Buffer-Local Variables): Mention terminal-local and frame-local
	variables together.
	(File Local Variables): Copyedits.
	(Frame-Local Variables): Note that they are not really useful.
	(Future Local Variables): Node deleted.

	* objects.texi (General Escape Syntax): Update explanation of
	Unicode escape syntax.

2009-02-23  Chong Yidong  <cyd@stupidchicken.com>

	* control.texi (Control Structures): Add cindex entry for "textual
	order".

	* eval.texi (Intro Eval): Copyedits.  Standardize on "form"
	instead of "expression" throughout.
	(Function Indirection): Copyedits.  Use active voice.
	(Eval): The default value of max-lisp-eval-depth is now 400.

2009-02-23  Miles Bader  <miles@gnu.org>

	* processes.texi (System Processes): Rename `system-process-attributes'
	to `process-attributes'.

2009-02-22  Chong Yidong  <cyd@stupidchicken.com>

	* symbols.texi (Property Lists): Emphasize that property lists are
	not restricted to symbol cells.
	(Other Plists): Copyedit.

	* sequences.texi (Sequences Arrays Vectors): Make introduction
	more concise.
	(Arrays): Mention char-tables and bool-vectors too.
	(Vectors): Don't repeat information given in Arrays node.  Link to
	nodes that explain the vector usage examples.
	(Char-Tables): Note that char-table elements can have arbitrary
	type.  Explain effect of omitted char-table-extra-slots property.
	Link to Property Lists node.

2009-02-22  Chong Yidong  <cyd@stupidchicken.com>

	* lists.texi (Building Lists): Remove obsolete Emacs 20 usage of
	`append'.
	(List Elements): Copyedits.

	* sequences.texi (Vector Functions): Remove obsolete Emacs 20 use
	of `vconcat'.

	* strings.texi (Creating Strings): Copyedits.  Remove obsolete
	Emacs 20 usage of `concat'.
	(Case Conversion): Copyedits.

2009-02-21  Chong Yidong  <cyd@stupidchicken.com>

	* objects.texi (Lisp Data Types, Syntax for Strings, Buffer Type):
	Minor edits.
	(Frame Configuration Type): Emphasize that it is not primitive.
	(Font Type): New node.
	(Type Predicates): Add fontp; type-of now recognizes font object
	types.

	* intro.texi (Version Info): Update version numbers in examples.
	(Acknowledgements): List more contributors.

	* elisp.texi: Bump version number to 3.0.
	(Top): Link to Font Type node.

2009-02-20  Juanma Barranquero  <lekktu@gmail.com>

	* modes.texi (Major Mode Conventions): Remove duplicate words.
	(Customizing Keywords): Fix typo.

2009-02-14  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (User-Chosen Coding Systems): Document that
	select-safe-coding-system suggests raw-text if there are raw bytes
	in the region.
	(Explicit Encoding): Warn not to use `undecided' when encoding.

2009-02-11  Glenn Morris  <rgm@gnu.org>

	* frames.texi (Visibility of Frames): Mention the effect multiple
	workspaces/desktops can have on visibility.

2009-02-07  Eli Zaretskii  <eliz@gnu.org>

	* text.texi (Commands for Insertion):
	* commands.texi (Event Mod):
	* keymaps.texi (Searching Keymaps):
	* nonascii.texi (Translation of Characters):
	Reinstate documentation of translation-table-for-input.
	(Explicit Encoding): Document the `charset' text property produced
	by decode-coding-region and decode-coding-string.

2009-01-27  Alan Mackenzie  <acm@muc.de>

	* modes.texi (Search-based Fontification): Correct a typo.

2009-01-25  Juanma Barranquero  <lekktu@gmail.com>

	* abbrevs.texi (Abbrev Table Properties): Fix typo.
	Reported by Seweryn Kokot <sewkokot@gmail.com>.  (Bug#2039)

2009-01-24  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Window Systems): Document the value of
	`initial-window-system' under --daemon.

	* os.texi (System Environment): Remove description of the
	`environment' function which has been deleted.

2009-01-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* frames.texi (Multiple Displays): Remove documentation for
	removed function make-frame-on-tty.

2009-01-22  Chong Yidong  <cyd@stupidchicken.com>

	* files.texi (Format Conversion Piecemeal): Clarify behavior of
	write-region-annotate-functions.
	Document write-region-post-annotation-function.

2009-01-19  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Font Lookup): Document WIDTH argument of
	x-list-fonts.

2009-01-17  Eli Zaretskii  <eliz@gnu.org>

	* maps.texi (Standard Keymaps): Rename function-key-map to
	local-function-key-map.

	* keymaps.texi (Translation Keymaps): Rename function-key-map to
	local-function-key-map.

	* nonascii.texi (Terminal I/O Encoding): `keyboard-coding-system'
	and `set-keyboard-coding-system' now accept an optional terminal
	argument.

	* commands.texi (Event Mod): `keyboard-translate-table' is now
	terminal-local.
	(Function Keys): Rename function-key-map to
	local-function-key-map.

	* elisp.texi (Top): Make @detailmenu be consistent with changes in
	frames.texi.

	* hooks.texi (Standard Hooks): Document `delete-frame-functions'
	`delete-terminal-functions', `suspend-tty-functions' and
	`resume-tty-functions'.

	* frames.texi (Frames): Document `frame-terminal' and
	`terminal-live-p'.
	(Multiple Displays): Document `make-frame-on-tty'.
	(Multiple Terminals): Document `terminal-list', `delete-terminal',
	`terminal-name', and `get-device-terminal'.
	(Terminal Parameters): Document `terminal-parameters',
	`terminal-parameter', and `set-terminal-parameter'.

	* os.texi (System Environment): Document `environment' and
	`initial-environment'.
	(Suspending Emacs): Update for multi-tty; document
	`suspend-tty', `resume-tty', and `controlling-tty-p'.

	* nonascii.texi (Coding System Basics): More accurate description
	of `raw-text'.

2009-01-12  Juanma Barranquero  <lekktu@gmail.com>

	* display.texi (Low-Level Font): Fix typo.

2009-01-10  Chong Yidong  <cyd@stupidchicken.com>

	* elisp.texi (Top): Update node listing.

	* display.texi (PostScript Images): Node deleted.

2009-01-10  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (Decoding Output): Document that null bytes force
	no-conversion for reading process output.

	* files.texi (Reading from Files): Document that null bytes force
	no-conversion when visiting files.

	* processes.texi (Serial Ports): Improve wording, suggested by RMS.

	* nonascii.texi (Lisp and Coding Systems):
	Document inhibit-null-byte-detection and inhibit-iso-escape-detection.
	(Character Properties): Improve wording.

2009-01-09  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Font Lookup): Remove obsolete function
	x-font-family-list.  x-list-fonts accepts Fontconfig/GTK syntax.
	(Low-Level Font): Rename from Fonts, move to end of Faces section.
	(Font Selection): Reorder order of variable descriptions.
	Minor clarifications.

	* elisp.texi (Top): Update node listing.

2009-01-09  Glenn Morris  <rgm@gnu.org>

	* commands.texi (Command Loop Info): Say that last-command-char and
	last-input-char are obsolete aliases.

	* edebug.texi (Edebug Recursive Edit): Remove separate references to
	last-input-char and last-command-char, since they are just aliases for
	last-input-event and last-command-event.

	* minibuf.texi (Minibuffer Commands): Use last-command-event rather than
	last-command-char.

2009-01-08  Chong Yidong  <cyd@stupidchicken.com>

	* elisp.texi: Update node listing.

	* display.texi (Faces): Put Font Selection node after Auto Faces.
	(Face Attributes): Don't link to Font Lookup.
	Document font-family-list.
	(Fonts): New node.

2009-01-08  Jason Rumney  <jasonr@gnu.org>

	* frames.texi (Pointer Shape): Clarify that only X supports
	changing the standard pointer shapes.  (Bug#1485)

2009-01-08  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Attribute Functions): Note that a function value
	:height is relative, and that compatibility functions work by
	calling set-face-attribute.
	(Displaying Faces): Reorder list in order of increasing priority.
	(Face Remapping): New node.  Content moved here from Displaying
	Faces.
	(Glyphs): Link to Face Functions.

2009-01-08  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Faces): Don't discuss face id here.  facep does
	not return t.
	(Defining Faces): Minor clarification.
	(Face Attributes): Rearrange items to match docstring of
	set-face-attribute.  Add :foundry attribute.  Document new role of
	:font attribute.  Texinfo usage fix.
	(Attribute Functions): Copyedits.
	(Face Functions): Note that face number is seldom used.

2009-01-05  Richard M Stallman  <rms@gnu.org>

	* strings.texi (Predicates for Strings): Minor clarification.

	* functions.texi (Function Safety): Texinfo usage fix.

2009-01-04  Eduard Wiebe  <usenet@pusto.de>  (tiny change)

	* objects.texi (General Escape Syntax): Fix typo.

2009-01-03  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Choosing Window): Say that pop-up-frame-alist
	works via the default value of pop-up-frame-function.

2009-01-02  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (System Processes): Document the `time' and
	`ctime' attributes of `system-process-attributes'.

2009-01-01  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Face Attributes): Clarify :height attribute.

2008-12-31  Martin Rudalics  <rudalics@gmx.at>

	* buffers.texi (The Buffer List): Clarify what moves a buffer to
	the front of the buffer list.  Add entries for `last-buffer' and
	`unbury-buffer'.

2008-12-27  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi (Top): Add @detailmenu items for "Multiple Terminals"
	and its subsections.

	* frames.texi (Multiple Terminals, Low-level Terminal)
	(Terminal Parameters, Frames on Other TTY devices): New sections.
	(Frames): Add an xref to "Multiple Terminals".

	* elisp.texi (Top): Add @detailmenu item for "Terminal Type".

	* objects.texi (Terminal Type): New node.
	(Editing Types): Add it to the menu.

	* elisp.texi (Top): Add a @detailmenu item for "Directory Local
	Variables".

	* variables.texi (Directory Local Variables): New node.
	(Variables): Add a menu item for it.

	* loading.texi (Autoload): Document `generate-autoload-cookie' and
	`generated-autoload-file'.

2008-12-20  Eli Zaretskii  <eliz@gnu.org>

	* os.texi (Startup Summary): Add xref to documentation of
	`initial-window-system'.

	* display.texi (Window Systems): Document `window-system' the
	function.  The variable `window-system' is now frame-local.
	Document `initial-window-system'.

2008-12-19  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Windows): Rewrite description of
	fit-window-to-buffer.

2008-12-13  Glenn Morris  <rgm@gnu.org>

	* modes.texi (Font Lock Basics): Fix level description.  (Bug#1534)
	(Levels of Font Lock): Refer to font-lock-maximum-decoration.

2008-12-12  Glenn Morris  <rgm@gnu.org>

	* debugging.texi (Error Debugging): Refer forwards to
	eval-expression-debug-on-error.

2008-12-05  Eli Zaretskii  <eliz@gnu.org>

	* strings.texi (String Basics): Only unibyte strings that
	represent key sequences hold 8-bit raw bytes.

	* nonascii.texi (Coding System Basics): Rewrite @ignore'd
	paragraph to speak about `undecided'.
	(Character Properties): Don't explain the meaning of each
	property; instead, identify their Unicode Standard names.
	(Character Sets): Document `map-charset-chars'.

2008-12-02  Glenn Morris  <rgm@gnu.org>

	* files.texi (Format Conversion Round-Trip): Rewrite format-write-file
	section yet again.

2008-11-29  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Character Properties): New Section.
	(Specifying Coding Systems): Document
	`coding-system-priority-list', `set-coding-system-priority', and
	`with-coding-priority'.
	(Lisp and Coding Systems): Document `check-coding-systems-region'
	and `coding-system-charset-list'.
	(Coding System Basics): Document `coding-system-aliases'.

	* elisp.texi (Top): Add a @detailmenu entry for "Character
	Properties".

	* objects.texi (Character Type): Correct the range of Emacs
	characters.  Add an @xref to "Character Codes".

	* strings.texi (String Basics): Add an @xref to "Character Codes".

	* numbers.texi (Integer Basics): Add an @xref to `max-char'.

	* nonascii.texi (Explicit Encoding): Update for Emacs 23.
	(Character Codes): Document `max-char'.

2008-11-28  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Text Representations, Converting Representations)
	(Character Sets, Scanning Charsets, Translation of Characters):
	Make text more accurate.

2008-11-28  Glenn Morris  <rgm@gnu.org>

	* files.texi (Format Conversion Round-Trip): Improve previous change.

2008-11-26  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Auto Major Mode): Fix example.

2008-11-25  Glenn Morris  <rgm@gnu.org>

	* control.texi (Signaling Errors): Fix `wrong-type-argument' name.

	* files.texi (Format Conversion Round-Trip):
	Use active voice for previous change.

2008-11-25  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (Processor Run Time):
	* processes.texi (Transaction Queues):
	* markers.texi (The Mark):
	* windows.texi (Choosing Window, Selecting Windows):
	* files.texi (Changing Files, Magic File Names):
	* commands.texi (Key Sequence Input):
	* functions.texi (Declaring Functions):
	* strings.texi (Predicates for Strings):
	* intro.texi (nil and t): Fix typos (pointed out by Drew Adams).

2008-11-24  Chong Yidong  <cyd@stupidchicken.com>

	* help.texi (Accessing Documentation): Update example.

	* variables.texi (Defining Variables): Note that `*' is not
	necessary if defcustom is used.

2008-11-22  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi (Top): Remove "Chars and Bytes" and "Splitting
	Characters" from @detailmenu.

	* nonascii.texi (Character Codes, Character Sets)
	(Scanning Charsets, Translation of Characters): Update for Emacs 23.
	(Chars and Bytes, Splitting Characters): Sections removed.

2008-11-22  Lute Kamstra  <lute@gnu.org>

	* positions.texi (Text Lines): Update goto-line documentation.

2008-11-21  Martin Rudalics  <rudalics@gmx.at>

	* frames.texi (Frames): Fix typo, add cross references, reword.
	(Initial Parameters): Reword special-display-frame-alist text.
	(Frames and Windows): Reword.  Describe argument norecord for
	set-frame-selected-window.
	(Input Focus): Describe argument norecord for select-frame.
	Remove comment on MS-Windows behavior for focus-follows-mouse.
	(Raising and Lowering): Mention windows-frames dichotomy in
	metaphor.

	* windows.texi (Displaying Buffers, Vertical Scrolling)
	(Horizontal Scrolling): Fix indenting and rewording issues
	introduced with 2008-11-07 change.

2008-11-20  Glenn Morris  <rgm@gnu.org>

	* files.texi (Format Conversion Round-Trip): Mention `preserve'
	element of `format-alist'.

2008-11-19  Glenn Morris  <rgm@gnu.org>

	* doclicense.texi: Update to FDL 1.3.
	* elisp.texi, vol1.texi, vol2.texi: Relicense under FDL 1.3 or later.

2008-11-18  Chong Yidong  <cyd@stupidchicken.com>

	* windows.texi (Window Hooks): Remove *-end-trigger-functions
	vars, which are obsolete.  Mention jit-lock-register.

	* modes.texi (Other Font Lock Variables):
	Document jit-lock-register and jit-lock-unregister.

	* frames.texi (Color Parameters): Document alpha parameter.

2008-11-16  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Splitting Windows, Deleting Windows)
	(Selecting Windows, Cyclic Window Ordering)
	(Buffers and Windows, Displaying Buffers, Choosing Window)
	(Dedicated Windows, Window Point, Window Start and End)
	(Textual Scrolling, Vertical Scrolling, Horizontal Scrolling)
	(Size of Window, Resizing Windows, Window Configurations)
	(Window Parameters): Avoid @var at beginning of sentences and
	reword accordingly.

2008-11-11  Lute Kamstra  <lute@gnu.org>

	* files.texi (File Name Components): Fix file-name-extension
	documentation.

2008-11-11  Juanma Barranquero  <lekktu@gmail.com>

	* frames.texi (Basic Parameters): Remove display-environment-variable
	and term-environment-variable.

2008-11-08  Eli Zaretskii  <eliz@gnu.org>

	* windows.texi (Basic Windows, Splitting Windows)
	(Deleting Windows, Selecting Windows, Cyclic Window Ordering)
	(Buffers and Windows, Displaying Buffers, Dedicated Windows)
	(Resizing Windows, Window Configurations, Window Parameters):
	Fix wording and markup.

2008-11-07  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Windows): Update entries.
	(Basic Windows): Remove listing of attributes.  Reword.
	(Splitting Windows, Deleting Windows): Reword.
	(Selecting Windows, Cyclic Window Ordering): Reword with special
	emphasis on order of recently selected windows and buffer list.
	(Buffers and Windows, Choosing Window): Reword with special
	emphasis on dedicated windows.
	(Displaying Buffers): Reword.  For switch-to-buffer mention that
	it may fall back on pop-to-buffer.  For other-window try to
	explain how it treats the cyclic ordering of windows.
	(Dedicated Windows): New node and section discussing dedicated
	windows and associated functions.
	(Window Point): Add entry for window-point-insertion-type.  Reword.
	(Window Start and End): Rename node and section title.  Reword.
	(Textual Scrolling, Vertical Scrolling, Horizontal Scrolling):
	Minor rewording.
	(Size of Window): Reword, in particular text on window-width.
	(Resizing Windows): Reword.  Add text on balancing windows.
	(Window Configurations): Reword.  Mention window parameters.
	(Window Parameters): New node and section on window parameters.
	(Window Hooks): Reword.  Mention that
	window-configuration-change-hook is run "buffer-locally".
	* elisp.texi (Top): Update Windows entries in @detailmenu
	section.

2008-11-04  Juanma Barranquero  <lekktu@gmail.com>

	* searching.texi (Regexp Search): Fix typo.

2008-11-03  Seweryn Kokot  <sewkokot@gmail.com>  (tiny change)

	* searching.texi (Regexp Search): Document GREEDY arg.
	(Simple Match Data): Fix return value.

2008-11-01  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Text Representations): Rewrite to make consistent
	with Emacs 23 internal representation of characters.
	Document `unibyte-string'.

2008-10-28  Chong Yidong  <cyd@stupidchicken.com>

	* processes.texi (Process Information): Note that process-status
	does not accept buffer names.

2008-10-27  Seweryn Kokot  <sewkokot@gmail.com>  (tiny change)

	* positions.texi (Skipping Characters): Correct return value of
	skip-chars-forward.

2008-10-25  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Deleting Windows): Update documentation of
	delete-windows-on.
	(Buffers and Windows): Update documentations of
	get-buffer-window and get-buffer-window-list.
	(Displaying Buffers): Update documentation of
	replace-buffer-in-windows.

	* buffers.texi (Current Buffer): Reword set-buffer and
	with-current-buffer documentations.
	(Creating Buffers): Reword documentation of get-buffer-create.

2008-10-23  Martin Rudalics  <rudalics@gmx.at>

	* buffers.texi (Current Buffer): Reword documentation of
	set-buffer.
	(Buffer Names): Reword documentation of buffer-name.
	(The Buffer List): For bury-buffer explain what happens with the
	buffer's window.
	(Creating Buffers): Say that get-buffer-create's arg is called
	buffer-or-name.

2008-10-22  Chong Yidong  <cyd@stupidchicken.com>

	* advice.texi (Computed Advice): Explain what DEFINITION is.

	* nonascii.texi (Character Codes): Remove obsolete function
	char-valid-p, and document characterp instead.

2008-10-22  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Displaying Buffers): Reword documentation of
	pop-to-buffer.
	(Choosing Window): Rewrite documentation of display-buffer and
	its options.

	* buffers.texi (Killing Buffers): Update documentation of
	kill-buffer.

2008-10-21  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (Serial Ports): Fix wording and improve markup.

	* searching.texi (Regexp Search): Document `string-match-p' and
	`looking-at-p'.
	(POSIX Regexps): Add an xref for "non-greedy".
	(Regexp Special): Add @cindex entry for "non-greedy".

	* display.texi (Attribute Functions): Document `face-all-attributes'.
	(Image Cache) <image-refresh>: Minor wording fixes.

	* frames.texi (Color Names): Add an xref to `read-color'.

	* minibuf.texi (High-Level Completion): Document `read-color'.

	* elisp.texi (Top): Add "Swapping Text" to @detailmenu.

	* positions.texi (Narrowing): Add an xref to "Swapping Text".

	* buffers.texi (Swapping Text): New section, documents
	`buffer-swap-text'.

2008-10-21  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Resizing Windows): Minor wording fix.

2008-10-20  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (Shell Arguments): Document `split-string-and-unquote'
	and `combine-and-quote-strings'.

	* strings.texi (Creating Strings): Add xrefs for them.

2008-10-19  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi (Top): Make descriptive text for "Reading File Names"
	match the corresponding menu in minibuf.texi.

	* minibuf.texi (Reading File Names): Document `read-shell-command'
	and `minibuffer-local-shell-command-map'.

2008-10-19  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Resizing Windows): Remove var{} around "window" in
	documentation of enlarge-window.
	Rewrite documentation of window-min-height and window-min-width.

2008-10-19  Eli Zaretskii  <eliz@gnu.org>

	* functions.texi (Calling Functions): Document `apply-partially'.

	* hooks.texi (Standard Hooks): Mention
	`before-hack-local-variables-hook' and `hack-local-variables-hook'.

	* variables.texi (File Local Variables): Document
	`file-local-variables-alist', `before-hack-local-variables-hook'
	and `hack-local-variables-hook'.

	* processes.texi (Synchronous Processes): Document `process-lines'.

	* customize.texi (Variable Definitions):
	Document `custom-reevaluate-setting'.

2008-10-18  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Choosing Window, Deleting Windows)
	(Displaying Buffers): Expand documentation of dedicated windows.

2008-10-18  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Changing Files): Document symbolic input of file
	modes to `set-file-modes'.  Document `read-file-modes' and
	`file-modes-symbolic-to-number'.

	* maps.texi (Standard Keymaps): Document `multi-query-replace-map'
	and `search-map'.

	* searching.texi (Search and Replace):
	Document `replace-search-function' and `replace-re-search-function'.
	Document `multi-query-replace-map'.

	* minibuf.texi (Text from Minibuffer): Document `read-regexp'.
	(Completion Commands, Reading File Names):
	Rename `minibuffer-local-must-match-filename-map' to
	`minibuffer-local-filename-must-match-map'.
	(Minibuffer Completion): The `require-match' argument to
	`completing-read' can now have the value `confirm-only'.

	* windows.texi (Displaying Buffers): Minor wording fix.
	(Choosing Window): `split-height-threshold' can now be nil.
	Document `split-width-threshold'.  `pop-up-frames' can have the
	value `graphic-only'.

2008-10-17  Eli Zaretskii  <eliz@gnu.org>

	* os.texi (Startup Summary): Document `before-init-time' and
	`after-init-time'.  Document `initial-window-system' and
	`window-system-initialization-alist'.  Document reading the
	abbrevs file.  Document the call to `server-start' under --daemon.
	Rearrange a bit to be consistent with the code flow.
	(Processor Run Time): Document `emacs-uptime' and `emacs-init-time'.
	(Time Parsing): Document `format-seconds'.

2008-10-17  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Basic Windows, Splitting Windows): Fix whitespace
	and reword.

2008-10-16  Eli Zaretskii  <eliz@gnu.org>

	* markers.texi (The Mark): Document use-region-p.

2008-10-15  Eli Zaretskii  <eliz@gnu.org>

	* internals.texi (Writing Emacs Primitives): The interactive spec
	of a primitive can be a Lisp form.

	* markers.texi (The Mark): Document the `lambda' and `(only . OLD)'
	values of transient-mark-mode.  Document handle-shift-selection.

	* commands.texi (Using Interactive, Interactive Codes): Document `^'.
	(Interactive Examples): Show an example of `^'.
	(Key Sequence Input): Document this-command-keys-shift-translated.
	(Defining Commands, Using Interactive): The interactive-form of a
	function can be added via its symbol's property.

	* positions.texi (List Motion): beginning-of-defun-function can
	now accept an argument.

	* text.texi (Low-Level Kill Ring): interprogram-paste-function can
	now return a list of strings.

	* control.texi (Handling Errors): Document ignore-errors.

	* frames.texi (Creating Frames): Document frame-inherited-parameters.
	(Parameter Access): Document set-frame-parameter.

	* variables.texi (Creating Buffer-Local): Add an xref to "Setting
	Hooks" for the effect of kill-all-local-variables on local hook
	functions.

	* modes.texi (Major Mode Conventions, Mode Line Variables):
	`mode-name' need not be a string.  xref to "Mode Line Data" for
	details, and to "Emulating Mode Line" for computing a string
	value.

2008-10-14  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (System Processes): New section.
	(Processes, Signals to Processes): Add xrefs to it.

	* objects.texi (Editing Types): A `process' is a subprocess of
	Emacs, not just any process running on the OS.

	* elisp.texi (Top): Adjust the @detailmenu for the above two
	changes.

	* sequences.texi (Char-Tables): Remove documentation of
	set-char-table-default, which has no effect since Emacs 23.
	<char-table-range, set-char-table-range>: Don't mention generic
	characters and charsets.  Add a cons cell as a possible argument.

	* nonascii.texi (Splitting Characters)
	(Translation of Characters): Don't mention generic characters.

	* display.texi (Fontsets): Don't mention generic characters.

	* sequences.texi (Char-Tables): `map-char-table' can now call its
	argument FUNCTION with a cons cell as KEY.

2008-10-13  Eli Zaretskii  <eliz@gnu.org>

	* objects.texi (Primitive Function Type): Move "@cindex special
	forms" from here...

	* eval.texi (Special Forms): ...to here.

	* functions.texi (What Is a Function): `functionp' returns nil for
	special forms.  Add an xref.

	* elisp.texi (Top): Add a @detailmenu entry for "Frame-Local
	Variables".

	* variables.texi (Frame-Local Variables): New section.
	(Buffer-Local Variables): Add an xref to it.
	(Intro to Buffer-Local, Creating Buffer-Local): A variable cannot
	have both frame-local and buffer-local binding.

	* frames.texi (Frames): Mention multiple tty frames.
	(Frame Parameters, Parameter Access): Mention frame-local variable
	bindings.

2008-09-20  Glenn Morris  <rgm@gnu.org>

	* display.texi (Defining Faces): Recommend against face variables.

2008-09-16  Juanma Barranquero  <lekktu@gmail.com>

	* display.texi (Echo Area Customization): Fix typo.

2008-09-09  Juanma Barranquero  <lekktu@gmail.com>

	* loading.texi (Where Defined): Add `defface' item.

2008-09-06  Martin Rudalics  <rudalics@gmx.at>

	* loading.texi (Where Defined): Fix description of symbol-file.

2008-08-26  Jason Rumney  <jasonr@gnu.org>

	* display.texi (TIFF Images): New section describing :index property.

2008-08-23  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Temporary Displays): Remove unnecessary comment
	about usage of temp-buffer-show-hook.

2008-08-05  Chong Yidong  <cyd@stupidchicken.com>

	* symbols.texi (Other Plists): Fix incorrect example.
	Suggested by Florian Beck.

2008-07-31  Juanma Barranquero  <lekktu@gmail.com>

	* os.texi: Fix previous change.

2008-07-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* os.texi:
	* intro.texi:
	* files.texi: Remove VMS support.

2008-07-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* os.texi:
	* frames.texi:
	* display.texi: Remove mentions of Mac Carbon.

2008-07-01  Miles Bader  <miles@gnu.org>

	* text.texi (Special Properties):
	* display.texi (Truncation): Add wrap-prefix and line-prefix.

2008-06-28  Johan Bockgård  <bojohan@gnu.org>

	* display.texi (Other Image Types): Fix copy/paste error; say
	"PBM", not "XBM".

2008-06-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* os.texi: Remove references to obsolete systems.

2008-06-20  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (distclean): Remove makefile.

2008-06-17  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (emacsver, miscmanualdir, VERSION, manual, install)
	(elisp, dist): Remove rules and variables that are obsolete now
	the lisp manual is no longer distributed separately.

2008-06-16  Glenn Morris  <rgm@gnu.org>

	* configure, configure.in, mkinstalldirs: Remove unused files.

	* book-spine.texinfo: Set version to 23.0.60.
	* vol1.texi (EMACSVER):
	* vol2.texi (EMACSVER): Set to 23.0.60.

	* elisp.texi, vol1.texi, vol2.texi: Update Back-Cover Text
	as per maintain.info.

2008-06-15  Glenn Morris  <rgm@gnu.org>

	* makefile.w32-in (manual): Use "23" rather than "21".

	* Makefile.in (emacsver): New, set by configure.
	(manual): Use emacsver.

	* intro.texi: Report bugs using M-x report-emacs-bug.

	* elisp.texi (EMACSVER): Remove duplicate, outdated setting.

2008-06-13  Daniel Engeler  <engeler@gmail.com>

	* elisp.texi, internals.texi, processes.texi: Add documentation
	about serial port access.

2008-06-05  Miles Bader  <miles@gnu.org>

	* display.texi (Displaying Faces): Update to reflect function
	renamings in face-remap.el.

2008-06-05  Juanma Barranquero  <lekktu@gmail.com>

	* display.texi (Fontsets): Fix typos.

2008-06-03  Miles Bader  <miles@gnu.org>

	* display.texi (Displaying Faces): Add add-relative-face-remapping,
	remove-relative-face-remapping, set-base-face-remapping,
	and set-default-base-face-remapping.

2008-06-01  Miles Bader  <miles@gnu.org>

	* display.texi (Displaying Faces): Add face-remapping-alist.

2008-05-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tips.texi (Coding Conventions): Do not encourage the use of "-flag"
	variable names.

2008-05-03  Eric S. Raymond  <esr@golux>

	* keymaps.texi: Clarify that (current-local-map) and
	(current-global-map) return references, not copies.

2008-05-02  Juri Linkov  <juri@jurta.org>

	* minibuf.texi (Text from Minibuffer): Document a list of
	default values for `read-from-minibuffer'.

2008-04-24  Juanma Barranquero  <lekktu@gmail.com>

	* nonascii.texi (Translation of Characters): Fix previous change.

2008-04-20  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Overlay Properties): Clarify role of underlying
	textprop and overlay keymaps for display strings.

	* keymaps.texi (Active Keymaps): Ditto.

2008-04-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuf.texi (Programmed Completion):
	Replace dynamic-completion-table with the new completion-table-dynamic.

2008-04-07  Chong Yidong  <cyd@stupidchicken.com>

	* intro.texi (Some Terms): Change "fonts in this manual" index
	entry to "typographic conventions".

2008-04-05  Eli Zaretskii  <eliz@gnu.org>

	* objects.texi (Text Props and Strings): Add indexing for read
	syntax of text properties.

2008-03-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* processes.texi (Decoding Output): Remove process-filter-multibyte
	functions.

2008-03-15  Martin Rudalics  <rudalics@gmx.at>

	* display.texi (Finding Overlays): Say that empty overlays at
	the end of the buffer are reported too.

2008-03-13  Glenn Morris  <rgm@gnu.org>

	* elisp.texi (EMACSVER): Set to 23.0.60.

2008-02-26  Chong Yidong  <cyd@stupidchicken.com>

	* strings.texi (Formatting Strings): Treat - and 0 as flag characters.

2008-02-22  Glenn Morris  <rgm@gnu.org>

	* frames.texi (Position Parameters): Clarify the description of
	`left' and `top', using information from "Geometry".
	(Geometry): Give a pointer to "Position Parameters", rather than
	repeating information.

2008-02-11  Glenn Morris  <rgm@gnu.org>

	* objects.texi (Equality Predicates): No longer talk about "two"
	functions.

2008-02-11  Lawrence Mitchell  <wence@gmx.li>  (tiny change)

	* objects.texi (Equality Predicates): Add defun for
	equal-including-properties.

2008-02-10  Glenn Morris  <rgm@gnu.org>

	* objects.texi (Equality Predicates):
	Mention equal-including-properties.

2008-02-07  Richard Stallman  <rms@gnu.org>

	* windows.texi (Window Start): Mention the feature of moving
	window-start to start of line.

2008-02-07  Jan Djärv  <jan.h.d@swipnet.se>

	* keymaps.texi (Tool Bar): Document rtl property.

2008-01-27  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* display.texi (Button Types):
	For define-button-type, clarify type of NAME.

2008-01-19  Martin Rudalics  <rudalics@gmx.at>

	* buffers.texi (Buffer Modification): Fix typo.

2008-01-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* os.texi (System Environment): Remove references to OSes that are
	not supported anymore.

2008-01-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* os.texi (System Environment): Remove mention for Masscomp.

2008-01-04  Richard Stallman  <rms@gnu.org>

	* display.texi (Faces): Don't talk about internal face vector as arg
	to facep.

	* customize.texi (Type Keywords): Fix previous change.

	* text.texi (Links and Mouse-1): Fix xref for commands.texi change.
	* elisp.texi (Top): Fix menu for commands.texi change.

2007-12-30  Richard Stallman  <rms@gnu.org>

	* commands.texi (Accessing Mouse): Rename from Accessing Events.
	(Accessing Scroll): New node broken out of Accessing Mouse.

2007-12-28  Richard Stallman  <rms@gnu.org>

	* frames.texi (Size Parameters): Fix typo.
	(Basic Parameters): For `title', refer to title bar.
	(Size and Position): Explain meaning of frame pixel width and height.

2007-12-23  Richard Stallman  <rms@gnu.org>

	* customize.texi (Type Keywords): Uncomment :validate and clarify it.
	Improve some of the commented-out keywords' text too.

2007-12-14  Martin Rudalics  <rudalics@gmx.at>

	* nonascii.texi (Encoding and I/O): Reword to avoid saying
	"visit the current buffer".

	* os.texi (System Interface): Fix typo.

2007-12-04  Richard Stallman  <rms@gnu.org>

	* objects.texi (Symbol Type): Fix typo.

2007-12-03  Richard Stallman  <rms@gnu.org>

	* hooks.texi (Standard Hooks): Add link to Hooks for Loading.

2007-12-01  Glenn Morris  <rgm@gnu.org>

	* functions.texi (Declaring Functions): Improve previous change.

2007-11-30  Glenn Morris  <rgm@gnu.org>

	* functions.texi (Declaring Functions): Add optional fourth
	argument of declare-function, and setting third argument to `t'.

2007-11-29  Richard Stallman  <rms@gnu.org>

	* customize.texi (Composite Types): Document `group' type.

2007-11-29  Glenn Morris  <rgm@gnu.org>

	* functions.texi (Declaring Functions): Add findex.
	Mention `external' files.

2007-11-26  Juanma Barranquero  <lekktu@gmail.com>

	* functions.texi (Declaring Functions): Fix directive.

2007-11-25  Richard Stallman  <rms@gnu.org>

	* help.texi (Help Functions): Clean up last change.

	* advice.texi (Preactivation, Activation of Advice): Minor cleanup.

	* loading.texi (Named Features): Minor cleanup.

	* macros.texi (Eval During Expansion): Minor cleanup.

	* variables.texi (Variable Aliases): Minor cleanup.

2007-11-24  Richard Stallman  <rms@gnu.org>

	* functions.texi (Declaring Functions): Clarify previous change.

	* compile.texi (Compiler Errors): Clarify previous change.

2007-11-24  Richard Stallman  <rms@gnu.org>

	* display.texi (Refresh Screen, Forcing Redisplay):
	Clarify the text and move items around.

2007-11-24  Glenn Morris  <rgm@gnu.org>

	* functions.texi (Declaring Functions): New section.
	* compile.texi (Compiler Errors): Mention declaring functions,
	defvar with no initvalue, and byte-compile-warnings.

2007-11-15  Martin Rudalics  <rudalics@gmx.at>

	* vol1.texi (Top): Remove Frame-Local Variables from Node Listing.
	* vol2.texi (Top): Remove Frame-Local Variables from Node Listing.

2007-11-13  Martin Rudalics  <rudalics@gmx.at>

	* help.texi (Help Functions): Document new macro `with-help-window'.

2007-11-10  Paul Pogonyshev  <pogonyshev@gmx.net>

	* searching.texi (Replacing Match): Describe new
	`match-substitute-replacement'.

2007-10-31  Richard Stallman  <rms@gnu.org>

	* strings.texi (Creating Strings): Null strings from concat not unique.

2007-10-26  Richard Stallman  <rms@gnu.org>

	* objects.texi (Equality Predicates): Null strings are uniquified.

	* minibuf.texi: Minor clarifications in previous change.

2007-10-25  Glenn Morris  <rgm@gnu.org>

	* customize.texi (Variable Definitions): Add :risky and :safe keywords.

2007-10-24  Richard Stallman  <rms@gnu.org>

	* elisp.texi (Top): Delete Frame-Local Variables from subnode menu.

	* variables.texi (Frame-Local Variables): Node deleted.
	(Variables): Delete Frame-Local Variables from menu.
	(Local Variables, Buffer-Local Variables, Intro to Buffer-Local)
	(Default Value): Don't mention frame-local vars.

	* os.texi (Idle Timers): current-idle-time returns nil if not idle.

	* loading.texi (Unloading): Document FEATURE-unload-function
	instead of FEATURE-unload-hook.

	* frames.texi (Multiple Displays): Don't mention frame-local vars.

2007-10-22  Juri Linkov  <juri@jurta.org>

	* minibuf.texi (Text from Minibuffer, Minibuffer Completion)
	(High-Level Completion): Document a list of default value strings
	in the DEFAULT argument, for which minibuffer functions return the
	first element.

2007-10-17  Juri Linkov  <juri@jurta.org>

	* text.texi (Filling): Update arguments of fill-paragraph.
	fill-paragraph operates on the active region in Transient Mark mode.
	Remove fill-paragraph-or-region.

2007-10-13  Karl Berry  <karl@gnu.org>

	* elisp.texi (@dircategory): Move to after @copying,
	since we want @copying as close as possible to the beginning of
	the output.

2007-10-12  Richard Stallman  <rms@gnu.org>

	* elisp.texi (Top): Add Distinguish Interactive to subnode menu.

	* commands.texi (Distinguish Interactive): New node,
	broken out from Interactive Call and rewritten.
	(Command Loop): Put Distinguish Interactive in menu.

2007-10-09  Richard Stallman  <rms@gnu.org>

	* text.texi (Examining Properties): Mention overlay priority.

	* display.texi (Display Margins): Correct the description
	of margin display specifications.
	(Replacing Specs): New subnode broken out of Display Property.

2007-10-06  Juri Linkov  <juri@jurta.org>

	* text.texi (Filling): Document fill-paragraph-or-region.

2007-10-05  Juanma Barranquero  <lekktu@gmail.com>

	* display.texi (Auto Faces): Fix typo.

2007-10-02  Richard Stallman  <rms@gnu.org>

	* display.texi (Display Property): Explain some display specs
	don't let you move point in.

	* frames.texi (Cursor Parameters):
	Describe cursor-in-non-selected-windows here.  Explain more values.

	* windows.texi (Basic Windows): Don't describe
	cursor-in-non-selected-windows here.

2007-10-01  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (Misc Network): Note that these functions are
	supported only on some systems.

2007-10-01  Richard Stallman  <rms@gnu.org>

	* display.texi (Overlay Properties): Explain nil as priority.
	Explain that conflicts are unpredictable if not resolved by
	priorities.

2007-09-23  Richard Stallman  <rms@gnu.org>

	* macros.texi (Backquote): Minor clarification.

2007-09-19  Richard Stallman  <rms@gnu.org>

	* display.texi (Display Property): Explain multiple display specs.
	Clarify when they work in parallel and when one overrides.
	Fix error in example.

2007-09-06  Glenn Morris  <rgm@gnu.org>

	Move from lispref/ to doc/lispref/.  Change all setfilename
	commands to use ../../info.
	* Makefile.in (infodir): Go up one more level.
	(usermanualdir): Change from ../man to ../emacs.
	(miscmanualdir): New.
	(dist): Use new variable miscmanualdir.
	* makefile.w32-in (infodir, texinputdir): Go up one more level.
	(usermanualdir): Change from ../man to ../emacs.

2007-08-30  Martin Rudalics  <rudalics@gmx.at>

	* commands.texi (Command Loop Info): Advise against changing
	most variables described here.  Explain new variable
	last-repeatable-command.

2007-08-29  Glenn Morris  <rgm@gnu.org>

	* elisp.texi (EMACSVER): Increase to 23.0.50.

2007-08-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* frames.texi (Basic Parameters): Add display-environment-variable
	and term-environment-variable.

2007-08-28  Juri Linkov  <juri@jurta.org>

	* display.texi (Image Formats, Other Image Types): Add SVG.

2007-08-28  Juri Linkov  <juri@jurta.org>

	* display.texi (Images): Move formats-related text to new node
	"Image Formats".
	(Image Formats): New node.

2007-08-27  Richard Stallman  <rms@gnu.org>

	* windows.texi (Window Configurations): Clarify what
	a window configuration saves.

2007-08-25  Richard Stallman  <rms@gnu.org>

	* display.texi (Images): Delete redundant @findex.

2007-08-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* text.texi (Change Hooks): (after|before)-change-functions are no
	longer bound to nil while running; rather inhibit-modification-hooks
	is t.

2007-08-16  Richard Stallman  <rms@gnu.org>

	* processes.texi (Asynchronous Processes):
	Clarify doc of start-file-process.

2007-08-08  Martin Rudalics  <rudalics@gmx.at>

	* modes.texi (Example Major Modes): Fix typo.

2007-08-08  Glenn Morris  <rgm@gnu.org>

	* intro.texi (nil and t): Do not use `iff' in documentation.

	* tips.texi (Documentation Tips): Recommend against `iff'.

2007-08-07  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Image Cache): Document image-refresh.

2007-08-06  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Size of Window): Document window-full-width-p.

2007-07-25  Glenn Morris  <rgm@gnu.org>

	* gpl.texi (GPL): Replace license with GPLv3.

	* Relicense all FSF files to GPLv3 or later.

2007-07-24  Michael Albinus  <michael.albinus@gmx.de>

	* processes.texi (Synchronous Processes):
	Add `process-file-shell-command'.
	(Asynchronous Processes): Mention restricted use of
	`process-filter' and `process-sentinel' in
	`start-file-process'.  Add `start-file-process-shell-command'.

2007-07-17  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Magic File Names): Introduce optional parameter
	IDENTIFICATION for `file-remote-p'.

2007-07-16  Richard Stallman  <rms@gnu.org>

	* display.texi (Defining Faces): Fix previous change.

2007-07-14  Richard Stallman  <rms@gnu.org>

	* control.texi (Handling Errors): Document `debug' in handler list.

2007-07-10  Richard Stallman  <rms@gnu.org>

	* display.texi (Defining Faces): Explain C-M-x feature for defface.

2007-07-09  Richard Stallman  <rms@gnu.org>

	* files.texi (Magic File Names): Rewrite previous change.

2007-07-08  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Magic File Names): Introduce optional parameter
	CONNECTED for `file-remote-p'.

2007-07-07  Michael Albinus  <michael.albinus@gmx.de>

	* processes.texi (Asynchronous Processes):
	* files.texi (Magic File Names): Add `start-file-process'.

2007-06-27  Richard Stallman  <rms@gnu.org>

	* files.texi (Format Conversion Piecemeal):
	Clarify `after-insert-file-functions' calling convention.

2007-06-27  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Magic File Names): Remove `dired-call-process'.
	Add `process-file'.

2007-06-27  Kenichi Handa  <handa@m17n.org>

	* text.texi (Special Properties): Fix description about
	`composition' property.

2007-06-26  Kenichi Handa  <handa@m17n.org>

	* nonascii.texi (Default Coding Systems): Document about the
	return value `undecided'.

2007-06-25  David Kastrup  <dak@gnu.org>

	* keymaps.texi (Active Keymaps): Document new POSITION argument of
	`current-active-maps'.

2007-06-24  Karl Berry  <karl@gnu.org>

	* elisp.texi, vol1.texi, vol2.texi: New Back-Cover Text.

2007-06-15  Juanma Barranquero  <lekktu@gmail.com>

	* display.texi (Overlay Arrow): Doc fix.

2007-06-14  Karl Berry  <karl@tug.org>

	* anti.texi (Antinews): Typo.

2007-06-14  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Image Cache): Document image-refresh.

2007-06-12  Karl Berry  <karl@gnu.org>

	* vol1.texi, vol2.texi, two-volume-cross-refs.txt: Update.
	* two-volume.make: New file.
	* .cvsignore: Ignore two-volume files.

2007-06-12  Tom Tromey  <tromey@redhat.com>

	* os.texi (Init File): Document user-emacs-directory.

2007-06-03  Nick Roberts  <nickrob@snap.net.nz>

	* commands.texi (Click Events): Describe width and height when
	object is nil.

2007-05-30  Nick Roberts  <nickrob@snap.net.nz>

	* commands.texi (Click Events): Layout more logically.
	Describe width and height.
	(Drag Events, Motion Events): Update to new format for position.

2007-06-02  Richard Stallman  <rms@gnu.org>

	* frames.texi (Color Parameters): Add xref to (emacs)Standard Faces.

2007-06-02  Chong Yidong  <cyd@stupidchicken.com>

	* Version 22.1 released.

2007-06-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* text.texi (Special Properties): Correct meaning of fontified face.

2007-05-30  Richard Stallman  <rms@gnu.org>

	* text.texi (Special Properties): Add link to Adjusting Point.

2007-05-12  Richard Stallman  <rms@gnu.org>

	* text.texi (Margins): indent-to-left-margin is not the default.
	(Mode-Specific Indent): For indent-line-function, the default
	is indent-relative.

	* modes.texi (Example Major Modes): Explain last line of text-mode
	is redundant.

2007-05-10  Richard Stallman  <rms@gnu.org>

	* keymaps.texi (Scanning Keymaps): Update where-is-internal example.

	* help.texi (Keys in Documentation): Add reference to
	Documentation Tips.

	* files.texi (Format Conversion): TO-FN gets three arguments.

	* modes.texi (Auto Major Mode): Document file-start-mode-alist.

2007-05-10  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* elisp.texi (Top): Remove "Saving Properties" from detailed menu.
	* files.texi (Format Conversion): Expand intro; add menu.
	(Format Conversion Overview, Format Conversion Round-Trip)
	(Format Conversion Piecemeal): New nodes/subsections.
	* hooks.texi: Xref "Format Conversion" , not "Saving Properties".
	* text.texi (Text Properties): Remove "Saving Properties" from menu.
	(Saving Properties): Delete node/subsection.

2007-05-07  Karl Berry  <karl@gnu.org>

	* elisp.texi (EMACSVER): Back to 22.

2007-05-06  Richard Stallman  <rms@gnu.org>

	* processes.texi (Accepting Output): Revert most of previous change.

2007-05-05  Richard Stallman  <rms@gnu.org>

	* processes.texi (Accepting Output): accept-process-output
	uses microseconds, not milliseconds.  But that arg is obsolete.

2007-05-04  Karl Berry  <karl@tug.org>

	* elisp.texi (EMACSVER) [smallbook]: 22.1, not 22.

2007-05-04  Eli Zaretskii  <eliz@gnu.org>

	* tips.texi (Documentation Tips): Rearrange items to place the
	more important ones first.  Add an index entry for hyperlinks.

2007-05-03  Karl Berry  <karl@gnu.org>

	* elisp.texi (\urlcolor, \linkcolor) [smallbook]: \Black for printing.
	(EMACSVER) [smallbook]: 22 for printed version.

	* control.texi (Signaling Errors) <signal>: texinfo.tex is fixed,
	so restore anchor to normal position after defun.  Found by Kevin Ryde.

2007-04-26  Glenn Morris  <rgm@gnu.org>

	* elisp.texi (EMACSVER): Increase to 22.1.50.

2007-04-28  Karl Berry  <karl@gnu.org>

	* elisp.texi: Improve line breaks on copyright page,
	similar layout to emacs manual, 8.5x11 by default.

2007-04-24  Richard Stallman  <rms@gnu.org>

	* text.texi (Special Properties): Add xref to Overlay Properties.

	* display.texi (Overlay Properties): Add xref to Special Properties.

2007-04-22  Richard Stallman  <rms@gnu.org>

	* keymaps.texi (Extended Menu Items): Move the info about
	format with cached keyboard binding.

2007-04-21  Richard Stallman  <rms@gnu.org>

	* text.texi (Special Properties): Clarify previous change.

	* files.texi (File Name Expansion): Clarify previous change.

	* display.texi (Attribute Functions): Fix example for
	face-attribute-relative-p.

2007-04-19  Kenichi Handa  <handa@m17n.org>

	* text.texi (Special Properties): Document composition property.

2007-04-19  Glenn Morris  <rgm@gnu.org>

	* files.texi (File Name Expansion): Mention "superroot".

2007-04-15  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Multiple Displays): Add note about "multi-monitor"
	setups.
	(Display Feature Testing): Note that display refers to all
	physical monitors for multi-monitor setups.

2007-04-14  Richard Stallman  <rms@gnu.org>

	* lists.texi (Sets And Lists): Clarify `delete' examples.
	Remove spurious xref to same node.
	Clarify xref for add-to-list.

2007-04-12  Nick Roberts  <nickrob@snap.net.nz>

	* keymaps.texi (Format of Keymaps): Remove spurious ")" from
	value of lisp-mode-map.

2007-04-11  Karl Berry  <karl@gnu.org>

	* anti.texi (Antinews):
	* display.texi (Overlay Properties, Defining Images):
	* processes.texi (Synchronous Processes, Sentinels):
	* syntax.texi (Syntax Table Internals):
	* searching.texi (Regexp Special):
	* nonascii.texi (Default Coding Systems):
	* text.texi (Special Properties):
	* minibuf.texi (Basic Completion): Wording to improve breaks in
	8.5x11 format.
	* elisp.texi (smallbook): New @set to more easily switch between
	smallbook and 8.5x11.

2007-04-11  Richard Stallman  <rms@gnu.org>

	* text.texi (Lazy Properties): Minor fix.

2007-04-08  Karl Berry  <karl@gnu.org>

	* symbols.texi (Plists and Alists): Period after "vs" in index entries.
	* macros.texi (Backquote): Downcase Backquote in index entries for
	consistency.

2007-04-08  Richard Stallman  <rms@gnu.org>

	* text.texi (Adaptive Fill): Just describe default,
	don't show it (since it contains non-ASCII chars).

2007-04-07  Karl Berry  <karl@gnu.org>

	* text.texi (Adaptive Fill) [@iftex]: Omit binary characters in
	adaptive-fill-regexp's value, since they are not in the standard
	TeX fonts.

2007-04-07  Guanpeng Xu  <herberteuler@hotmail.com>

	* display.texi (Defining Faces): Fix example.

2007-04-07  Karl Berry  <karl@gnu.org>

	* display.texi (Button Buffer Commands): Improve page break.

2007-04-07  Richard Stallman  <rms@gnu.org>

	* advice.texi (Activation of Advice): Remove redundant index entry.

	* backups.texi: Improve index entries.  Remove redundant ones.

	* compile.texi (Byte Compilation): Improve index entry.

	* hash.texi (Creating Hash): Improve index entry.

	* symbols.texi (Definitions): Improve index entry.

	* edebug.texi: Improve index entries.  Remove redundant/useless ones.

	* maps.texi (Standard Keymaps): Remove useless index entry.

	* help.texi (Documentation Basics): Remove redundant index entries.

	* customize.texi: Improve index entries.
	Remove redundant/useless ones.

	* locals.texi (Standard Buffer-Local Variables): Clarify intro text.

	* streams.texi (Output Variables): Improve index entry.

	* abbrevs.texi (Abbrevs): Remove useless index entry.

	* macros.texi (Expansion): Remove useless index entry.

	* text.texi: Improve index entries.  Remove redundant/useless ones.
	(Text Properties, Examining Properties)
	(Special Properties): Use "property category" instead of "category"
	to refer to the `category' property.

	* positions.texi: Improve index entries.  Remove useless one.

	* lists.texi: Improve index entries.  Remove redundant/useless ones.

	* os.texi: Improve index entries.
	(Timers): Fix previous change.

	* buffers.texi: Improve index entries.
	(Modification Time): Get rid of term "obsolete buffer".

	* debugging.texi: Improve index entries.
	(Test Coverage): Add xref to other test coverage ftr.

	* eval.texi: Improve index entry.  Remove redundant ones.

	* numbers.texi: Improve index entries.  Remove redundant/useless ones.

	* files.texi: Improve index entries.  Remove redundant/useless ones.

	* objects.texi: Improve index entries.

	* processes.texi: Improve index entries.

	* modes.texi: Improve index entry.  Remove redundant one.

	* nonascii.texi: Improve index entries.

	* internals.texi: Improve index entries.

	* syntax.texi: Improve index entries.

	* keymaps.texi (Active Keymaps): Improve index entries.

	* commands.texi: Improve index entries.  Remove redundant/useless ones.

	* frames.texi: Improve index entries.  Remove redundant/useless ones.

	* markers.texi: Improve index entries.  Remove redundant ones.

	* tips.texi: Improve index entries.

	* loading.texi (Unloading): Improve index entry.

	* variables.texi: Improve index entries.  Remove redundant one.

	* sequences.texi: Improve index entry.

	* display.texi: Improve index entries.  Remove redundant ones.

	* windows.texi: Improve index entries.

	* searching.texi: Improve index entries.  Remove redundant one.

	* strings.texi (Case Tables): Improve last change.

2007-04-04  Chong Yidong  <cyd@stupidchicken.com>

	* strings.texi (Case Tables): Document with-case-table and
	ascii-case-table.

2007-04-03  Karl Berry  <karl@gnu.org>

	* processes.texi (Network): Reword to improve page break.

2007-04-03  Eli Zaretskii  <eliz@gnu.org>

	* functions.texi (Inline Functions): Describe more disadvantages
	of defsubst, and make advice against it stronger.

2007-04-02  Karl Berry  <karl@gnu.org>

	* backups.texi (Backup Names): Avoid widow words.
	* modes.texi (Example Major Modes): Align last comment.

2007-04-01  Chong Yidong  <cyd@stupidchicken.com>

	* keymaps.texi (Remapping Commands): Document new arg to
	command-remapping.

2007-04-01  Karl Berry  <karl@gnu.org>

	* processes.texi (Low-Level Network): Typo.
	* loading.texi (Hooks for Loading): Avoid double "the".
	* keymaps.texi (Key Sequences): No double "and".
	(Changing Key Bindings): Shorten to improve line break.

2007-03-31  Glenn Morris  <rgm@gnu.org>

	* os.texi (Timers): Fix description of run-at-time TIME formats.

2007-03-31  Richard Stallman  <rms@gnu.org>

	* display.texi (Invisible Text): Correct buffer-invisibility-spec
	regarding ellipsis.

2007-03-31  Eli Zaretskii  <eliz@gnu.org>

	* intro.texi (nil and t):
	* symbols.texi (Plists and Alists):
	* variables.texi (Variable Aliases, Constant Variables):
	* functions.texi (Defining Functions):
	* advice.texi (Advising Primitives):
	* debugging.texi (Syntax Errors, Compilation Errors):
	* minibuf.texi (Minibuffer Windows):
	* commands.texi (Adjusting Point):
	* modes.texi (Syntactic Font Lock, Faces for Font Lock)
	(Auto Major Mode, Major Mode Conventions):
	* help.texi (Describing Characters):
	* files.texi (Create/Delete Dirs, Information about Files)
	(File Locks, Writing to Files, Reading from Files)
	(Saving Buffers):
	* windows.texi (Resizing Windows, Cyclic Window Ordering):
	* frames.texi (Finding All Frames):
	* positions.texi (Buffer End, Motion):
	* markers.texi (The Region):
	* text.texi (Deletion, Near Point):
	* display.texi (Displaying Messages, Truncation):
	* os.texi (Processor Run Time):
	* tips.texi (Key Binding Conventions, Programming Tips)
	(Warning Tips, Documentation Tips, Comment Tips):
	* internals.texi (Memory Usage): Improve indexing.

	* variables.texi (Frame-Local Variables):
	* functions.texi (Argument List):
	* loading.texi (Library Search):
	* streams.texi (Output Variables):
	* keymaps.texi (Translation Keymaps, Searching Keymaps):
	* searching.texi (Replacing Match, Search and Replace):
	* processes.texi (Byte Packing, Decoding Output)
	(Accepting Output, Network Servers, Shell Arguments):
	* display.texi (Abstract Display, Image Cache, Scroll Bars):
	* windows.texi (Window Point, Window Start):
	* frames.texi (Management Parameters, Frame Parameters, Frame Titles):
	* commands.texi (Reading Input, Keyboard Events):
	* minibuf.texi (Reading File Names, Minibuffer Completion)
	(Recursive Mini):
	* positions.texi (List Motion):
	* hash.texi (Hash Tables, Creating Hash, Defining Hash):
	* numbers.texi (Arithmetic Operations, Math Functions)
	(Predicates on Numbers, Comparison of Numbers, Numeric Conversions):
	* locals.texi (Standard Buffer-Local Variables):
	* maps.texi (Standard Keymaps):
	* os.texi (User Identification, System Environment, Recording Input)
	(X11 Keysyms):
	* nonascii.texi (Non-ASCII Characters, Splitting Characters):
	* backups.texi (Backups and Auto-Saving):
	* customize.texi (Customization, Group Definitions)
	(Variable Definitions):
	* compile.texi (Byte Compilation): Improve index entries.

2007-03-31  Karl Berry  <karl@gnu.org>

	* macros.texi (Defining Macros): Avoid widow syllable.

2007-03-31  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi (Top): Postscript -> PostScript.

	* display.texi (Images, Postscript Images): Postscript -> PostScript.

2007-03-31  Markus Triska  <markus.triska@gmx.at>

	* internals.texi (Writing Emacs Primitives): Untabify `For'.

2007-03-30  Karl Berry  <karl@gnu.org>

	* lists.texi (List-related Predicates): Remove spurious @need.
	(Setcdr): Use @smallexample to improve page break.
	(Association Lists) <assoc>: Reword to improve page break.

	* strings.texi (String Conversion): Insert blank line to improve
	page break.

	* numbers.texi (Random Numbers): Use @minus{}.
	(Math Functions): Use @minus{}.

	* intro.texi (Acknowledgements): Avoid line breaks before middle
	initials.

2007-03-24  Eli Zaretskii  <eliz@gnu.org>

	* errors.texi (Standard Errors): Add an index entry.

2007-03-19  Richard Stallman  <rms@gnu.org>

	* os.texi (Recording Input): recent-keys now gives 300 keys.

2007-03-12  Glenn Morris  <rgm@gnu.org>

	* os.texi: Replace "daylight savings" with "daylight saving"
	throughout.

2007-03-05  Richard Stallman  <rms@gnu.org>

	* variables.texi (File Local Variables):
	Update enable-local-variables values.

2007-03-04  Richard Stallman  <rms@gnu.org>

	* syntax.texi (Control Parsing): Minor clarification.

	* strings.texi (Formatting Strings): Clarify width, precision, flags.

	* sequences.texi (Sequence Functions): Move string-bytes away,
	add xref.

	* nonascii.texi (Text Representations): Move string-bytes here.

	* modes.texi (Major Mode Conventions): Fundamental mode is exception.

	* minibuf.texi (Basic Completion): Minor clarification.

	* markers.texi (The Mark): Clarify existence vs activation of mark.
	Other cleanup.

	* display.texi (Finding Overlays): Write better example.

	* compile.texi (Eval During Compile): Clarify putting macros
	in eval-when-compile.

2007-02-25  Vinicius Jose Latorre  <viniciusjl@ig.com.br>  (tiny change)

	* loading.texi (How Programs Do Loading): Fix anchor position at
	load-read-function definition doc.

2007-02-21  Kim F. Storm  <storm@cua.dk>

	* strings.texi (Text Comparison): Mention that assoc-string
	converts symbols to strings before testing.

2007-02-17  Kim F. Storm  <storm@cua.dk>

	* processes.texi (Bindat Spec): Vector types can have optional
	element type.
	(Bindat Examples): Fix example.  Add vector with element type.

2007-02-16  Andreas Schwab  <schwab@suse.de>

	* strings.texi (Formatting Strings): Document '+' flag.

2007-02-15  Juanma Barranquero  <lekktu@gmail.com>

	* strings.texi (Modifying Strings): Clarify that `clear-string'
	always converts the string to unibyte.

2007-02-14  Kim F. Storm  <storm@cua.dk>

	* display.texi (Glyphs): Add make-glyph-code, glyph-char, glyph-face.
	Rewrite glyph code description to refer to these functions.
	Remove details of encoding face number and char into integer code.

2007-02-03  Alan Mackenzie  <acm@muc.de>

	* loading.texi (Hooks for Loading): Make the description of
	`eval-after-load' more detailed, and amend the description of
	after-load-alist, in accordance with changes from 2006-05.

2007-02-03  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Defining Minor Modes): Document that a :require
	keyword or similar may be required to make saved customization
	variables work.

2007-02-03  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi (Top): Make the detailed menu headers compliant with
	Texinfo guidelines and with what texnfo-upd.el expects.
	Add comments to prevent people from inadvertently modifying the key
	parts needed by `texinfo-multiple-files-update'.

2007-02-02  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi (Top): Update the top-level menus.

	* syntax.texi (Categories): Add index entries.

2007-02-01  Juanma Barranquero  <lekktu@gmail.com>

	* display.texi (Attribute Functions): Fix name and description of
	the UNDERLINE arg of `set-face-underline-p'.

2007-01-29  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi (Top): Add "Standard Errors", "Standard Buffer-Local
	Variables", and "Standard Keymaps" to the detailed menu.

	* variables.texi (Future Local Variables): Add index entry.

2007-01-28  Richard Stallman  <rms@gnu.org>

	* tips.texi (Coding Conventions): Clarify the tip about macros
	that define a function or a variable.

	* files.texi (File Attributes): UID and GID can be floats.
	(Magic File Names): Explain why deferring all operations to
	the standard handler does not work.

2007-01-23  Martin Rudalics  <rudalics@gmx.at>

	* backups.texi (Reverting): Use "buffer" instead of "file"
	when talking about major and minor modes.

2007-01-21  Richard Stallman  <rms@gnu.org>

	* help.texi (Documentation): Add xref to Documentation Tips.

2007-01-14  Juanma Barranquero  <lekktu@gmail.com>

	* tips.texi (Coding Conventions): Fix typos.

2007-01-05  Richard Stallman  <rms@gnu.org>

	* modes.texi (Defining Minor Modes): Fix previous change.

2007-01-03  Richard Stallman  <rms@gnu.org>

	* customize.texi (Variable Definitions, Customization Types):
	Don't use * in doc string for defcustom.

2007-01-02  Richard Stallman  <rms@gnu.org>

	* variables.texi (Variable Aliases): Clarify that aliases vars
	always have the same value.

	* processes.texi (Bindat Spec): Fix Texinfo usage.

	* modes.texi (Defining Minor Modes): Explain effect of command
	defined with define-global-minor-mode on new buffers.

2006-12-30  Kim F. Storm  <storm@cua.dk>

	* keymaps.texi (Tool Bar): Describe `grow-only' value of
	`auto-resize-tool-bars'.

2006-12-30  Richard Stallman  <rms@gnu.org>

	* keymaps.texi (Active Keymaps): Fix previous change.

2006-12-30  Nick Roberts  <nickrob@snap.net.nz>

	* keymaps.texi (Active Keymaps): Make xref to lookup-key.

2006-12-30  Kim F. Storm  <storm@cua.dk>

	* processes.texi (Bindat Spec): Clarify using field names in
	length specifications.

2006-12-29  Kim F. Storm  <storm@cua.dk>

	* processes.texi (Bindat Spec): Explain eval forms and lengths better.
	Add count and index variables for eval forms in repeat blocks.

2006-12-24  Richard Stallman  <rms@gnu.org>

	* customize.texi (Variable Definitions):
	Document new name custom-add-frequent-value.

2006-12-19  Kim F. Storm  <storm@cua.dk>

	* commands.texi (Misc Events): User signals now result in sigusr1
	and sigusr2 events which are handled through special-event-map.
	(Special Events): User signals and drag-n-drop are special.

2006-12-17  Richard Stallman  <rms@gnu.org>

	* loading.texi (Named Features): Explain subfeatures better.

	* customize.texi: Use "option" only for user options.
	For the keyword values inside defcustom etc, say "keywords".
	For :options value's elements, say "elements".
	:group should not be omitted.

	* syntax.texi (Parsing Expressions): Split up node.
	(Motion via Parsing, Position Parse, Parser State)
	(Low-Level Parsing, Control Parsing): New subnodes.
	(Parser State): Document syntax-ppss-toplevel-pos.

	* positions.texi (List Motion): Punctuation fix.

	* files.texi (File Name Completion): Document PREDICATE arg
	to file-name-completion.

2006-12-16  Eli Zaretskii  <eliz@gnu.org>

	* internals.texi (Building Emacs, Writing Emacs Primitives):
	Add index entries.

2006-12-11  Richard Stallman  <rms@gnu.org>

	* modes.texi (Font Lock Basics): Explain how nil for font-lock-defaults
	affects face menu.  Explain how to make it non-nil without enabling
	any fontification.

2006-12-10  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Font Lock Basics): Document nil value of
	font-lock-defaults.

2006-12-10  Glenn Morris  <rgm@gnu.org>

	* abbrevs.texi (Defining Abbrevs): Mention `define-abbrev' 'force
	value for system-flag argument.  Abbrev tables may not be empty
	when major modes are loaded.

2006-12-08  Juanma Barranquero  <lekktu@gmail.com>

	* makefile.w32-in (maintainer-clean): Partially revert last
	change; delete "elisp-?" and "elisp-??" instead of "elisp-*"
	to protect elisp-covers.texi.

2006-12-07  Juanma Barranquero  <lekktu@gmail.com>

	* makefile.w32-in (maintainer-clean): Depend on `distclean'.
	Don't remove elisp* info files; they are already deleted by the
	`clean' and `distclean' targets, and they are in the $(infodir)
	directory, not the current one.

2006-12-04  Kim F. Storm  <storm@cua.dk>

	* commands.texi (Misc Events): Update signal events.
	(Event Examples): Add signal example.

2006-11-29  Richard Stallman  <rms@gnu.org>

	* frames.texi (Visibility of Frames): Explain visible windows
	can be covered by others.  Add xref for raise-frame.

2006-11-28  Richard Stallman  <rms@gnu.org>

	* searching.texi (Regexp Special): Update when ^ is special.

2006-11-27  Eli Zaretskii  <eliz@gnu.org>

	* customize.texi (Customization, Common Keywords)
	(Group Definitions, Variable Definitions, Composite Types)
	(Type Keywords, Customization Types): Add index entries for
	various customization keywords.

2006-11-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* modes.texi (Multiline Font Lock): Rephrase some parts for clarity.

2006-11-10  Jan Djärv  <jan.h.d@swipnet.se>

	* frames.texi (Window System Selections): Remove clipboard from
	description of selection-coding-system.

2006-11-06  Richard Stallman  <rms@gnu.org>

	* lists.texi (List Variables): Document COMPARE-FN.

	* keymaps.texi: Avoid use of "binding" to mean a relation;
	use it only to refer to the meaning associated with a key.
	(Keymaps): Change menu node description.

	* elisp.texi (Top): Change menu node description.

	* display.texi (Managing Overlays): Document overlay-recenter.

2006-10-29  Chong Yidong  <cyd@stupidchicken.com>

	* Makefile.in: Use relative paths to avoid advertising filesystem
	contents during compilation.

2006-10-23  Kim F. Storm  <storm@cua.dk>

	* commands.texi (Event Input Misc): Update unread-command-events.

2006-10-23  Nick Roberts  <nickrob@snap.net.nz>

	* lists.texi (Sets And Lists): Fix typos.

2006-10-18  Juanma Barranquero  <lekktu@gmail.com>

	* control.texi (Processing of Errors): Use @var for an argument,
	not @code.

2006-10-16  Richard Stallman  <rms@gnu.org>

	* edebug.texi (Edebug Recursive Edit): Minor cleanup.

	* keymaps.texi (Format of Keymaps): Show all the keymap element
	patterns that result from menu items.
	(Key Lookup): Minor cleanups.

	* modes.texi (Precalculated Fontification): Don't say that
	not setting font-lock-defaults avoids loading font-lock.

	* help.texi (Documentation): Move xref to Emacs Manual here.
	(Documentation Basics): From here.
	Also doc emacs-lisp-docstring-fill-column.

	* elisp.texi: Update version and ISBN.

	* commands.texi (Interactive Call): Clarify KEYS arg to
	call-interactively is a vector.
	(Command Loop Info): Delete anchor in this-command-keys.
	Add anchor in this-command-keys-vector.
	(Recursive Editing): Document how recursive-edit
	handles the current buffer.

2006-10-13  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Frame Titles): %c and %l are ignored in
	frame-title-format.

2006-10-11  Richard Stallman  <rms@gnu.org>

	* keymaps.texi (Key Sequences): Clarify use of kbd.

2006-10-10  Kim F. Storm  <storm@cua.dk>

	* lists.texi (Sets And Lists): Add memql.

2006-10-03  Richard Stallman  <rms@gnu.org>

	* searching.texi (Char Classes): Document :multibyte: and :unibyte:.
	Clarify :ascii: and :nonascii:.

2006-09-29  Juri Linkov  <juri@jurta.org>

	* modes.texi (%-Constructs): Reorder coding systems in the
	documentation of %z to the real order displayed in the modeline.

2006-09-25  Richard Stallman  <rms@gnu.org>

	* os.texi (Timers): Describe timer-max-repeats.

2006-09-25  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (Timers): Mention with-local-quit.

2006-09-24  Richard Stallman  <rms@gnu.org>

	* searching.texi (Searching and Matching): Mention property search.

	* commands.texi (Command Loop Info): Explain how read-event affects
	this-command-keys.

2006-09-20  Richard Stallman  <rms@gnu.org>

	* os.texi (Timers): Clarify about REPEAT when timer is delayed.

	* windows.texi (Window Start): Minor cleanups.

2006-09-20  Kim F. Storm  <storm@cua.dk>

	* windows.texi (Window Start): pos-visible-in-window-p allows
	specifying t for position to mean "end of window".
	Add window-line-height.

	* anti.texi (Antinews): Mention window-line-height.

2006-09-19  David Kastrup  <dak@gnu.org>

	* keymaps.texi (Searching Keymaps): Small clarification.

2006-09-18  Richard Stallman  <rms@gnu.org>

	* keymaps.texi (Creating Keymaps): Explain that keymap prompt strings
	cause keyboard menus.
	(Menu Keymaps): Likewise.
	(Defining Menus, Keyboard Menus): Clarify.

	* text.texi (Fields): Clarify explanation of constrain-to-field.

2006-09-16  Eli Zaretskii  <eliz@gnu.org>

	* variables.texi (Tips for Defining): Fix a typo.

2006-09-15  Richard Stallman  <rms@gnu.org>

